# -*- text -*-

----------------------------------------------------------------------

Changes: V5.8.rc4 -> V5.8

commit caff5ff65cd72664dedea827356f966317aa7a6d
Author: Robert Story <rstory@freesnmp.com>
Date:   Mon Jul 16 09:40:09 2018 -0400

    make depend for 5.8

commit faac86366307666c02ce813f45180a068fc92dba
Author: Robert Story <rstory@freesnmp.com>
Date:   Mon Jul 16 00:23:22 2018 -0400

    master out of Release Candidate

commit 3aa9e011267435fc62efda4cbfc97d53a0acf0ab
Author: Robert Story <rstory@freesnmp.com>
Date:   Sun Jul 15 23:50:23 2018 -0400

    Version number update: 5.8

commit dfd0604c19f6cc0d8cffce7d50e1c513266544c9
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu Jun 21 19:22:37 2018 -0700

    snmplib/transports: Unbreak the MSVC build
    
    Adding an integer to a void pointer works fine with gcc but not with MSVC.
    Hence convert the expressions that add an integer to a void pointer into
    a construct that is standard C.

----------------------------------------------------------------------

Changes: V5.8.rc3 -> V5.8.rc4

commit 7a6dfaaeeffd4c6fdecbaf26371e7da8e778a67a
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Jun 28 18:33:54 2018 -0400

    make depend for 5.8.rc4

commit 826a0a326fc15cfc4bbefb6a316dc0376a6f4c0a
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Jun 28 18:25:56 2018 -0400

    Version number update: 5.8.rc4

commit 2b1d51aba50992549de03f76b77f045c63bd1296
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri Jun 8 07:39:27 2018 +0200

    SNMP-TARGET-MIB: Fix snmpTargetAddrTAddress
    
    See also https://sourceforge.net/p/net-snmp/bugs/2871/.
    
    Reported-by: Anders Wallin <wayline@users.sourceforge.net>
    Fixes: 3bd8dc8b2d90 ("snmplib/transports: Avoid that the create_from_ostring methods truncate IPv6 addresses")

----------------------------------------------------------------------

Changes: V5.8.rc2 -> V5.8.rc3

commit 780f24a0189591c37b240cdb8ab99af631f8aeb8
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri May 25 15:53:41 2018 -0400

    make depend for 5.8.rc3

commit f25d035172fb18a730c0e70ee8f23cc419a36d88
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri May 25 15:18:34 2018 -0400

    Version number update: 5.8.rc3

commit c60e23b0c0979dbb2a034ff23f29fb10062213ef
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri May 25 15:09:13 2018 -0400

    don't auto merge dist/release
    
    this might pull in undesired changes during release

commit fe5c40acf61f4c08cad72724a24208167d4fc378
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri May 25 15:01:24 2018 -0400

    dist script to run right version of autoheader

commit f83f865d8a0843b369695b8e23cb794c723e6fa8
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 20 14:35:24 2018 -0700

    Cygwin: Make it again possible to build with OpenSSL
    
    Remove #define OPENSSL_SYS_WIN32 since that tells OpenSSL to include
    the Winsock header file. Define VC_EXTRALEAN and WIN32_LEAN_AND_MEAN
    to avoid that header files are included from <windows.h> that conflict
    with the OpenSSL header files. This patch avoids that building without
    --with-openssl=internal fails.
    
    This patch reverts 0657b90b7181 ("Cygwin, scapi.h: Fix build")

commit c56db2a5880fd0e9bde8eed98c2722a353d39eaa
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 19 07:49:58 2018 -0700

    snmplib: Avoid that sprint_realloc_octet_string() triggers a segmentation fault
    
    strlcpy() implementations typically scan for the end of the source argument
    passed to strlcpy(). Hence avoid passing an unterminated string to strlcpy().
    
    Reported-by: Stuart Henderson <stu@spacehopper.org>
    Fixes: 7f05daa8e0e0 ("CHANGES: BUG: 3444939: BUG: 1796886: snmplib: Avoid that sprint_realloc_octet_string() embeds unprintable control characters or binary zeroes in its output. This behavior could cause truncated output in snmptrapd.")

----------------------------------------------------------------------

Changes: V5.8.rc1 -> V5.8.rc2

commit c906e444167cd0c83182da336f274361770f94a6 (HEAD -> master)
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri May 18 17:22:09 2018 -0400

    make depend for 5.8.rc2

commit 7677ab7fa419f0d77c438b116c38feb622bf8dd4
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri May 18 17:02:25 2018 -0400

    Version number update: 5.8.rc2

commit 0b5f73255ad120cd5b6233e0cc64dd0f425494b4 (origin/master, origin/HEAD)
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri May 18 13:00:01 2018 -0400

    Revert "fix for setting engineBoots and engineTime (e.g. -Z cli arg)"
    
    This reverts commit 988562514b05a2bc01be4462b99874d081600252.
    
    Further testing needed.

commit 737105284bf2d31347cdf2a4510919cb78ec6e8c
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Apr 14 11:32:24 2018 -0700

    Add Travis and Appveyor CI support
    
    This patch makes it possible to enable Travis and Appveyor continuous
    integration support. On Travis Net-SNMP is built with all MIBs, with
    --disable-set-support, with --enable-mini-agent, with --enable-minimalist
    and with --enable-read-only. All these configurations are built on Linux
    and on OS/X. On Appveyor Net-SNMP is built with MSVC and dynamic
    libraries, with MSVC and statically linked libraryes, with MinGW64, with
    Cygwin32 and with Cygwin64. As one can see in the scripts in the "ci"
    directory the to-do items are as follows:
    
    - Fix the TLSTCP test on Travis.
    - Fix the MinGW64 build. That build fails with a linker error.
    - Ensure that walking the entire MIB works on Darwin.
    - Make the regression tests pass for the Cygwin builds.
    - Make the regression tests pass for --disable-set-support,s
      --enable-mini-agent, --enable-minimalist and --enable-read-only.
    - Make the non-default MIBs compatible with --disable-set-support,
      --enable-mini-agent, --enable-minimalist and --enable-read-only.

commit 03257e5201b9657b87915791585e4068533b1fa1
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu May 17 15:53:54 2018 +0200

    Additional patch for NetBSD 8 support.

commit e14027bce1615c57770a1eba18423b5a4b97eada (origin/crypto.ch)
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed May 16 18:56:08 2018 -0700

    MIB-II, at: Fix Solaris build

    Fixes: 5103db3c189d ("mibII/at: Split into multiple source files")

commit 131afbbde6e202f93237fd9769969556a6a3aef5
Author: Bill Fenner <fenner@gmail.com>
Date:   Tue May 15 15:05:17 2018 +0000

    Don't try to build snmpping when set support is disabled.

commit be40ee3f799d66516d00185de86d9472fb153760
Author: Stuart Henderson <stu@spacehopper.org>
Date:   Fri May 11 21:48:22 2018 +0100

    Install missing system header files

commit 882e28a5f828c07c5fda835564e60ecc5e38ec92
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon May 7 05:20:46 2018 -0700

    Cygwin64: Fix winExtDLL build

    The winExtDLL code assumes that sizeof(oid) == 4. Hence define the
    'oid' type as unsigned int when building with MSVC, MinGW or Cygwin.
    This patch avoids that building winExtDLL with Cygwin64 fails on the
    following statement:

        netsnmp_static_assert(sizeof(oid) == sizeof(UINT));

commit 0d99e0176803c6390405c4ae8e028dfd329ed54a
Author: Robert Story <rstory@freesnmp.com>
Date:   Sun May 13 20:31:05 2018 -0400

    restore auth/priv defines for protocol OID lengths (for backwards compatability)

commit 4b518ed4971126dd874f64e0058347e9d622471b
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon May 7 07:47:24 2018 -0700

    CHANGES: BUG: 2815: Display UTF-8 characters again

    Before commit 7f05daa8e0e0 sprint_realloc_octet_string() used memcpy()
    for ASCII strings. That caused the output to be truncated if a '\0' was
    embedded in an octet string. Commit 7f05daa8e0e0 fixed that issue but
    broke UTF-8 support. Restore UTF-8 support by only using
    sprint_realloc_asciistring() if the octet string contains a '\0'.

    Fixes: 7f05daa8e0e0 ("CHANGES: BUG: 3444939: BUG: 1796886: snmplib: Avoid that sprint_realloc_octet_string() embeds unprintable control characters or binary zeroes in its output. This behavior could cause truncated output in snmptrapd.")

commit f35ebb57b9c3f937db99b2b57728cc1e07ff381a
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 6 21:13:14 2018 -0700

    configure.ac: Fix recently introduced autoreconf warnings

    A recent patch introduced an invocation of AC_CHECK_HEADER before AC_AIX.
    However, AC_AIX must be invoked before AC_CHECK_HEADER. Hence move AC_AIX
    from configure.d/config_os_progs into configure.ac. Additionally, since
    AC_AIX is obsolete, use AC_USE_SYSTEM_EXTENSIONS instead. This patch fixes
    all instances of the following autoreconf warnings:

    configure.d/config_os_progs:98: warning: AC_COMPILE_IFELSE was called before AC_USE_SYSTEM_EXTENSIONS
    ../../lib/autoconf/specific.m4:432: AC_AIX is expanded from...
    configure.d/config_os_progs:98: the top level
    configure.d/config_os_progs:98: warning: AC_RUN_IFELSE was called before AC_USE_SYSTEM_EXTENSIONS
    ../../lib/autoconf/specific.m4:432: AC_AIX is expanded from...
    configure.d/config_os_progs:98: the top level

	Fixes: eef22ea5f92b ("Verify AES support when --with-openssl is provided")

----------------------------------------------------------------------

Changes: V5.8.pre3 -> V5.8.rc1

commit 0a2738ace2a52e4086c067e5f49df9389e90d353
Author: Robert Story <rstory@freesnmp.com>
Date:   Sun May 6 17:45:17 2018 -0400

    Release Candidate for master

commit b0fa7f242ab0bc2f7eca72c88f2f2acc325d98af
Author: Robert Story <rstory@freesnmp.com>
Date:   Sun May 6 17:45:12 2018 -0400

    Version number update: 5.8.rc1

commit 5bfc977c6da865c0265de064964368a760602e75
Author: Robert Story <rstory@freesnmp.com>
Date:   Sun May 6 17:43:00 2018 -0400

    regenerate configure

commit cc45578c2fa0b94f7762057ee3b8a0b795c497ff
Author: Bill Fenner <fenner@gmail.com>
Date:   Sun May 6 13:05:55 2018 +0000

    snmpd: BUG: 2864: use clientaddr properly
    
    The code parsed out the address from the clientaddr spec,
    then used the return value wrong and only respected it
    if it existed but didn't parse properly.

commit 7eb6eba5677c4e5a3d607df97e4342f122875c94
Author: Robert Story <rstory@freesnmp.com>
Date:   Sun May 6 16:21:02 2018 -0400

    dup save string from default store; restore before possible branches

commit e56699f5e2ef6b38132a0f497e40c122b6cb5ec4
Author: Bill Fenner <fenner@gmail.com>
Date:   Sun May 6 13:05:25 2018 +0000

    Add the ability to set the source address with "-s" for trapsess

commit a7feed9082dd700068166e0d5b7bdf138760da5f
Author: Robert Story <rstory@freesnmp.com>
Date:   Sun May 6 15:55:45 2018 -0400

    move declarations to top of function

commit 0e24df65b2b095453b46f5101a24e3feed2b6bfb
Author: Robert Story <rstory@freesnmp.com>
Date:   Sun May 6 15:52:19 2018 -0400

    fix compiler warning

commit fdc16201c52f607fea24dc742248373407eca825
Author: Anders Wallin <wayline@users.sourceforge.net>
Date:   Sun May 6 02:56:51 2018 -0700

    CHANGES: BUG: 1366: Pass proper buffer length to netsnmp_tls_fingerprint_build()

commit 3da9c1c74e1f1284f981d0a4d5a24406ccb98f87
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 5 15:59:17 2018 -0700

    libsnmp: Flush persistent config to persistent storage
    
    From the fsync() man page: "returns EBADF if fd is not a valid open file
    descriptor". Hence call fsync() before closing 'fout' instead of after
    closing it. Ensure that fsync() gets called when building with MSVC on
    Windows. See also Smith, Stewart, and A. B. MySQL. "Eat My Data: How
    everybody gets file I/O wrong." OSCON, Portland, Oregon (2008)
    (http://mirror.linux.org.au/pub/linux.conf.au/2007/video/wednesday/278.pdf).
    
    Fixes: 4ae6ed444687 ("call fsync after writing persistent config")

commit 82bd09e3d9b94b2e3cc69a4f458c7dcd0bae0845
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 5 16:39:04 2018 -0700

    SNMP-USM-DH-OBJECTS-MIB: Fix a compiler warning
    
    Avoid that the following warning is reported when building against an
    older openssl library:
    
    snmp-usm-dh-objects-mib/usmDHParameters/usmDHParameters.c: In function 'init_usmDHParameters':
    snmp-usm-dh-objects-mib/usmDHParameters/usmDHParameters.c:44:9: warning: implicit declaration of function 'DH_set0_pqg' [-Wimplicit-function-declaration]
             DH_set0_pqg(dh_params, p, NULL, g);
             ^
    
    See also commit 3317a7c66362 ("Remove duplicated function in usmDHParameters.c that breaks compilation with LibreSSL 2.7.2 (OpenBSD 6.3)")

commit 71f4d0a8b369b2dfe0e85bd2e3664be0d8bfe7a8
Author: Robert Story <rstory@freesnmp.com>
Date:   Sat May 5 00:48:16 2018 -0400

    add fallthrough comment to quell compiler warning

commit 4ae6ed444687f32b69c04d5b7d1bc868fd67d195
Author: Robert Story <rstory@freesnmp.com>
Date:   Sat May 5 00:46:39 2018 -0400

    call fsync after writing persistent config

commit b42547643a235501a60d993c0789f2d420e2394d
Author: Robert Story <rstory@freesnmp.com>
Date:   Sat May 5 00:32:43 2018 -0400

    remove unused variables

commit ec684fd45895f015cce790671322293b8cdf6d0d
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu May 3 12:21:19 2018 -0400

    Add more names to README

commit f42aeb52e63147b5789cccde1ef997370191849e
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri May 4 04:39:53 2018 -0700

    CHANGES: BUG: 2831: Move libnetsnmpagent global variable declarations into a separate header file
    
    Because commit 81b65f4d23a9 added declarations for several global variables
    to public header files, applications that declare global variables with the
    same names no longer build. Hence move the global variables that were added
    by that commit to public header files into a new header file.
    
    Fixes: 81b65f4d23a9 ("Move declarations of global functions and variables from .c to .h")

commit 6a42ba096b7efc1690ed83d5951289bd64e1b091
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Fri May 4 15:07:18 2018 +0200

    NetBSD 8 only exports krb5_auth_con_getsendsubkey, so separate configure
    detection for krb5_auth_con_getrecvsubkey and krb5_auth_con_getsendsubkey.

commit 54f87b6b6b80b440d4db7c4c676703f57fccd19a
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Fri May 4 15:05:01 2018 +0200

    Support for NetBSD 8

commit 3317a7c66362b01b4fd3c0f32a38b10ea53cb4cb
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Fri May 4 15:02:56 2018 +0200

    Remove duplicated function in usmDHParameters.c that breaks compilation with
    LibreSSL 2.7.2 (OpenBSD 6.3)

commit e8ed8e5eab1813f15964823741f04163c1c1b326
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Fri May 4 14:59:35 2018 +0200

    mibs: Add SNMP-USM-HMAC-SHA2-MIB.txt

commit eb340300964cf1563e2f9472cfa20ff410cc24e6
Author: Keith Mendoza <keith@homepluspower.info>
Date:   Tue May 1 09:36:52 2018 -0700

    Check if disman/ping was enabled at top of test
    
    Checking that the functionality is enabled should occur before checking if a raw socket can be created

commit eef22ea5f92bf79dac39b8d26c644f10cd975f68
Author: Keith Mendoza <keith@homepluspower.info>
Date:   Mon Apr 23 12:23:33 2018 -0700

    Verify AES support when --with-openssl is provided
    
    --enable-bluementhal-aes needs the OpenSSL AES library

commit 5c9c9f92383112e9c263dfd3da7ab27245504025
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri Apr 27 20:18:21 2018 -0700

    Win32: Export set_enginetime() to unbreak the DLL build
    
    Fixes: 988562514b05 ("fix for setting engineBoots and engineTime (e.g. -Z cli arg)")

commit 8625748d09081563887051651957d119d7387f15
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri Apr 27 17:05:09 2018 -0400

    fix path in rsync command

commit 2b4941946deb6eb0294f8a6794d20f92801e4a67
Author: Eugene M. Kim <eugene.kim@ntti3.com>
Date:   Tue Oct 17 18:17:23 2017 -0700

    Fix/enforce ipDefaultRouterLifetime value range
    
    IP-MIB defines ipDefaultRouterLifetime to be in 0..65535 range, but the
    current code 1) erroneously uses 0xFFFFFFFFUL (4294967296) as the max
    value, and 2) does not clip the computed value that exceeds the maximum
    (this was unnecessary probably because the max value was also the max
    value permitted for the underlying type uint32_t).
    
    Fix IPDEFAULTROUTERLIFETIME_MAX to be 65535 (0xFFFF) and clip
    out-of-range values to the max value.

----------------------------------------------------------------------

Changes: V5.8.pre2 -> V5.8.pre3

commit c3d1c9ea1632343641b09c960b0594e8d85778b6
Author: Robert Story <rstory@isi.edu>
Date:   Fri Apr 27 15:58:14 2018 -0400

    tweak comments to remove embedded C++ style comments

commit 6f68d4c77d00a6aebdb0ddbfe9e1fa3c0da3fba8
Author: Robert Story <rstory@isi.edu>
Date:   Fri Apr 27 14:53:57 2018 -0400

    ignore swap files

commit 1302012b5faebf0cd511f98d7ef94c13f9593036
Author: Robert Story <rstory@isi.edu>
Date:   Fri Apr 27 14:52:37 2018 -0400

    Version number update: 5.8.pre3

commit 27edef51c4c45b2dd31177dcdb60c825927e6d95
Author: Robert Story <rstory@isi.edu>
Date:   Fri Apr 27 14:51:02 2018 -0400

    update makerelease repository; change SVN references to git

commit 988562514b05a2bc01be4462b99874d081600252
Author: Robert Story <rstory@isi.edu>
Date:   Fri Apr 27 14:44:00 2018 -0400

    fix for setting engineBoots and engineTime (e.g. -Z cli arg)

commit bcc4ac1490fc1fda25b0449daef8a89393857bf5
Author: Robert Story <rstory@isi.edu>
Date:   Fri Apr 27 14:29:43 2018 -0400

    always dup Apsz and Xpsz since they are unconditionally freed

commit 6c1b10eae8433da9ed0a1801e4842b2bd2bcca13
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri Apr 27 12:46:28 2018 -0400

    remove C++ style comments

commit 66a47d6914e426778c1975db48a74104244485a3
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri Apr 27 12:45:07 2018 -0400

    add copyrights to files split from at.c

commit 6219d6574cfa120748ba7f271afcd7f1e52d4fcf
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri Apr 27 12:46:06 2018 -0400

    fix build by removing premature headers
    
    these caused the convenience typedefs such as u_long and u_char to
    not be defined

commit 8c4cff6b749c396b920925255853a54408c6bbd1
Author: Anders Wallin <anders.wallin@windriver.com>
Date:   Wed Apr 11 09:27:28 2018 +0200

    TLSTM MIB: Fix support for sha256, 384 and 512 fingerprints
    
    Increase the fingerprint buffers such that these can fit sha256, 384
    and 512 fingerprints.
    
    Signed-off-by: Anders Wallin <anders.wallin@windriver.com>
    [ bvanassche: edited commit message ]

commit c514d7f1394e44ea21fb01929b1dffc1a03c858f
Author: Anders Wallin <wallinux@gmail.com>
Date:   Thu Apr 26 17:21:21 2018 +0200

    TLSTM MIB: Fix cache handler for snmpTlstmCertToTSNCount
    
    Signed-off-by: Anders Wallin <wallinux@gmail.com>

commit 2014d49a94ce0ea66f967ed5fda7b4685cbabda1
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Wed Apr 25 16:44:25 2018 -0600

    Win32: Clean up libsnmp Makefiles

commit 1449f8ac2d4d7c8df639bb242a4f004ed24ef70c
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Wed Apr 25 19:06:25 2018 -0600

    Win32, MSVC, OpenSSL: Link with the correct libraries

commit 46bd69b6f598978b7a1fc61da13c7dbc0ecda0bc
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Wed Apr 25 17:27:07 2018 -0600

    Win32, TLS transport: Avoid that the compiler complains about symbol redefinitions

commit 65d73540715fd90964a0c6737411dfe6501d1551
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Wed Apr 25 17:25:46 2018 -0600

    MSVC: Add defines to net-snmp-config.h for the latest OpenSSL library

commit 93453d25593135ded56c24492d17892ba47d93d8
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Wed Apr 25 16:44:25 2018 -0600

    Win32: Clean up libsnmp Makefiles

commit 47e6ff61f5aa27dd87bfc4e301dfc39501b75f87
Author: Andrew Stormont <andy-js@users.sourceforge.net>
Date:   Wed Apr 25 14:56:12 2018 -0600

    Solaris, libsnmp: Avoid that linking fails due to an undefined reference to in6addr_any

commit cf139ad64cc85c3dd155336fec8e3e261fb548eb
Author: Andrew Stormont <andy-js@users.sourceforge.net>
Date:   Wed Apr 25 06:57:24 2018 -0600

    Solaris, Host Resources MIB: Fix process argument parsing
    
    See also https://sourceforge.net/p/net-snmp/patches/1361/.

commit 2d96aada9c3c61d204125188a55cc3f10c14af03
Author: Andrew Stormont <andy-js@users.sourceforge.net>
Date:   Wed Apr 25 06:46:54 2018 -0600

    Solaris, hardware: Display full CPU description
    
    See also https://sourceforge.net/p/net-snmp/patches/1360/.

commit 55575b4027633c86e5f7633eea24549476466187
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Apr 24 17:28:59 2018 -0600

    agent/kernel.c: Fix MSVC build

commit f640af307e36115dca631922e0762438b74c4b12
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Apr 24 17:32:35 2018 -0600

    Fix configure.d/config_net_snmp_config_h
    
    Fixes: e835935dbae5 ("Patches: 1358: Uncouple kmem support from NETSNMP_CAN_USE_NLIST")

commit d6eb690cbee7854a26a213017c4ae24258c1cf21
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Apr 24 10:02:58 2018 -0600

    snmplib, IPv4 transport: Avoid that -Dnetsnmp_tcp triggers an assertion failure
    
    Fixes: e3fd8c38503f ("snmplib/transports/snmpIPv4BaseDomain.c: Make netsnmp_ipv4_fmtaddr() more robust")
    
    Note: before the aforementioned commit -Dnetsnmp_tcp triggered an
    out-of-bounds read.

commit 9a1e91009dc149de135107d75b6dce7404d2982e
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Apr 24 10:19:45 2018 -0600

    Avoid that the compiler complains about missing declarations for init_kmem() and free_kmem()
    
    Fixes: 06c2d80d0aa5 ("Merge branch 'V5-7-patches'")

commit 25bfa920013983e96e433e93e5fc2331730a46f2
Author: Andrew Stormont <andy-js@users.sourceforge.net>
Date:   Tue Apr 24 09:06:52 2018 -0600

    MIB-II, host resources, BSD: Remove redundant code from sh_count_procs()

commit ddc6c6fa08747beb74663d3efbf73843e45637db
Author: Andrew Stormont <andy-js@users.sourceforge.net>
Date:   Tue Apr 24 09:08:24 2018 -0600

    MIB-II, host resources, BSD: Fix a memory leak in netsnmp_arch_swrun_container_load()

commit e835935dbae5ee2dbd9fa13a24e34b2862c7a4bf
Author: Andrew Stormont <andy-js@users.sourceforge.net>
Date:   Tue Apr 24 07:56:44 2018 -0600

    Patches: 1358: Uncouple kmem support from NETSNMP_CAN_USE_NLIST

commit acd4ee40cbb5d6c713e7471f1b7da4bdd0064574
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Apr 23 10:18:27 2018 -0600

    configure: Avoid that probing of SSL transport modules fails
    
    Avoid that probing of the DTLSUDP and TLSTCP transport modules fails
    as follows if --with-openssl=<path> has been specified:
    
      checking for and configuring transport modules to use... In file included from module_tmp_header.h:177:
      ./include/net-snmp/library/snmpTLSBaseDomain.h:13:10: fatal error: 'openssl/bio.h' file not found
      #include "openssl/bio.h"
               ^
      1 error generated.
      In file included from module_tmp_header.h:177:
      ./include/net-snmp/library/snmpTLSBaseDomain.h:13:10: fatal error: 'openssl/bio.h' file not found
      #include "openssl/bio.h"
               ^

commit 3c104af5de3d19ef913a4480960a5012cb8501ec
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Apr 23 06:57:03 2018 -0600

    Darwin: Let the configure script determine whether or not SHA256 and SHA512 are available

commit 9ddf75dfb643ccf23982f5054b6efb47d5214bb3
Author: Bill Fenner <fenner@gmail.com>
Date:   Wed Apr 11 11:32:05 2018 -0700

    Fix minimal agent with tls: move X509_get_signature_nid outside NETSNMP_FEATURE_REMOVE_CERT_DUMP_NAMES

commit ae88f1a5cea848b6ed561687b79d7b42b574a268
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Apr 21 22:35:53 2018 -0700

    Win32: Fix MIB-II build

commit 5103db3c189d87af1bd7e39c1d9e7bacc89cbf5e
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu Apr 12 11:22:29 2018 -0600

    mibII/at: Split into multiple source files
    
    Split the implementations of ARP_Scan_Init(), ARP_Scan_Next()
    and var_atEntry() into one function per platform and move these
    implementations to separate source files. Additionally, move the
    ARPTAB_SYMBOL and ARPTAB_SIZE_SYMBOL definitions from the
    include/net-snmp/system/*.h include files into the mibII/at
    implementation. This change reduces the number of #ifdefs in the
    mibII/at code drastically.

commit a16d7742e412c9eee684118ea899b7165f4510b6
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu Apr 12 11:20:11 2018 -0600

    mibII/at: Make ARP_Scan_Next() accept four arguments on all platforms
    
    Instead of using #ifdefs to discriminate between platforms on which
    it is possible to query the interface index and platforms on which
    this is not possible, make ARP_Scan_Next() set ifIndex to zero if
    the interface index cannot be queried and make var_atEntry translate
    that value into 1.

commit b2ff05cb4cc7b382019de5194108f89ca5979a39
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Apr 21 19:16:07 2018 -0700

    c tests: Ensure that linking succeeds if the openssl path has been specified explicitly

commit e49295383003b1522b83df760c5384f1b8803a28
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri Apr 20 20:56:21 2018 -0700

    testing/fulltests/default/T023snmpv3getMD5AES_simple: Skip if the openssl aes.h header file is not available

commit 3054ac2102eb29f3b5956abe98f3abd17bfa6f84
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu Apr 19 19:03:08 2018 -0700

    testing/fulltests/transports/T361tlstcp_simple: Skip if TLS-TCP is disabled
    
    Fixes: 5d8a5efc1d59 ("tests for minimally testing all the transports")

commit 7babf86b438725c6c9fae7089a90cd94799c49cf
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Apr 21 18:43:31 2018 -0700

    python: Ensure that linking succeeds if the openssl path has been specified explicitly

commit ed29326f1b56c8554e0fec79cb743622c9453426
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri Apr 20 09:55:48 2018 -0700

    Darwin >= 15: Avoid ___CFConstantStringClassReference symbol not found failures
    
    See also https://sourceforge.net/p/net-snmp/bugs/2850/.

commit 945c7cd57cbbca6061cb632705de441ae7b98fd9
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu Apr 19 22:16:54 2018 -0700

    win32/Configure: Improve robustness

commit 3492c22bb6b730dec0941522199eeca7524ce6ed
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 31 19:20:41 2018 -0700

    Avoid that test T070com2sec_simple fails due to DNS filtering

commit 52795c2e0801913a0b91c250e65ca6cd41e16c77
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Apr 14 15:46:14 2018 -0700

    perl/OID/OID.xs: Fix a compiler warning
    
    Avoid that clang reports the following compiler warning:
    
    OID.xs:366:38: warning: passing 'u_char *' (aka 'unsigned char *') to parameter of type 'char *' converts between pointers to integer types with different sign [-Wpointer-sign]
                        __snprint_value (buf, buf_len, &vbdata, indexnode,
                                         ^~~

commit bd176f4785cd7a47154502ecea2555bdbb91c877
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Apr 14 15:14:21 2018 -0700

    configure: Document that --with-perl-modules=verbose is helpful while debugging Makefile.PL files

commit e93f0c54f025d2a31ff100259fce5f484eee46ac
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Apr 14 13:07:30 2018 -0700

    testing/fulltests/unit-tests/T003copy_nword_clib: Fix Darwin compiler warnings

commit 2eff423b8b4269498ce2525a1b180890934413be
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Apr 14 12:53:11 2018 -0700

    Add support for Darwin 15, 16 and 17

commit 13fe7de92a7551817dfbf474e845e88a59a3c884
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Apr 14 12:49:48 2018 -0700

    MIB-II: Restore the declaration of TCP_Count_Connections()
    
    Fixes: 81b65f4d23a9 ("Move declarations of global functions and variables from .c to .h")

commit 36f5813fb5bd9d12cdd015d35ec80defed42838e
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Apr 14 09:41:31 2018 -0700

    Windows, MIB-II, system: Read Windows version from registry

commit 6d86c72614936a0fb3b56619965c96a5b120d89c
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Apr 14 08:43:26 2018 -0700

    Cygwin, swrun: Avoid using GetVersionEx()

commit 8c8d5638413a90e423083c793b5d6be49a591281
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Apr 14 11:17:43 2018 -0700

    Win32, MSVC batch build: Embed OpenSSL library path in Makefiles instead of appending it to %LIB%
    
    This makes it possible to rebuild Net-SNMP by running 'nmake' after
    having edited one or more source files without having to modify %LIB%.

commit d8be6fc26e1006a7e03d922a04611d4e2cb69c44
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Apr 14 04:35:19 2018 -0700

    Win32: Enable cross-compilation in build.pl
    
    Allow e.g. 64-bit binaries to be built on a 32-bit system if Perl
    modules are not enabled.

commit 5bd95fe6f916d043ac7c5411510dfb8a669c9ab6
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri Apr 13 21:24:31 2018 -0700

    Windows: Avoid casting a pointer to an integer type with a different size
    
    This patch fixes bug https://sourceforge.net/p/net-snmp/bugs/2848/.

commit 38fb9890a1e27bec336a09e20e725534d8939168
Author: Bill Fenner <fenner@gmail.com>
Date:   Wed Apr 11 07:50:48 2018 -0700

    make python client build with --enable-read-only

commit 37b948c3d6451c6f31e066d52ef9a528985ea7c7
Author: Bill Fenner <fenner@gmail.com>
Date:   Wed Apr 11 13:56:36 2018 +0000

    CHANGES: snmpd: BUG: 2846: fix agent compile when both --enable-read-only and --disable-set-support are given.

commit d8939faf1e724ff042dd4af83cac360a15883825
Author: Bill Fenner <fenner@gmail.com>
Date:   Wed Apr 11 13:53:29 2018 +0000

    CHANGES: snmpd: BUG: 2845: fix compilation error with NETSNMP_NO_WRITE_SUPPORT

commit 4d1d375df29aa52b8c01893d687dfdd55204eb04
Author: Bill Fenner <fenner@gmail.com>
Date:   Tue Apr 10 20:31:38 2018 +0000

    CHANGES: snmpd: BUG: 2810: from "Minzhuan Gong": fix compile with --enable-read-only

commit eca6ad6d8ff488839187f05a62dc2ec053c53b2b
Author: Bill Fenner <fenner@gmail.com>
Date:   Sun Apr 8 13:53:25 2018 +0000

    Don't check the sign of a 0-length int64
    
    When there are no data bytes, don't try to check
    a nonexistent byte for the sign.  Also, include
    all of the data bytes for unsigned-64 and
    signed-64 in the dumpx_recv tracing.

commit e59591c5111c17b2561816b04ac3632661df19cd
Author: Bill Fenner <fenner@gmail.com>
Date:   Tue Apr 3 14:20:12 2018 -0700

    snmplib: asn1: audit length checks
    
    1. propagate error from asn_parse_length in asn_check_packet
    2. Audit calls to _asn_short_err, make sure that the second arg
       is the length being checked against, and the third arg is the
       length needed.
    3. Make sure that we have the two bytes needed for opaque
       types before testing them.
    4. For opaque types, update the length to reflect the inner opaque
       type before checking that we have enough data.

commit e5ad10de8e175e443351be3e14e87067ff9bded8
Author: Keith Mendoza <pantherse@gmail.com>
Date:   Wed Mar 21 21:33:27 2018 -0700

    Quote provided encryption key in createUser line
    
    Fixes bug #2812

commit 20c63da4317d0c6f41be1e8826a91e3e8e7aa72f
Author: Bill Fenner <fenner@gmail.com>
Date:   Tue Apr 3 14:20:12 2018 -0700

    snmplib: asn1: audit length checks
    
    1. propagate error from asn_parse_length in asn_check_packet
    2. Audit calls to _asn_short_err, make sure that the second arg
       is the length being checked against, and the third arg is the
       length needed.
    3. Make sure that we have the two bytes needed for opaque
       types before testing them.
    4. For opaque types, update the length to reflect the inner opaque
       type before checking that we have enough data.

commit 37c11615de3cfb2c934ccb334a8ccb8bbde85d89
Author: Bill Fenner <fenner@gmail.com>
Date:   Sun Apr 1 16:58:51 2018 +0000

    CHANGES: agentx: from "Google AutoFuzz project": account for the nul character we will add to the string.

commit 95e59ff91b20fb82b22c373ef4bff2cb94271385
Author: Bill Fenner <fenner@gmail.com>
Date:   Thu Mar 29 17:03:36 2018 -0700

    CHANGES: agentx: from "Google Autofuzz project": additional agentx protocol parser bounds checking

commit 883934016bd47181f32f031fe3c7d409d4c5fa82
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Sun Mar 25 23:50:17 2018 +0200

    Coverity 266329: Free allocated resources in case of error

commit c0d0bc4c37e60d93ca47e0ee0c29a431c59de712
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 11:46:28 2018 -0700

    snmplib/keytools: Ensure that keylen is initialized for all error paths

commit d08ffd7d0c61f114e717eadaa1cf696735dcca6b
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 12:36:54 2018 -0700

    snmplib, vacm: Remove dead code
    
    Since it is guaranteed that accessEntry == NULL after "goto bail" has
    been executed, remove the code that depends on accessEntry != NULL.
    This patch fixes Coverity ID 144350.

commit d3920fcedf5c1bcaee30d5308943e78b4a429eb0
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 12:34:11 2018 -0700

    snmplib, snmpusm: Remove a superfluous check
    
    Checking whether or not a pointer is not NULL after it has been dereferenced
    is not useful. Hence remove the check. This patch fixes Coverity ID 144385.

commit f138736bedc82008566063119d301bad07e3e5f8
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 12:32:35 2018 -0700

    snmplib, snmp_api: Remove a superfluous check
    
    Checking whether a pointer is not NULL after it has been dereferenced
    is not useful. Hence remove the != NULL check. This patch fixes Coverity
    ID 144387.

commit fb763ef6f390ac8dec4d7c0c0160f648464d587d
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 25 08:22:18 2018 -0700

    Revert "perl: Unbreak Perl module linking"
    
    The Perl module build problems were caused by a concurrent build
    (make -j<n>) and not by a problem in any of the Makefile.PL files.
    Hence revert commit 347d4cf207b8.

commit 0545bc80654a081aed5969f425dc2f2b45f3cccf
Author: Bill Fenner <fenner@gmail.com>
Date:   Sun Mar 25 15:08:27 2018 +0000

    CHANGES: snmplib: asn1: from "Google Autofuzz project": propagate error from asn_parse_length

commit 52ccd5b24fbaed5a75156b3da07b83fa4b80e2e2
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 09:54:33 2018 -0700

    apps/sshtosnmp: Initialize read_set
    
    This patch fixes Coverity ID 266307.

commit 6407a3ec77c959e789ccee2eaf58d117dd27cdb6
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 09:52:50 2018 -0700

    apps/sshtosnmp: Avoid overflowing an output buffer
    
    This patch fixes Coverity ID 266309.

commit 1744c0279d8ebab010192af07bf7a4c6cecc42dc
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 15:30:28 2018 -0700

    snmpd, DISMAN MIB: Avoid dereferencing a NULL pointer
    
    This patch fixes Coverity ID 85560.

commit 844c37e7207b902af1097c6baac0a22bf6d7c039
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 15:28:18 2018 -0700

    snmpd, dlmod: Avoid dereferencing a NULL pointer
    
    This patch fixes Coverity ID 144354.

commit bb2fe7fea965610449a939c6cd1f4788181d1ac8
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 15:25:18 2018 -0700

    snmpd, pass_persist: Avoid dereferencing a NULL pointer
    
    This patch fixes Coverity ID 266321.

commit 0c7ea894ff832d928c1427ae6e9ec1fb9b7abc0b
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 15:19:26 2018 -0700

    snmpd, mib-II: Initialize dst.sin_port and gateway.sin_port
    
    This patch fixes Coverity IDs 85686 and 85660.

commit fb882c7c514bffb7870381a7f0343a447dfdf66d
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 15:16:53 2018 -0700

    snmpd, ip-forward-mib: Initialize dst.sin_port and gateway.sin_port
    
    This patch fixes Coverity IDs 85700 and 85690.

commit 07416f5e22807867e035bee0bfb2b5c96e78a13e
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 15:14:42 2018 -0700

    snmpd, MIB-II: Initialize pcb.inp_next
    
    This patch fixes Coverity ID 85702.

commit 731e4f0dfcb0cb9e3f750c109b1cb6efe2169604
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 11:50:31 2018 -0700

    snmpd, tsltm-mib: Only release an iterator if it has been initialized first

commit 1457675095363781668241653424b92c5aba28d8
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 10:43:24 2018 -0700

    snmpd, MIB-II: Check strchr() return value
    
    This patch fixes Coverity ID 266305.

commit bf690d7732724a452dd9eb1f6dd60e92ba2fdc1d
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 10:36:18 2018 -0700

    snmpd, agent/mibgroup/hardware/cpu/cpu_linux: Check strchr() return value
    
    This patch fixes Coverity ID 266326.

commit 7a148f07a6e3b3ec8cc55880eb82ff206b5c1d37
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 10:33:25 2018 -0700

    snmpd, ucd-snmp/pass_persist: Avoid passing NULL as the second argument to write_persist_pipe()
    
    This patch fixes Coverity ID 266334.

commit 29e4e4fe2468834d2148881a97185982a636674c
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 10:30:51 2018 -0700

    snmpd, disman/ping/pingCtlTable: Initialize mhdr.msg_flags
    
    This patch fixes Coverity ID 85579.

commit c276d4d8238248558c71ca975b2399db72c3cb1c
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 10:28:38 2018 -0700

    snmpd, ip-forward-mib: Initialize dst.sin_port and mask.sin_port
    
    This patch fixes Coverity IDs 85592 and 85580.

commit c1693ed45af0d0855b2025c30c042fa6ace55689
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 12:21:39 2018 -0700

    snmplib/keytools: Avoid dereferencing a NULL pointer
    
    This patch fixes Coverity ID 266324.

commit ef889d0a284b00c5a1c6e6c9175e2b765e586bc2
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 12:18:19 2018 -0700

    snmplib, SSH transport: Avoid dereferencing a NULL pointer
    
    This patch fixes Coverity ID 266333.

commit bfd9081e7a49e5d873a9be9da6a5c54ae5da5401
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 10:39:43 2018 -0700

    snmplib, SSH transport: Avoid calling close(-1)
    
    This patch fixes Coverity ID 266314.

commit 307b8fa96bab9609c8e697e5f52abdd57fb6b167
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 09:47:45 2018 -0700

    snmplib, SSH transport: Pass a valid socket descriptor to setsockopt()
    
    Check the accept() return value before calling setsockopt() instead of
    after having called setsockopt(). This patch fixes Coverity ID 266325.

commit 732df276f0905bdb67aafcd812de1c2b51a0cc41
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 12:40:30 2018 -0700

    snmplib, SSH transport: Avoid overflowing the output buffer
    
    This patch fixes Coverity ID 266310.

commit f57c787584ff21f59e0beec0918c8a23aeb3031a
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 10:50:58 2018 -0700

    snmplib, _daemon_prep(): Suppress a Coverity complaint
    
    Avoid that Coverity complaint about not closing fd being a resource
    leak. This patch does not change any functionality but fixes Coverity
    ID 86657.

commit af3fc499f6007f56623f3b1b046512e985505a1e
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 10:21:05 2018 -0700

    snmplib: Initialize tm_isdst if available
    
    This patch fixes Coverity ID 144417.

commit 878fe301a9a5e548dab22c2d08e52039c6838216
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 24 15:12:28 2018 -0700

    snmplib, ASN parsing: Avoid reading uninitialized data if the output buffer is small
    
    This patch fixes Coverity ID 85714.

commit 70c52531fc2926bd9d1a9d4e00544c2c392d3d65
Author: Bill Fenner <fenner@gmail.com>
Date:   Sat Mar 24 15:31:27 2018 +0000

    CHANGES: snmplib: asn1: BUG: 2828: from "Google Autofuzz project": fix off-by-one heap access for opaque types
    
    (and an adjacent bug that was not in 5.4, noticed by code inspection)

commit aee85c048928bb67f5b1e84b603a5428b5f7f9e3
Author: Bill Fenner <fenner@gmail.com>
Date:   Sat Mar 24 15:27:57 2018 +0000

    CHANGES: snmplib: asn1: BUG: 2828: from "Google Autofuzz project": fix off-by-one heap access for opaque types

commit 347d4cf207b834744fc9215f7e4423530c67653f
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri Mar 23 21:45:55 2018 -0700

    perl: Unbreak Perl module linking
    
    For one or another reason ExtUtils::MakeMaker leaves out -L${prefix}/lib
    -lnetsnmp from $Params{LIBS}. Add -lnetsnmp back such that Perl module
    linking works again.

commit 0adc62ebbbd5192bbb97b43e49a6604b9ff7c217
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu Mar 22 21:53:23 2018 -0700

    perl/default_store/test.pl: Enable 'strict' and 'warnings'

commit a7dfe31ea120ea68f4304170cadae3a2adcde99a
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri Mar 23 20:20:12 2018 -0700

    perl/SNMP/Makefile.PL: Suppress a complaint about a concatenation
    
    Avoid that Perl complains about $ENV{'NET-SNMP-PATH'} not being defined
    on Unix systems by only evaluating it on Windows systems.

commit e0027a2c681369d99434f09bc380dfbd1c3358ec
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri Mar 23 20:17:30 2018 -0700

    perl/agent/Support/Makefile.PL: Fix library paths

commit b7149cda92c545ab1974d678ab6d7efe0628276e
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri Mar 23 20:08:28 2018 -0700

    perl Makefiles: Make library paths absolute

commit ba6e19f8ed23052939f90d93222e855778c850d1
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri Mar 23 20:43:52 2018 -0700

    perl: Convert Makefile.subs.pl into a Perl package
    
    This patch does not change the generated makefiles.

commit bde2b845786e07d825cc4629e872f1e6d05f985b
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri Mar 23 18:56:59 2018 -0700

    Makefile.in: Make it easy to enable Carp::Always for generating Perl makefiles
    
    Adding -MCarp::Always to the perl command line produces more detailed
    diagnostics during generation of Perl Makefiles.

commit 532c8c2b2d34645a2fc730815521b451a178f08b
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu Mar 22 22:42:31 2018 -0700

    perl/.../Makefile.PL: Enable 'use strict' and 'use warnings'

commit eacdabd16ad2fad1569a6ee982053feb94514869
Author: Bill Fenner <fenner@gmail.com>
Date:   Fri Mar 23 17:03:36 2018 +0000

    snmplib: report the underlying error if set by asn1 library

commit c5d9cecda251ea1f4638f88d5506b1f1743d87c3
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Mar 20 21:08:15 2018 -0700

    snmplib: Avoid that freeing the snmpv3_parse_arg() result can trigger a crash
    
    Fixes: 673f81051d58 ("snmplib, SNMPv3: Fix two memory leaks in netsnmp_parse_args()")

commit e1b6ce470a6cef6c7fd70607c077ebed18cc1dc0
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu Mar 22 00:20:52 2018 +0100

    snmplib, agent: Suppress warnings about not using the return value of asprintf()
    
    This patch does not change any functionality.

commit c0a4b11b9b7ab10d195ea79c641eda57628870d8
Author: Bill Fenner <fenner@gmail.com>
Date:   Wed Mar 21 15:38:33 2018 +0000

    NEWS: snmpd: com2sec and com2sec6 SOURCE values may deny sources as well as permit.

commit f4ece692aa0372f30ca6dc2f8d39c8b49617b576
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 18 21:14:25 2018 -0700

    Win32, MSVC: Unbreak the non-SSL build

commit 370e84aac13cab309ffaebc5ffb7a06ea5943165
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 11 16:55:06 2018 -0700

    win32/dist/build-binary: Pass build options as arguments

commit f148b5f46541e3ec3c33c977d7705f14e736e7e1
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 11 16:58:51 2018 -0700

    win32/dist/build-binary: Build Net-SNMP without Perl modules
    
    Building Net-SNMP with Perl modules was possible when ActivePerl
    distributed Perl binaries with Visual Studio. Since they switched
    to gcc it's no longer possible to link the Net-SNMP code (built
    with MSVC) with the ActivePerl Perl libraries (built with gcc).

commit 46d8156b7edee134d3c8b000b99791b4147ef4b5
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 11 16:56:46 2018 -0700

    win32/dist/build-binary: Enable 'use warnings'

commit 82b4276a7c6a67e79657e4b78b35d7e31ddfeafb
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 18 09:42:48 2018 -0700

    Win32: Add support for the DTLS-UDP and TLS-TCP transports

commit 3792bc46a04cfd7163129355c450caef63dfd4fd
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 18 17:08:37 2018 -0700

    Win32, MSVC: Pass OpenSSL include path as a compiler option

commit 2ef90da390ff2546e8b9b8a8de94af678d1b12de
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 18 08:39:23 2018 -0700

    Win32, MSVC: Reduce redundancy in the build system

commit f9b3fed793a9b336161236c6c2a5bbcc32018445
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 18 08:56:48 2018 -0700

    win32/Configure: Avoid that perl warns about masked declarations

commit 33e7c68621b399e406679cd74db2fbf563d1c701
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 18 10:55:17 2018 -0700

    snmplib: Various MSVC build fixes

commit 376f589e7513d84e6e46439aa3ae7f21bca42c8f
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 18 17:49:37 2018 -0700

    snmplib/transports/snmpDTLSUDPDomain, MSVC: Fix two recently introduced compiler warnings

commit 7ad11d55e62ecee98b7ae362880a4b583288071d
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 18 09:30:55 2018 -0700

    snmplib/transports/snmpUDPBaseDomain, MSVC: Fix two recently introduced compiler warnings

commit a8e11b3204c8e37745a4a5139b1dcbf3aeef5aa7
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 17 14:42:53 2018 -0700

    win32/dist/installer/net-snmp.nsi: Use WinVer.nsh to determine Windows version
    
    Obtaining the Windows version from the registry doesn't work on Windows 10.
    Although I have no idea why, use WinVer.nsh to determine the Windows version.

commit ac72c513d321f13284a02f1a9c337909ad0af3ef
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 17 14:59:45 2018 -0700

    win32/dist/installer/net-snmp.nsi: Disable installation of Perl modules

commit 96047c5e23f3aef95663710b16b6ac8a50a1f518
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 17 20:08:53 2018 -0700

    win32/dist/installer/net-snmp.nsi: Comment out an obsolete include
    
    None of the macros defined in SetEnVar.nsi are used. Hence do no longer
    include that file. See also commit 8a572b4e08ff ("Add netsnmp_getenv()
    which is a wrapper for getenv() to add basic Windows registry support.")

commit 0c66f45714629331cf3a9b72a6eabb8315de9e72
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 17 20:46:41 2018 -0700

    win32/Configure: Enable 'use warnings'

commit b841dc9c53d7e96daaf962194ce35e61ef241afc
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 17 20:47:01 2018 -0700

    win32/build.pl: Suppress a Perl warning

commit ff46360780f835d7bf0dcb076ebf47c4ac0f1605
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 11 16:55:06 2018 -0700

    win32/dist/build-binary: Pass build options as arguments

commit 0dcbe946bbdfc1c048ca448595334ae1a4cb67b8
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 11 16:58:51 2018 -0700

    win32/dist/build-binary: Build Net-SNMP without Perl modules
    
    Building Net-SNMP with Perl modules was possible when ActivePerl
    distributed Perl binaries with Visual Studio. Since they switched
    to gcc it's no longer possible to link the Net-SNMP code (built
    with MSVC) with the ActivePerl Perl libraries (built with gcc).

commit 28180252de086242ae8e70203960cc5f1f0e4a7f
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 11 16:56:46 2018 -0700

    win32/dist/build-binary: Enable 'use warnings'

commit f0b5ab271d0561caf8eb0c2baeff313341a75eb7
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 11 15:13:13 2018 -0700

    README.win32: Document how to build the installer

commit 4a3d9af910dd3aef09776d0c75b0a04f0851c054
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 10 21:25:24 2018 -0800

    snmplib/transports/snmpDTLSUDPDomain: Make it possible to send traps over DTLS-UDP

commit 0eb5f25501e3426e588a4705f480ed21be042736
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 10 21:07:59 2018 -0800

    snmplib/transports/snmpDTLSUDPDomain: Add more debug tracing code

commit 9040c95258fb9f9c3534df65d519b6c7133c5d30
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 10 20:25:37 2018 -0800

    snmplib/transports/snmpDTLSUDPDomain: Reduce stack usage
    
    Allocate the buffer for data that will be sent over the network
    dynamically instead of on the stack.

commit cdf1bf431d894149ddbb38ddb9849d21a7de3e28
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 10 19:57:53 2018 -0800

    snmplib/transports/snmpDTLSUDPDomain: Remove superfluous checks
    
    Change if (e) return; if (!e && f) ... into if (e) return; if (f) ...

commit 6861c1b9f69d66dee91d2e5d4eb8de204c8e0b7b
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 10 19:35:25 2018 -0800

    snmplib/transports/snmpDTLSUDPDomain: Coding style fixes
    
    Make the coding style consistent with the rest of the code base.

commit eac9744563669871c960348a1cf6a77e2b7c9772
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 10 19:18:32 2018 -0800

    snmplib/transports/snmpDTLSUDPDomain: Fix spelling in source code comments

commit 2495e4bdb33ce5d1432b5d66d11a692cbd58a10a
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 10 19:13:56 2018 -0800

    snmplib/transports/snmpDTLSUDPDomain: Pass static pointers to SSL_get_ex_new_index()
    
    The pointer that is passed as the second argument to SSL_get_ex_new_index()
    is stored by that function in a global data structure. Make sure that the
    pointers that are passed to SSL_get_ex_new_index() remain valid after
    netsnmp_dtlsudp_ctor() has finished.

commit 637931131baac12d6bdd78df811fec4864b7b716
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 10 10:35:05 2018 -0800

    snmplib/transports/snmpDTLSUDPDomain: Remove the _peer_union data structure
    
    Since _peer_union and netsnmp_sockaddr_storage are exactly the same
    unions, remove the former. This patch does not change any functionality.

commit df4b85289ee3f9de0d1edb3603d64096ed6b7eda
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 10 10:10:04 2018 -0800

    snmplib/transports/snmpDTLSUDPDomain: Remove superfluous casts
    
    This patch does not change any functionality.

commit f3c1d67b714eedbae4141feb9d6984fab70581bc
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri Mar 9 21:33:39 2018 -0800

    snmplib/transports/snmpDTLSUDPDomain: Remove two (void **) casts
    
    Change the data type of two local variables named 'sa' into void * such
    that two (void **) casts can be removed. This patch does not change any
    functionality.

commit ed5bbbcd315f4425ac7c85a7fe32bb3a5afd2241
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 10 09:52:09 2018 -0800

    snmplib/transports/snmpCallbackDomain: Make netsnmp_callback_send() easier to read
    
    This patch does not change any functionality.

commit 56889633204839e4b0d57b5b4bb973d590684ed4
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 10 09:49:09 2018 -0800

    snmplib/transports/snmpCallbackDomain: Make find_transport_from_callback_num() easier to read
    
    This patch does not change any functionality.

commit 9a088c7951a462ca85ae5f5d3d6f389436580522
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 10 09:48:28 2018 -0800

    snmplib/transports/snmpCallbackDomain: Make find_transport_from_callback_num() reentrant

commit 506f60d6b61c30a8a0dfc8cc207365f71e326c7f
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 10 09:45:05 2018 -0800

    snmplib/transports/snmpCallbackDomain: Simplify netsnmp_callback_fmtaddr()
    
    This patch does not change any functionality.

commit 0907750de83418364f40d94424e32b6292fa2a2c
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 10 09:43:23 2018 -0800

    snmplib/transports/snmpCallbackDomain: Remove superfluous casts
    
    This patch does not change any functionality.

commit a058952120a69504b4be84d3518161c4700cbc5b
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 10 09:41:43 2018 -0800

    snmplib/transports/snmpCallbackDomain: Remove a local variable
    
    This patch does not change any functionality.

commit ac12184da7590af7cd6ae93e59801888080497ea
Author: Wes Hardaker <opensource@hardakers.net>
Date:   Fri Mar 9 15:47:34 2018 -0800

    CHANGES: fix bug #2832 for building new checkbandwidth script

commit 114b600432980529087b25c6e9aeb068e17f2837
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Mar 6 19:20:26 2018 -0800

    snmplib: Suppress recently introduced Cygwin build warnings

commit c9e11fd8e063dca694cf3f5c7a715a726f27bdc7
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Mar 6 19:20:04 2018 -0800

    testing/fulltests: Suppress Cygwin warnings
    
    Avoid that warnings appear with Cygwin about redeclaring optind etc.

commit 2e5222c4d7512c58b35be301e2b8ff8df6c562c3
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Mar 5 21:59:42 2018 -0800

    snmplib, MIBs: Use NETSNMP_PRIz where required

commit 7b1c542f0c7699fe242937a633c79063845a98c1
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Mar 5 19:53:18 2018 -0800

    Win32, MSVC: Fix recently introduced DLL build failures

commit 91037042136de9ec07bd337e41aeb00a60ed82ee
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Mar 5 21:41:34 2018 -0800

    Win32, MinGW: Fix the build against the latest MinGW Windows headers

commit 6533b51a77a18b1e81cee71d7ee5a5b8596aadee
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Mar 5 19:20:05 2018 -0800

    snmplib, TLS: Avoid that names without dot trigger a segmentation fault

commit 8e1a168025edc4f035f3c35f8022b1df697380fe
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Mar 5 16:51:02 2018 -0800

    snmpd: Make the agentxperms keyword work again
    
    Since there is code in agent/mibgroup/agentx/master.c that assumes
    that t->local points to the path of the Unix socket, make t->local
    again point at the Unix socket path for the Unix transport.
    
    This was reported by Sam Tannous <stannous@users.sourceforge.net>.
    
    See also https://sourceforge.net/p/net-snmp/bugs/2830/.
    
    This partially reverts commit 3bd8dc8b2d90bba775ff1a1fa2f4197fb20b180b.

commit ae0caf620e06e13f85079642aea2c2368ae24d95
Author: Bill Fenner <fenner@gmail.com>
Date:   Mon Mar 5 14:10:46 2018 -0800

    Unbreak minimal agent by declaring our feature dependency on sc_get_proper_priv_length()

----------------------------------------------------------------------

Changes: V5.8.pre1 -> V5.8.pre2

commit 20ae34cc421fdd61ce973e4fd3c4ac9b0a144514
Author: Robert Story <rstory@isi.edu>
Date:   Mon Mar 5 11:57:19 2018 -0500

    Version number update: 5.8.pre2

commit 4ecad5c95cccca9012ea8d337836835022c202b4
Author: Robert Story <rstory@isi.edu>
Date:   Mon Mar 5 11:56:09 2018 -0500

    regenerate configure

commit 59877eafa2ef9365a73f45ddef1551c88ddc55b4
Author: Robert Story <rstory@freesnmp.com>
Date:   Mon Mar 5 11:42:28 2018 -0500

    Revert "Make snmptrap work for DTLS-UDP"
    
    SNMPv3 traps use local engineID so no probe is needed. More investigation
    needed into why DTLS-UDP traps tests are failing.
    
    This reverts commit ace478cebbe620c8fa43161858f3db8f79fdafba.

commit 95c2a160231c6806401fcf0059661dc667406aa0
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri Feb 16 11:45:54 2018 -0500

    fix ceiling count for extend_kul

commit 8bd649d115b7a237da3edd84be95a1af19d41b34
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri Feb 16 11:45:17 2018 -0500

    BUG: fix usm keychanges for new algorithms and longer keylengths

commit 8051b8372dfd7143dd571aeccaebc648d53a5afc
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri Feb 16 11:34:04 2018 -0500

    add a bunch of debug during usm/key processing

commit 9bee3387ed28e33e558072ecdbce5c5712c6fe3a
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri Feb 16 10:51:33 2018 -0500

    fix some memory leaks in usm processing

commit c89aabfee0fe6a0dca691c588f8ecd6d803965d7
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri Feb 16 10:49:10 2018 -0500

    match exact string length in usm_lookup_alg_type

commit 1620dea72ae008c741920c329bd84032016d9237
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri Feb 16 10:48:09 2018 -0500

    make usm_extend_user_kul avaialable to other files

commit 720a47eeaade1052605a644fcbb8f6a4b90faaab
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri Feb 16 10:44:54 2018 -0500

    remove redundant cisco2 AES types

commit 7497e2eade8aafcf53c48e1b29800b3d26dcb1b5
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri Feb 16 10:42:01 2018 -0500

    check if libm is needed for ceil function

commit 13183a8054f3dd9617023065b26b4c487d4799c2
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 4 21:23:57 2018 -0800

    snmplib: Fix MinGW build
    
    Fix recently introduced MinGW build failures and warnings.

commit 35b1a5b8869a83666fb7481564e91b2229bccb05
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 4 20:10:14 2018 -0800

    testing/fulltests/tls/STlsUsers: Fix this test

commit f04ecd20fce2e6b9023e8f1f455fe576c102d038
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 4 19:32:14 2018 -0800

    testing/fulltests/tls/STlsServer: Fix a comment

commit 2c682f6cbce8cc857acdef4dc145ae3ad5f98304
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 4 19:58:08 2018 -0800

    snmplib: Refuse certificates for which a trusted chain was not found the trust store
    
    This patch fixes the noTrustCACert STlsServer test.
    
    Fixes: 0598b77e1c3a ("CHANGES: snmplib: add more openssl error cases where we check for local cert")

commit d9471b0227d484ac69804e58d4b955270267bb9c
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 4 18:01:38 2018 -0800

    snmplib, cert_util: Fix spelling in a soure code comment

commit b1bf5c9d1883b2fe3365cc21844174f308cc90e7
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 4 18:53:41 2018 -0800

    snmplib, UDP transport: Remove a cast

commit 8915e14d1674d0675d56341fcb21c407e0945e50
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 4 18:52:27 2018 -0800

    snmplib, UDP transport: Fix spelling in soure code comments

commit 1af94a8e76d5aee9a54713054e67fb2d82271f0a
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 4 18:42:54 2018 -0800

    snmplib, TLS-TCP transport: Fix spelling in a log message

commit e2f78d27f2217a2aab4d042eb7ce26f52566fb74
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 4 19:48:21 2018 -0800

    snmplib, TLS transport: Fix spelling in a source code comment

commit ce92b97d2e0e237844df5dc454cc5315aff7f1a7
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 4 18:17:00 2018 -0800

    snmplib, TCP transport: Set 'farendlen' correctly

commit 78af047973afc8d8102e9f92fd5686005941751c
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Feb 26 22:28:03 2018 -0800

    testing/fulltests/snmpv3/T010scapitest_capp.c: Initialize loop variable 'index'
    
    Initialize 'index' before starting the loop. Additionally, fix the
    indentation of the code in test_docrypt().

commit ace478cebbe620c8fa43161858f3db8f79fdafba
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Feb 25 19:31:10 2018 -0800

    Make snmptrap work for DTLS-UDP
    
    Enable engineID probing for SNMP traps sent over the DTLS-UDP transport.
    This is necessary to make snmptrap work over DTLS-UDP and also to make
    the unit tests pass that send traps over DTLS-UDP.

commit 528b98358c0774edbbbae529edf89cbc7358bcf2
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Feb 25 09:48:13 2018 -0800

    snmplib/transports/snmpIPv6BaseDomain.c: Fix netsnmp_ipv6_fmtaddr()
    
    Add support for decoding t->data if that pointer points at a
    netsnmp_indexed_addr_pair structure.

commit e3fd8c38503f1ce12886ed0c69de7b3e6dbf42b4
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Feb 25 09:48:11 2018 -0800

    snmplib/transports/snmpIPv4BaseDomain.c: Make netsnmp_ipv4_fmtaddr() more robust

commit 8690931673c6643802d7167b12cc52b53e958a32
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Feb 25 09:34:47 2018 -0800

    snmplib/transports/snmpIPv4BaseDomain.c: Remove dead code
    
    Since &(ptr->member) is never NULL, remove the code that depends on
    such an expression evaluating to NULL.

commit 17d6eafd09d7a206b280d4ff7fed3da427b4ce68
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Feb 24 16:04:07 2018 -0800

    testing/fulltests/tls/STlsAgentTrap: Fix this test by adding -v3 to the snmpset command line

commit 6e8fb30e9c44377c98e04db990c80e42e4b4c1d8
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Feb 24 15:34:03 2018 -0800

    testing/fulltests/tls/STlsUsers: Fix this test

commit 948340a2d0ba8a2855b4e8db91a9eb04d9418118
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Feb 24 15:53:05 2018 -0800

    agent/mibgroup/examples/example.c: Fix spelling in a source code comment

commit c49ebd86ac12f99b5b2e960746a7e9dbfc7bb0a4
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Feb 24 21:49:30 2018 -0800

    snmplib/transports/snmp*TLS*Domain.c: Fix address formatting
    
    Next to data of type netsnmp_indexed_addr_pair, also decode
    netsnmp_tmStateReference and _netsnmpTLSBaseData.

commit 0f72fa6cfdfcb09bbead02517a8af5f77c010561
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Feb 24 21:44:00 2018 -0800

    snmplib/transports/snmpDTLSUDPDomain.c: Make _extract_addr_pair() easier to read
    
    Additionally, complain if the length of the opaque data is passed to
    _extract_addr_pair() is not supported.

commit 4d6609d977734fe95aa4ebc2de270f521330a988
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Feb 24 21:12:52 2018 -0800

    snmplib/transports/snmpDTLSUDPDomain.c: Fix spelling in a source code comment
    
    Change "packtes" into "packets".

commit d33ad0bb66af037869c25391315e32578fee138b
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Wed Feb 14 20:32:22 2018 -0800

    Fix the T200TlsIpv6_simple test
    
    Since the symbol NETSNMP_TRANSPORT_TLSIPV6_DOMAIN does not exist, remove
    it. And since having to edit /etc/hosts to be able to run a test is very
    annoying, switch from "localhost6" to "[::1]".

commit 087f040b09a712664955980dd95853157dd618c8
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Wed Feb 14 20:32:29 2018 -0800

    testing/fulltests/tls: Reduce the time needed to run these tests
    
    Make the tests run faster by reducing the number of retries from 5
    to 1. Reducing the number of retries is fine since no packets are
    lost when communicating at a low packet rate over the localhost
    interface.

commit 7dbf67d1f693eee560f34a9beb41efc2acd220f2
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Feb 10 18:28:07 2018 -0800

    testing/fulltests: Convert clientCert/serverCert keywords into localCert/peerCert
    
    Additionally, add -v3 to the app flags to avoid that snmpget and
    snmpset fail due to no community string having been specified.

commit 3bd8dc8b2d90bba775ff1a1fa2f4197fb20b180b
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Feb 11 10:43:41 2018 -0800

    snmplib/transports: Avoid that the create_from_ostring methods truncate IPv6 addresses
    
    This patch not only simplifies the code but also fixes a bug in the
    DTLS-UDP and UDP-shared transports for IPv6, namely that IPv6 address
    truncation no longer occurs. The truncation was caused by the following
    code in the create_ostring implementations of these transports:
    
            memcpy(&addr6.sin6_addr.s6_addr, o, 4);

commit 54a924bc9648fa665efc78aaede9d6c8e7092f9a
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Feb 11 15:34:35 2018 -0800

    snmplib/transports: Use asprintf() for formatting addresses
    
    This change simplifies the code.

commit 651cbf9a4098c898192f855da80dc5f719d1fc2f
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Feb 11 10:39:44 2018 -0800

    snmplib/snmp_transport: Use netsnmp_memdup() instead of open-coding it

commit 7e094ed17ef1eaf84b55fe18786b31b89fa69f36
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Feb 3 22:18:38 2018 -0800

    snmplib/transports: Declare arguments that are not modified 'const'

commit 20725d58ca76fe648c3ed3bf44d496a9a938ffde
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Feb 11 09:53:44 2018 -0800

    DTLSUDP transport: Check length of from address
    
    Avoid that copying 'opaque' into 'from' triggers a buffer overflow.

commit 0ef2ffb2686f3cce65d702c87de9d158ef94ad67
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Feb 11 20:00:10 2018 -0800

    testing/fulltests/snmpv3: Fix compiler warning and build issues

commit 398f90a3e931e8cb7953a6fec6a309dd9bf5ba4d
Author: Wes Hardaker <opensource@hardakers.net>
Date:   Fri Feb 2 13:50:48 2018 -0800

    CHANGES: docs: Bug 2826: from Tomasz: fix utf-8 encoding

commit 2a9f8d7793b54ba6fce804b05e4d37a4a237b1d2
Author: Wes Hardaker <opensource@hardakers.net>
Date:   Fri Feb 2 13:45:30 2018 -0800

    CHANGES: python: BUG 2824: from: Tomasz: Fix python module make install

commit 0ec7af6591adf600094c5ed98fa97a699dee4e8c
Author: Wes Hardaker <opensource@hardakers.net>
Date:   Fri Feb 2 13:50:48 2018 -0800

    CHANGES: docs: Bug 2826: from Tomasz: fix utf-8 encoding

commit 4f481aa21a20a6c5ab463f9404e44ad9f247325e
Author: Wes Hardaker <opensource@hardakers.net>
Date:   Fri Feb 2 13:45:30 2018 -0800

    CHANGES: python: BUG 2824: from: Tomasz: Fix python module make install

commit ba3e921f940494f42797456e60b594e6d5a0343c
Author: Wes Hardaker <opensource@hardakers.net>
Date:   Mon Jan 29 10:50:49 2018 -0800

    NEWS: apps: A new 'checkbandwidth' script to host min/max bandwidth

commit 310afaf139fa95b3968e78c05609d90c36cd5ada
Author: Bill Fenner <fenner@gmail.com>
Date:   Thu Jan 25 14:23:04 2018 +0000

    Update the NETSNMP_DISABLE_MD5 case for the removal of USM_LENGTH_OID_TRANSFORM

commit f350c0ca404081060458b866da3cae48961013e1
Author: Bill Fenner <fenner@gmail.com>
Date:   Tue Jan 23 20:00:50 2018 -0800

    Allow access to new auth/priv algorithms from python bindings

commit 19a25baefd16ecb67dea3710c2c5aacfb0e61610
Author: Bill Fenner <fenner@gmail.com>
Date:   Tue Jan 23 19:57:17 2018 -0800

    Initialize newKulLen in _kul_extend_blumenthal()

commit 8ea9f6fccf1c11e72fbf6548b7eddab2167a220c
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Jan 23 07:21:17 2018 -0800

    configure: Add -Wlogical-op to the developer compiler flags

commit 8611d5f1983be2cab28a6869eebbb7b1d512e310
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Jan 23 07:27:40 2018 -0800

    snmplib/cert_util: Fix world read/writable test

commit 418fbe78a0ca3ebb563695fbf58d51b8916a48d9
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Jan 13 10:44:34 2018 -0800

    HOST-RESOURCES-MIB: Fix a compiler warning
    
    There are still systems that use int for time_t instead of long.

commit de0ee141ce0eb4c062f739ea1ab5a1dd66cdef84
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Jan 13 09:57:34 2018 -0800

    HOST-RESOURCES-MIB: Only call stime() if it is available
    
    stime() is an SVr4 function and is not available on e.g. AIX.

commit a086aa45dcc328e4fe66cbb75f37cd6509b4637c
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Jan 13 10:43:09 2018 -0800

    snmplib: Unbreak the NetBSD build

commit 708dd93377cd8219f18304436868588f50a42401
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Jan 13 09:54:38 2018 -0800

    configure: Improve compiler flag detection support
    
    Avoid that numerous "warning: unsupported compiler flag ..." messages
    appear in the build output.

commit d11d20de2889e95ad203d5950db3d4fa924ccc88
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Jan 13 10:07:56 2018 -0800

    configure: Remove -std=c89 from the developer options
    
    The -std=c89 compiler option causes build failures for system header
    files that are not C89 compliant on at least Linux and NetBSD. Hence
    remove it again.

commit ac70ceb04876cbadcb9d9c71636fcdf41133909a
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Jan 13 09:36:59 2018 -0800

    configure: Unbreak AIX support
    
    Avoid that the configure script fails as follows on AIX:
    
    ./configure[19598]: syntax error at line 19871 : `;' unexpected

commit 09778607761a2c28d5d1ba171e95830956ad3bdd
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Jan 8 18:41:16 2018 -0800

    configure, MIBs: Detect whether __u64 etc need to be declared explicitly before including <linux/ethtool.h>

commit 28f3ef5e70964d84b94e865fdacd7f62825895f6
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Jan 7 19:45:41 2018 -0800

    TUNNEL-MIB: RHEL 5 build fix

commit 9e1f73baa40ecde93941855ddf3a8137a8ef87c7
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Jan 7 19:45:30 2018 -0800

    RMON-MIB: Don't mix code and declarations

commit f7b9d5a8529337e73532b33f875873b9a669d162
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Jan 7 19:50:51 2018 -0800

    Document -std=c89 workarounds

commit 26bc66b794a373970ed16d6b22940a2d6e0d5553
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Sun Jan 7 11:40:28 2018 +0100

    Adapt to -std=c89 - the asm keyword ain't part of C89 but since this is code protected by __GNUC__ and it is using gnu extended assembler syntax I am assuming that a GNU-compatible compiler is in use and thus I can use the __asm__ keyword in place of asm

commit 5d3a1c1ab173a1db23c301f4d1975e73ea8ccb69
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri Jan 5 11:13:11 2018 -0500

    update COPYING
    
    - add VMware and ISI
    - remove/replace non-ascii characters

commit 1dc44d4a8db1054a52185db0ad96d454ceb619d0
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri Jan 5 11:06:53 2018 -0500

    update COPYING
    
    - add VMware and ISI
    - remove/replace non-ascii characters

commit 654b1227d86407c2cd1ca6409be74c1d4fd58d77
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu Jan 4 07:25:39 2018 -0800

    Make the source code C89 compliant
    
    Change all occurrences of inline that are visible to Unix compilers
    into __inline__. Add -std=c89 to the developer compiler flags. Surround
    non-compliant header files with #define inline __inline__ / #undef inline.
----------------------------------------------------------------------

Changes: V5.7.3 -> V5.8.pre1

NOTE: changelog semi-arbitrarily cut based on date of 5.7.3 release

commit 6dae3b81771801759fe76a9b9b8e9d1ca858496e
Author: Robert Story <rstory@freesnmp.com>
Date:   Wed Jan 3 23:15:06 2018 -0500

    fix compiler warning for implicit fallthrough

commit fcba8ae346a8b89df225942137892f1bbefdad6a
Author: Robert Story <rstory@freesnmp.com>
Date:   Wed Jan 3 23:14:38 2018 -0500

    remove C++ comment

commit 5238dcc6882bf65cb5c9b03a37653e0cd76a4894
Author: Robert Story <rstory@freesnmp.com>
Date:   Wed Jan 3 18:49:39 2018 -0500

    Version number update: 5.8.pre1

commit 39a746b6e6336aaa4dce04102d274fb916dbf351
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Jan 1 21:03:24 2018 -0800

    MSVC, Makefiles: Move common compiler flags into win32/Configure
    
    Additionally, minimize the compiler include path.

commit d4ef21d1f4fa14dec77dcf219d7906a971fe88b0
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Jan 2 20:59:11 2018 -0800

    MSVC, Makefiles: Avoid using local input files
    
    This patch does not change the behavior of the makefiles but makes
    build failures easier to debug.

commit 556c45bc66dd8529d8bc9ce9a31b08c453b3be2c
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Jan 1 21:04:30 2018 -0800

    Win32: Remove NMAKE_NETSNMP_USE_DLL
    
    Since the preprocessor macro NMAKE_NETSNMP_USE_DLL is not used anywhere,
    do not define it.

commit 7b0faf1484f51d662365888f7fb20cbe0d15e1ed
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Wed Jan 3 16:56:14 2018 -0800

    agent/mibgroup/mibII/kernel_linux.c: Convert from gnu89 back to c89
    
    See also commit 142c4239771c ("MIB-II: Fix /proc/net/snmp parser").

commit 6c57dd6038de971abcdde98a5518c5e9980891b6
Author: Robert Story <rstory@isi.edu>
Date:   Wed Jan 3 18:53:41 2018 -0500

    remove references to 5.4 and it's branches from makerelease

commit 500dfac5108c9f0b8c4071d3152794d3c269a4dd
Author: Robert Story <rstory@freesnmp.com>
Date:   Wed Jan 3 18:16:33 2018 -0500

    re-fix run-autoconf
    
    - original commit 418132f43cc43231966a8b9672c626f60b991039
    - ok in 5.7
    - no history of how it broke in master
    - weird. bad merge?

commit 0eee9d4345081bf6e367a271c1e460067a61f917
Author: Robert Story <rstory@isi.edu>
Date:   Wed Jan 3 18:06:46 2018 -0500

    remote --disable-U64 from makerelease config

commit e76f067d0b264c3005ea86bcef0c755baeb44d36
Author: Robert Story <rstory@freesnmp.com>
Date:   Wed Jan 3 14:04:19 2018 -0500

    keep compiler happy
    
    - type agreement
    - rework case statement to eliminate implicit fallthrough

commit 4c52f5eeea14bb1371741e738b6a79f4184f0a36
Author: Robert Story <rstory@freesnmp.com>
Date:   Wed Jan 3 13:39:56 2018 -0500

    keep compiler happy

commit e6e3142d79fa45b84d28aab79373a5f7501ea9bf
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Jan 1 21:03:24 2018 -0800

    MSVC, Makefiles: Move common compiler flags into win32/Configure
    
    Additionally, minimize the compiler include path.

commit dc9b48c92a52871bd96af23b8ce4932aaca8efac
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Jan 2 20:59:11 2018 -0800

    MSVC, Makefiles: Avoid using local input files
    
    This patch does not change the behavior of the makefiles but makes
    build failures easier to debug.

commit ec1f412c923bb5dd3794ea6c7e9fae66c25df8bb
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Jan 1 21:04:30 2018 -0800

    Win32: Remove NMAKE_NETSNMP_USE_DLL
    
    Since the preprocessor macro NMAKE_NETSNMP_USE_DLL is not used anywhere,
    do not define it.

commit c67c0aa92e6ec38a2952bf1a3db06a9351e6c062
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Jan 1 12:25:38 2018 -0800

    MSVC: Suppress "possible loss of data" warnings
    
    Avoid that MSVC warns about assigning a large integer type (e.g. int) to
    a smaller integer type (e.g. u_char). Additionally, move the definitions
    of _CRT_NONSTDC_NO_WARNINGS, _CRT_SECURE_NO_WARNINGS and
    _WINSOCK_DEPRECATED_NO_WARNINGS from various Makefile.in files into
    win32/Configure.

commit 116b432b7103d7056a8c71a65bae0e121ec79352
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Jan 1 12:07:28 2018 -0800

    MSVC: Fix a compiler warning
    
    Avoid that the following compiler warning is reported when building
    with MSVC:
    
    include/net-snmp/library/scapi.h: warning C4005: 'OPENSSL_SYS_WIN32': macro redefinition
    C:\OpenSSL-Win32\include\openssl\opensslconf.h(26): note: see previous definition of 'OPENSSL_SYS_WIN32'

commit c9ddbd2f9b464d3274b95950abb9bb357996acaa
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Jan 1 11:37:11 2018 -0800

    MSVC build fix for netsnmp_srandom()
    
    Ensure that HAVE_SRAND is defined when building with MSVC.

commit 3f240be697a06950a1cf62ce8a6e17aa0289dedd
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Jan 1 10:57:10 2018 -0800

    snmplib: Fix netsnmp_random()

commit 940888df4fa073a5db706fbffa6ec26a0de26de9
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Jan 1 08:35:10 2018 -0800

    snmplib: Fix format specifiers and remove unused local variables
    
    Fixes: commit 9e49de2e03b1 ("NEWS: snmplib: AES-192/AES-256 compatibility with SNMP Research / CISCO")

commit 1cfb9326cda38afd557a785c5cc08bcdfd8c248d
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Jan 1 08:34:40 2018 -0800

    apps/snmppcap: Fix three format specifiers
    
    Fixes: commit db2f552f427b ("WIP: snmppcap").

commit c57c1d25b3ab5742ada0430a15dcccb2bf250e74
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Jan 1 08:38:57 2018 -0800

    configure: Add -Wextra to the developer compiler flags
    
    Additionally, since -Wextra implies -Wimplicit-fallthrough=3,
    -Wmissing-field-initializers, -Wsign-compare and -Wtype-limits, add
    -Wimplicit-fallthrough=2, -Wno-missing-field-initializers, -Wno-sign-compare
    and -Wno-type-limits.

commit 0546b2c19b8a3d87399b74c389d6f6a10b44e076
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Apr 12 14:27:21 2017 +0200

    Fix up FALL THRU annotations for gcc7

commit c8b555c9d9df959d215467e271425c9f1ef3ba43
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Jan 1 09:12:52 2018 -0800

    DISMAN-TRACEROUTE-MIB: Suppress a warning about a set-but-not-used variable

commit d621296fc78eec4f2b93933754260dfa1a10d020
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Jan 1 09:12:04 2018 -0800

    MIB-II: Change one occurrence of 'const static' into 'static const'

commit 3acca4b9b70839c6c9a8bb3c418f819308072cb1
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Jan 1 08:04:11 2018 -0800

    Remove NETSNMP_ATTRIBUTE_UNUSED from function arguments
    
    Instead, add -Wno-unused-parameter to the developer flags.
    
    Note: Specifying -Wno-unused-parameter is only needed for older gcc
    versions. See also https://gcc.gnu.org/bugzilla/show_bug.cgi?id=57622.

commit c2163c1758c5106e75ab01455e185adcd8c8ca13
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Dec 30 19:38:24 2017 -0800

    Internal SSL implementation: Avoid that the compiler warns about unused values
    
    This patch does not change any functionality.

commit c4f16a899dacd2230128694604733c6124463f44
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Dec 30 19:06:36 2017 -0800

    configure: Detect whether or not the compiler supports __attribute__((unused))
    
    Detect whether or not the compiler supports __attribute__((unused))
    instead of having multiple (inconsistent) explicit tests in multiple
    places of the compiler version.

commit 945ee1b6846c8d38197d714fd78f67b192d1a85f
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu Dec 28 15:47:55 2017 -0800

    snmplib/scapi.c: Suppress three compiler warnings
    
    Suppress the following three compiler warnings:
    
    scapi.c: In function 'sc_encrypt':
    scapi.c:722:9: warning: unused variable 'new_ivlen' [-Wunused-variable]
         int new_ivlen = 0;
             ^~~~~~~~~
    scapi.c: In function 'sc_decrypt':
    scapi.c:994:13: warning: unused variable 'aes_key' [-Wunused-variable]
         AES_KEY aes_key;
                 ^~~~~~~
    scapi.c:993:9: warning: unused variable 'new_ivlen' [-Wunused-variable]
         int new_ivlen = 0;
             ^~~~~~~~~
    
    This is a follow-up for commit b964eebe0064 ("Unbreak the build on
    systems without OpenSSL, e.g. MinGW").

commit 599886c4f200ec1302a62d4856dd0bf2115f8899
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu Dec 28 15:35:08 2017 -0800

    DISMAN TRACEROUTE MIB: Remove a superfluous field width specifier

commit 6a71aa93ee36c370ab20cba6a1192d3d3e780232
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu Dec 28 15:31:25 2017 -0800

    Add -Wno-format-truncation to the developer compiler flags

commit 0f32973d1f011010ebb358b0b39601515019058c
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu Dec 28 15:22:54 2017 -0800

    testing/fulltests/default/T035snmpv3trapdusermgmt_simple: Skip this test when using the internal SSL implementation

commit 8c1625cf030a26ffaef7f826f8be5b0a9d344752
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu Dec 28 14:43:21 2017 -0800

    snmplib/openssl/openssl_des_local.h: Annotate switch statement fall-through

commit e707a67c7265dc96043d09c6939bbc5d5fba20d0
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu Dec 28 14:57:47 2017 -0800

    snmplib/snmp_openssl: Fix X509_get_signature_nid() prototype
    
    See also <openssl/x509.h>. See also commit d686bc3502f1 ("CHANGES:
    snmplib: Add support for OpenSSL 1.1.0").

commit 215695f2307dc02399fa2bb789c2b1e790d8551e
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu Dec 28 14:05:14 2017 -0800

    Change autoconf version back to 2.68
    
    This change avoids that test 1 fails as follows:
    
    Checking the Net-SNMP configure script validity .........................
    not ok 1 - found 0 copies of '^# Generated by GNU Autoconf 2.69 for Net-SNMP' in output (configure); expected 1
    
    See also commit 9e49de2e03b1 ("NEWS: snmplib: AES-192/AES-256 compatibility with SNMP Research / CISCO").
    
    See also http://net-snmp.sourceforge.net/wiki/index.php/Build_System.

commit 723c7131f4f10558f7b9ddc9b48c81366ffd9c8d
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Sun Dec 24 13:00:49 2017 +0100

    Do not mix variables declarations and code

commit 808e6bb814ffa69a0134be016c457832df352218
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Sun Dec 24 12:28:48 2017 +0100

    Remove empty statement in the declaration list in order to bring it back to C89.

commit ce05e7735384f61d636260fdc41152af75115296
Author: Bill Fenner <fenner@gmail.com>
Date:   Fri Dec 22 01:43:08 2017 +0000

    features: snmptls requires row_create

commit 1e12ff5098c980f3d332f624843f3636fb3463ef
Author: Bill Fenner <fenner@gmail.com>
Date:   Fri Dec 22 01:40:15 2017 +0000

    features: netsnmp_check_vb_storagetype calls check_storage_transition
    
    If we are not removing netsnmp_check_vb_storagetype,
    then we require check_storage_transition.

commit 280e2a6dbd0d64c10d1a6904c4fb68afaf4b1617
Author: Bill Fenner <fenner@gmail.com>
Date:   Wed Dec 20 22:49:35 2017 +0000

    Prevent infinite loop when view is modified during agentx processing
    
    If the view changes while a request is being processed by an agentx
    subagent, we may get stuck on snmpEnableAuthenTraps.0 since check_acm sets
    type to ASN_PRIV_RETRY without turning off inclusive.  The steps here:
    
    * getNext of snmpOutTraps.0 returns snmpSilentDrops ((Retry))
      due to scalar_group's hole handling code.
    * check_getnext_results now sets inclusive=2, and the object to
      snmpEnableAuthenTraps.0 (the end of the range because of the hole)
    * we then do a getNext of snmpEnableAuthenTraps.0 with retry+inclusive,
      which turns into a get of snmpEnableAuthenTraps.0, which returns
      a value.
    * check_acm finds that snmpEnableAuthenTraps.0 is not allowed, so
      sets retry again without resetting inclusive;
    * we then do a getNext of snmpEnableAuthenTraps.0 with retry+inclusive,
      which turns into a get of snmpEnableAuthenTraps.0, which returns
      a value.
    * check_acm finds that snmpEnableAuthenTraps.0 is not allowed, so
      sets retry again without resetting inclusive;
    * ...

commit 56c30b11f3616ea4f0c38a21e08e78f050096020
Author: Bill Fenner <fenner@gmail.com>
Date:   Wed Dec 20 21:52:10 2017 +0000

    NEWS: snmplib: PATCH: 1349: Fix perl/other crash against bad SNMPv3 agent
    
    With the patch in 1214, the snmp_api code assumed that if magic was
    set, it was the "struct synch-state" from snmp_client.  Of course,
    magic belongs to the caller, and the perl library uses it differently,
    so reaching into it is verboten.  Introduce a new callback (that
    was already introduced in 5.8) to report this "retries exceeded"
    state, and use it in snmp_client.

commit 91b9d75c95afae172e1e0145a358a3d4f29451c0
Author: Bill Fenner <fenner@gmail.com>
Date:   Wed Dec 20 20:59:14 2017 +0000

    Use NETSNMP_DS_LIB_QUICK_PRINT instead of the old ucd compat function

commit cbb40ded0faaf8ab8ee07746707ff3d4ed483911
Author: Bill Fenner <fenner@gmail.com>
Date:   Wed Dec 20 20:58:12 2017 +0000

    After b009ac9037e37566f78afab4a094d3b72f732846 we do not require snprint_value

commit 41c5c3de6b552f01bb80c743cab8833f4f0e6bb8
Author: Bill Fenner <fenner@gmail.com>
Date:   Wed Dec 20 20:53:33 2017 +0000

    CHANGES: Fix crash when snmptable -OX run against object that's not a table (like .1)

commit 6907d38ed0c7200e2c1fa0e00926061db59d1290
Author: Bill Fenner <fenner@gmail.com>
Date:   Wed Dec 20 20:35:27 2017 +0000

    Fix OID saved to config file for SHA224 authProto

commit c450b7f6b836789aabbf5d78ad59a41c91b96249
Author: Robert Story <rstory@isi.edu>
Date:   Wed Dec 20 14:39:37 2017 -0500

    remove two more duplicate functions when TLS enabled

commit 573355d4219180a8feb3429c4c5d345495160d27
Author: Robert Story <rstory@isi.edu>
Date:   Wed Dec 20 14:15:12 2017 -0500

    fix compile errors when TLS support enabled
    
    - fix prototype
    - remove duplicate function

commit 3f6ef5a028f3d5142e68dff90dfbd95caf54b302
Author: Robert Story <rstory@isi.edu>
Date:   Wed Dec 20 14:14:31 2017 -0500

    remove dup DH_get0_* functions
    
    - fix ifdefs so version in snmplib is visible to apps

commit 0c4709c062bd9e8da5090473454822c60fa5d9c7
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Dec 18 20:03:45 2017 -0800

    snmplib: Avoid that warnings about if-statements with an empty body appear during compilation with --disable-debugging

commit 831233136d30d26cd757fed293b22f0730642711
Author: Huseyin Alpaslan Yildiz <alpaslan.yildiz@siemens.com>
Date:   Mon Dec 18 18:35:08 2017 -0800

    snmplib: Fix --disable-debugging build

commit b964eebe0064b80946be0ca05c9dd2beb52f47e9
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Dec 17 14:05:42 2017 -0800

    Unbreak the build on systems without OpenSSL, e.g. MinGW
    
    Fixes: commit 329a9d3c9d63 ("revamp auth/priv protocol constants handling")

commit 3fd2b328a200d2ab6b0d1d07afbb5f57bc38a6ea
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Dec 17 19:08:27 2017 -0800

    OpenSSL-related MSVC build fixes

commit c10b756d84978b9c3b5aa907fe8723b9869dc386
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Dec 17 08:40:44 2017 -0800

    CHANGES: Introduce netsnmp_random(void) and netsnmp_srandom()
    
    This patch unbreaks the MinGW build.

commit faa9deb85149e2dc247cd03bb9e5b60e112baba5
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Dec 17 14:15:30 2017 -0800

    Fix a mismatch between the netsnmp_extend_kul() prototype and its caller
    
    Fixes: commit 9e49de2e03b1 ("NEWS: snmplib: AES-192/AES-256 compatibility with SNMP Research / CISCO")

commit ad4fdcf42cca48c80f3de71c0d889a076a81763a
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Dec 17 14:19:53 2017 -0800

    Unbreak the compilation of the Perl modules
    
    Fixes: commit 329a9d3c9d63 ("revamp auth/priv protocol constants handling")

commit f4b98f647260095fcec2b2a34d939b7ca30eda27
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Dec 17 14:00:39 2017 -0800

    configure: Run autoreconf
    
    Fixes: commit 9e49de2e03b1 ("NEWS: snmplib: AES-192/AES-256 compatibility with SNMP Research / CISCO")

commit 7840643a40116881fc830ed9eb2d5b06250f9fe5
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Dec 14 12:03:38 2017 -0500

    remove duplicate definitions of openssl compat functions

commit efa3e4a9da0ff76d166e6e9cc66e88a9d040ea84
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri Dec 15 17:30:06 2017 -0500

    check rc for checkout commands

commit b66e90964e52addebbb50d294f1aa41463b8eaed
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri Dec 15 17:20:28 2017 -0500

    remove references to dead FTP mirrors

commit 317c7f97ccb2fcbcdd90d17040e218eddd0cd16b
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri Dec 15 17:00:21 2017 -0500

    remove CVS scripts; change SVN refs to GIT

commit be94477c2c94de10c230bbe690391b7463cf1f7d
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Dec 14 22:37:26 2017 -0500

    whitespace changes

commit 9e49de2e03b18ceb1b7cba2e715ad6180f394815
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Dec 14 11:53:13 2017 -0500

    NEWS: snmplib: AES-192/AES-256 compatibility with SNMP Research / CISCO
    
    - they use key localization algorithm from draft-reeder-snmpv3-usm-3desede-00
      instead of the Blumenthal draft
    
    Also:
    - configure option to enable larger AES key length code
    - localized key extension via blumenthal and reeder method

commit a0b25857bdddf70cc3f6f7d0c0211781b8dc3070
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Dec 14 10:39:29 2017 -0500

    debug tweaks

commit 1a5d5104c7611a3142f63429f0dd0943ca573d00
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Dec 14 10:33:20 2017 -0500

    increase buffer size for larger hashes

commit aa83281293a369ee372d749a84eb22fb8f083b5b
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Dec 14 10:31:39 2017 -0500

    rework T010scapitest_capp.c to test all auth/priv protocols

commit 9f3a2a8408d74e2f52c160fcb877994f6b664df9
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Dec 14 10:28:43 2017 -0500

    consistency in generate/check keyed hash functions; add debug
    
    - use mac length in both
    - tweak debug output when testing code enabled

commit ba3f4cb85f85108dcf5f8867a43f439c000ca737
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Dec 14 10:25:04 2017 -0500

    remove unused PADSIZE defines; all AES IV sizes are 128
    
    - remove outdates comments
    -reorderd defines by key/mac length

commit 329a9d3c9d63e0dc2c3bc3374f52611d264fa1c3
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Dec 14 09:32:31 2017 -0500

    revamp auth/priv protocol constants handling
    
    - move constants into arrays
    - remove hardcoded protocol OID lengths

commit 7b2f35cadd146ea78571342d366be6e937a35c29
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri Sep 29 18:32:05 2017 -0400

    NEWS: snmplib: Restore AES-192 and AES-256 privacy protocols
    
    - from draft-blumenthal-aes-usm-04 (precursor to RFC 3826)
    - Revert "Use AES instead of AES128,192,256"
    - Use OIDs from http://www.snmp.com/eso/esoConsortiumMIB.txt
    
    This reverts commit 2ca67bf94a380dc4e1b2322d4ef0024889938413 but also
    contains additional changes.
    
    Some code borrowed from PATCH 1346, thanks to Alexander Ivanov
    and Vladimir Sukhorukov.

commit 0f7f5394f4432ba140a67edd5490791fca997f47
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Dec 14 10:40:12 2017 -0500

    add missed places for saving master key

commit 1e99bf92950380049beedb5cffa640d28e9e8fbe
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Dec 14 10:41:16 2017 -0500

    compare correct var when enforcing priv policy

commit 96895c81165367bb0d70f91c5afbf4b4299c1acd
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Dec 14 12:03:38 2017 -0500

    remove duplicate definitions of openssl compat functions

commit 31cad3aa4a31730d769d7a20eac61018f0ee7d98
Author: Robert Story <rstory@freesnmp.com>
Date:   Wed Dec 13 23:14:11 2017 -0500

    check the right variable in condition

commit 08e179bad581ccb5fd4220b7f41bfa76be8352c9
Author: Robert Story <rstory@isi.edu>
Date:   Thu Dec 14 10:10:32 2017 -0500

    remove dead branches from shell-functions

commit e3782d32e05f550dfd3036261c8951f559b9d814
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Dec 14 09:51:56 2017 -0500

    log error when scoped pdu parsing fails

commit 020a17cf90a258160175473aa0d6d84861215921
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Dec 14 09:44:52 2017 -0500

    fix compiler warnings when testing code enabled

commit 9bafb8af58da10de28826a6c5ecd63b535367c50
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Dec 12 21:48:51 2017 -0800

    configure: Suppress an autoconf warning

commit 5ba0a484b4b023a54aff78d8c31f7d5b41c50b56
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Dec 12 17:53:16 2017 -0800

    configure: Add -Wno-sign-compare and -Wno-pointer-sign to the developer flags

commit 99072b71cfa2b8745945ff6008544203bf00d612
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Dec 12 17:51:33 2017 -0800

    apps/snmpusm.c: Restore p and g checks

commit af5d5fdf220a816245885e69ea18ca3ee04aa752
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Dec 10 17:58:36 2017 -0800

    apps/snmptrapd_sql.c: Remove #include <my_config.h>
    
    From a recent version of the libmysqlclient development package, about
    my_config.h:
    
    This file should not be included by clients, include only <mysql.h>

commit 6c2f7bc1d139f865cab40ce6e0d7f93714f44d3f
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Dec 10 16:08:39 2017 -0800

    configure.in: Remove
    
    Commit d8e7bc024600 accidentally added the v5.4 configure.in script
    to the v5.7 branch. Remove this script since the configure.ac script
    is used on the v5.7 branch.

commit e85ab00df2177ac4235632d88dd87262515e2e74
Author: Bart Van Assche <bart.vanassche@sandisk.com>
Date:   Sun Dec 10 15:19:59 2017 -0800

    HOST-RESOURCES-MIB: Build fix
    
    Use config_require() instead of netsnmp_feature_require().
    
    See also commit 33de26829121 (Patch 1327).

commit d686bc3502f137f10e38fe719921c765cefa38fb
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Dec 9 21:44:06 2017 -0800

    CHANGES: snmplib: Add support for OpenSSL 1.1.0

commit 488e812deb7baac6225acabc552885c6ca2cc806
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Dec 9 18:43:02 2017 -0800

    CHANGES: snmplib: Add support for OpenSSL 1.1.0
    
    Add configure tests for EVP_MD_CTX_new() and EVP_MD_CTX_free(). Move
    the OpenSSL backports from agent/mibgroup/snmp-usm-dh-objects-mib/usmDHUserKeyTable/usmDHUserKeyTable_data_get.c to snmplib/snmp_openssl.c.

commit 8e1f21659275cbafb596e3fd9819d9512716ffee
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Dec 9 19:04:13 2017 -0800

    CHANGES: snmptrapd: Add support for the latest libmysqlclient version

commit a97fe4a69cf60e1b70547b4b57d5aacb7f98520e
Author: lijo <lijogeorge@users.sf.net>
Date:   Sat Dec 9 18:18:58 2017 -0800

    CHANGES: BUG: 2802: Ensure that snmpwalk shows all ipNetToMedia (ARP) entries
    
    See also https://sourceforge.net/p/net-snmp/bugs/2802/.

commit ee474421033c1cbc1923ed8ab7b867cf9f066efe
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Dec 4 06:58:28 2017 -0800

    CHANGES: BUG: 2814: Export snmp_enable_calllog() on Windows

commit fa29b90482453b4bbe225258930daf6e932d31a7
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Nov 26 18:43:45 2017 -0800

    configure: Regenerate

commit e3bed7d1871786f6ed4a5b02885aac8166efc608
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Nov 26 18:12:51 2017 -0800

    snmplib: Simplify snmp_vlog()
    
    See also https://sourceforge.net/p/net-snmp/bugs/2813/.

commit 728a0230477fd1ed598a2f3d55f376af6db48aec
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Jul 11 20:16:41 2017 -0700

    Win32: Unbreak MSVC build
    
    See also commit ad50133f2c5a ("snmplib: Add asprintf()").

commit dec619dc21690aecd7c2948165d012195fba0062
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue May 9 14:29:34 2017 +0200

    snmplib/asprintf.c: The argument list must also be changed when changing
    the function from realloc to malloc.

commit 131005a36d634db2806ddcdfe8045394b7a73529
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue May 9 14:28:47 2017 +0200

    snmplib/asprintf.c: Some systems still have __va_copy, not va_copy.

commit 31df4b680807f8c8c9f8d5b441a18e596129d02e
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu May 4 18:13:04 2017 -0700

    snmplib, asprintf(): Make behavior conformant with glibc and FreeBSD
    
    Use malloc() internally instead of realloc(). Clear the pointer
    to the output string if memory allocation fails. See also
    https://www.freebsd.org/cgi/man.cgi?query=asprintf

commit 4ad885bc3047f7a69bb8f12e9bc9df73768611c2
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Apr 16 09:03:20 2017 -0700

    snmplib: Add asprintf()
    
    Add an asprintf() implementation for the platforms that do not provide
    asprintf() through their C library.

commit 4cfc23f4bc81ed4ca4c6d07077e82c7983919db3
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Nov 23 01:56:52 2017 -0500

    fix path and hardcoded user in rsync upload command

commit 53239e2272effdd1bce003f629aa671f4fd5db34
Author: Robert Story <rstory@freesnmp.com>
Date:   Wed Nov 22 13:45:58 2017 -0500

    CHANGES/NEWS update for 5.4.5.rc1

commit b5846fac182e458f7edf4afb544e3537cb1de8ac
Author: Robert Story <rstory@freesnmp.com>
Date:   Wed Nov 22 13:35:32 2017 -0500

    ChangeLog update for 5.4.5.rc1

commit 2a424d11c0c8b3adf260defd54f16c8670570fb1
Author: Robert Story <rstory@freesnmp.com>
Date:   Wed Nov 22 13:26:40 2017 -0500

    make depend for 5.4.5.rc1

commit 454212142ed531cf842703831a187177e27923fa
Author: Robert Story <rstory@isi.edu>
Date:   Wed Nov 22 11:20:03 2017 -0500

    add missing titles; update gpg key for signing; remove refs to svn

commit d688d9cceece90af6c620345d2c5fb0468df924e
Author: Robert Story <rstory@isi.edu>
Date:   Thu Oct 26 23:22:04 2017 -0400

     remove commented code

commit 032b28d9c1ad174c70f25e31757c3d427fb96bad
Author: Robert Story <rstory@isi.edu>
Date:   Thu Oct 26 22:36:30 2017 -0400

    add --disable-U64 to makerelease.xml

commit 3b36fec8fb13fd5cf0ed7423b8c5d0943d8ea989
Author: Robert Story <rstory@isi.edu>
Date:   Thu Oct 26 21:42:33 2017 -0400

    Release Candidate for V5-4-patches

commit d8e7bc0246009a9ac58784c1b67baafb44d77902
Author: Robert Story <rstory@isi.edu>
Date:   Thu Oct 26 21:42:29 2017 -0400

    Version number update: 5.4.5.rc1

commit a5b4994061b1c45a960ff3e5e3941ae7ee295541
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Oct 26 15:24:32 2017 -0400

    remove distrelease script (should be using newest version from github)

commit d687248669257328805cf0a6ff00428d0f8db66c
Author: Andrea Biscuola <abiscuola@users.sf.net>
Date:   Thu Oct 19 07:29:00 2017 -0700

    CHANGES: BUG: 2803: Fix a use-after-free in _sess_open()
    
    This patch fixes a crash on OpenBSD 6.1-CURRENT.

commit bba1451f8ae64e3f58986408041a28f8e34e6f35
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Oct 19 21:09:30 2017 +0200

    BUG 2788: fix memory leaks in error paths.
    
    Thanks to shqking.

commit 2f739528b6ff89c28c58f98b0e81a2568b72348e
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Oct 19 21:06:02 2017 +0200

    BUG 2452: fix core dump from bad data to snmp_add_var
    
    Thanks to bottles and Thiruvadi Rajaraman

commit d1211659f39e0795af7ef1c83f72356dae239e3d
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Oct 19 21:04:34 2017 +0200

    Augment mib-II.h for DragonflyBSD 5.0

commit d4278ee5b2ac069380d690d3a64e9690dc0b1ed6
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Sep 19 05:37:43 2017 +0200

    rfclist: add RFC 8173 PTPBASE-MIB

commit 8e4977513f45e5274e0fe75b1864c94c0a9b3eba
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Sep 19 05:36:30 2017 +0200

    snmptable, snmpnetstat: fix complaints from gcc -fsanitize=address

commit 30694e0470ab3f6d4524dd106eb2d8195a84b518
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Aug 26 16:48:50 2017 -0700

    DISMAN-PING-MIB: Initialize 'sndbuf' before using it
    
    This was detected by gcc.

commit 8cace1bb6088e238d1c88b209875e403ddec1f0d
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Aug 15 20:35:50 2017 -0700

    snmpd, snmptrapd: Declare option strings as static const char []
    
    This patch does not change any functionality.

commit 4897ddcbe9fd16884809c37fc4ffee82469cc297
Author: Bill Fenner <fenner@gmail.com>
Date:   Sat Jul 29 19:41:54 2017 -0700

    CHANGES: snmptrapd: BUG: 2782: from "Josef Ridky": fix linking with MariaDB/MySQL

commit 60c9996efe07dad51d7712eda7c5174b476eab5f
Author: Bill Fenner <fenner@gmail.com>
Date:   Mon Jul 17 06:15:47 2017 -0700

    NEWS: snmplib: BUG: 2592: from Stuart Kendrick - increase MAXTC to 16384

commit aa978fddfeb8fa02efca10ae1fbad2bcd3fb8ebc
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Jul 11 07:33:47 2017 -0700

    Win32: Fix sh_count_procs()
    
    See also commit 9b9c0e287b4d ("MIBs: Use asprintf() instead of snprintf() to prevent truncation").

commit 2c79a264d721ab11d51e2056d50dc3eb89069026
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Jul 11 20:16:41 2017 -0700

    Win32: Unbreak MSVC build
    
    See also commit ad50133f2c5a ("snmplib: Add asprintf()").

commit 0ab4a9f4aa5b9f4470549fdd9a09e03fa525d9ba
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Jul 11 06:40:54 2017 -0700

    CHANGES: BUG: 2789: MinGW: Use closesocket() instead of close()

commit 15a2435e4db0ac9d44135dfa8a5fbf1b8b7391d8
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Jun 13 08:44:06 2017 +0200

    Fix counters for 10Gb interfaces on FreeBSD.
    
    Fixes bug 2741. Patch from Andrey V. Elsukov forwarded by Ryan Steinmetz.

commit 89ba4945bc31abc0b2a153cca1228a4aac081a4f
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Jun 13 08:43:12 2017 +0200

    regenerated net-snmp-config.h.in

commit 452ccd8dee92ce021c3828bec01e95720ff016b3
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Jun 13 08:36:09 2017 +0200

    rfclist: add 7697 and 8150.

commit 65128febb24bddb39061e2d06993c8449e37860e
Author: Bill Fenner <fenner@gmail.com>
Date:   Tue May 30 14:13:34 2017 -0700

    Allow clients to use reqid zero
    
    Some of 9bce2c9519a0551ee0c82ac4706fd9f3f875feab got lost
    when merging it to master.  Re-apply the changes to handle
    snmp_*send() returning 1 when successfully sending a PDU
    with reqid 0.

commit a4f683068e48fe70430d95a8ec26ff7395530893
Author: Bill Fenner <fenner@gmail.com>
Date:   Tue May 30 13:53:08 2017 -0700

    python bindings require netsnmp_malloc and _free
    
    aeb0116b introduced use of netsnmp_malloc and _free, so
    require these features.

commit e819b1689d3c67586cf1bd3b5f19cca880ba3ba4
Author: Bill Fenner <fenner@gmail.com>
Date:   Tue May 30 13:50:38 2017 -0700

    register_const_config_handler is not optional
    
    snmp_enum.c, which is not optional, calls register_const_config_handler,
    so it is also not optional.

commit b5233965343d4c9347cb45cdca442361396e4224
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon May 29 21:46:53 2017 +0200

    ipaddress_solaris2.c: Fix an ipv6 memory leak. Fixes bug 2783. Thanks to lijo.

commit 93c8f127c72f5691834c7e8b1849015b655fb228
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue May 23 07:58:49 2017 +0200

    swinst_rpm: Update to use headerGet when available, in place of the long deprecated headerGetEntry.

commit 78a18abf05b755804a4f4403b8f26effbeafdc79
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue May 23 07:37:27 2017 +0200

    swintst_rpm: Protect against unspecified Group name. Fixes bug 2780.

commit eb3bdab6391a8cae9dc1d2fe77a97708a2c46e99
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 14 19:23:01 2017 -0700

    Python bindings: Use a table to make the type conversion code more compact
    
    This patch does not change any functionality.

commit fb12aad657782014e409e31d53770cc4f77333f1
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 14 19:24:13 2017 -0700

    Python bindings: Constify __translate_appl_type() argument

commit 6f29a6aa6751fe372d48cf8f6e1d8b6c0b7199af
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 14 18:53:44 2017 -0700

    Python bindings: Make __sprint_num_objid() enlarge the output buffer if necessary

commit fda5f4567a0e86a2227cfa629951b8c62ab52283
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 14 18:43:57 2017 -0700

    Python bindings: Use the ANSI C function definition syntax

commit 097acfcd83c47b44adffd6637cf3e8e0827f5abb
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 14 18:37:51 2017 -0700

    Python bindings: Inline SAFE_FREE()
    
    ANSI C allows to pass a NULL pointer to free(). Hence change
    SAFE_FREE() invocations into free().

commit c2a26b5fe505133d88a17a8562026261f04a394d
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 14 18:35:54 2017 -0700

    Python bindings: Remove the macro DBPRT() because unused

commit 368636fd94e484a5f4be5c0fcd205f507463412a
Author: Bill Fenner <fenner@gmail.com>
Date:   Sun May 14 13:55:23 2017 -0700

    Ignore snmppcap

commit 6530b948b15057ee74475281f96fe00d757be53c
Author: Bill Fenner <fenner@gmail.com>
Date:   Thu May 11 15:32:34 2017 -0700

    Fix special handling of tcpInErrs and tcpOutRsts
    
    Teach the new /proc/net/snmp parser about the special
    tcpInErrsValid and tcpOutRstsValid attributes, which
    are set only if these values were present in the file.
    If the *Valid attributes are not set, the scalars are
    not served, even if there are nonzero values in them.

commit b009ac9037e37566f78afab4a094d3b72f732846
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Wed May 10 20:13:26 2017 -0700

    Python bindings: Allow __snprint_value() to resize the output buffer for more data types

commit 3ba02b2af206fbe56ef73fe4ec10c651b6facfab
Author: Robert Minsk <robert.minsk@hulu.com>
Date:   Wed Feb 8 11:39:18 2017 -0800

    Python bindings: Allow __snprint_value to resize buffer
    
    [bvanassche: Restored code for '\0'-termination of __snprint_value() output]

commit aeb0116b7d2c069eabc1fa6339ce150efca9212c
Author: Robert Minsk <robert.minsk@hulu.com>
Date:   Mon Feb 6 17:59:29 2017 -0800

    Python bindings: Avoid truncation of strings
    
    See also https://sourceforge.net/p/net-snmp/code/merge-requests/8/.
    
    [ bvanassche: Removed code for '\0'-terminating strings that were already
      '\0'-terminated ]

commit 71e669ba82668eee51295afbcef9f8db4cfb77ff
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue May 9 14:29:34 2017 +0200

    snmplib/asprintf.c: The argument list must also be changed when changing
    the function from realloc to malloc.

commit 7d7bfe6d0fd8afae0a6c85f1fb5c6f36873328c9
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue May 9 14:28:47 2017 +0200

    snmplib/asprintf.c: Some systems still have __va_copy, not va_copy.

commit df8d86164aebdfacf2b7e8f02b8eb5d74db30c77
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 7 20:00:25 2017 -0700

    snmpd: Fix a copy-paste error
    
    Detected by Coverity.

commit a5ba31ed29586fe224ef153cff465dd9db80ef98
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 7 19:58:48 2017 -0700

    snmplib: Use strlcpy() instead of strcpy() to copy a variable-length string into a fixed-size array

commit 97da169eeab8511786a34883abc956df81aef743
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 7 19:55:34 2017 -0700

    snmplib/snmptsm: Remove dead code
    
    The pointer to the first element of an array is never NULL. Hence
    remove a check that compares an array pointer against NULL. Detected
    by Coverity.

commit 71107f561c1cf3cfe0c6a915c3163ed2f19895b1
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 7 19:53:51 2017 -0700

    snmptrapd: Pass a positive integer to setuid()
    
    Detected by Coverity.

commit b3cbf1f383619eaa14b62a7536304824a91be274
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 7 19:36:01 2017 -0700

    MIB-II: Fix an out-of-bounds array access
    
    Detected by Coverity.

commit 0fa0ad1624c8fe2ae2fc7d4a7b0332ea5f910793
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 7 19:29:42 2017 -0700

    snmplib, callback mechanism: Enlarge MAX_CALLBACK_SUBIDS
    
    The largest callback ID defined in
    include/net-snmp/agent/agent_callbacks.h is 16. Make sure it fits
    in the thecallbacks[][] array. Spotted by Coverity.

commit f585363fadfe7d965e2232560e2db227bb251cdd
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 7 19:28:05 2017 -0700

    snmp_unregister_callback(): Check arguments before using these
    
    Spotted by Coverity.

commit b0c18a5315f0d5a14505a0864e755c5a70b60a1e
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 7 19:19:31 2017 -0700

    snmplib, netsnmp_strdup_and_null(): Simplify this function
    
    Although the implementation of this function looks correct to me,
    Coverity did not recognize that the else-part NUL-terminates the
    result string. Hence simplify the code and make it easier to analyze.

commit 54454a549beaea5e2a4dfefa8db44f1106965baf
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri May 5 21:34:22 2017 -0700

    snmplib, container: Avoid dereferencing a NULL pointer
    
    Detected by Coverity.

commit b906c60c8a436d7360267a6d242526b33a9aaac8
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 7 16:39:59 2017 -0700

    apps/snmpusm: Only provide a DH_get0_key() replacement if openssl is available

commit e4c6937483d4a680570cec05388d2e4b291868a6
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri May 5 22:00:20 2017 -0700

    MIBs: Use strlcpy() instead of strcpy() to copy a variable-length string into a fixed-size array

commit 3041b6718642e7834cd7c749d56ac862e79352c9
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri May 5 21:29:35 2017 -0700

    snmplib, asn_parse_objid(): Remove a superfluous check
    
    Checking a pointer after it has been dereferenced is not useful,
    hence remove the pointer check. Detected by Coverity.

commit b59639a940f6e09590a4a58cfcca6bc696223824
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri May 5 20:11:06 2017 -0700

    Fix yet another use-after-free issue in an error path
    
    This was detected by Coverity.

commit 11930128aafeab8d3b92a473c0388d44f317ab11
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri May 5 20:15:15 2017 -0700

    snmplib, ctime_to_timet(): Initialize tm_isdst
    
    Spotted by Coverity.

commit 565f61ad8a254735fd23f68daa58bb4644838712
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri May 5 20:11:06 2017 -0700

    Fix use-after-free issues in error paths reported by Coverity

commit 45b14f460f9f6a5c8043f8e1eee90a5696d89060
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri May 5 20:00:24 2017 -0700

    ucd-snmp/dlmod: Fix a recently introduced use-after-free
    
    Avoid that 'tmppath' is used after having been freed. This was
    detected by Coverity.

commit 4984f7456aa0788b1bf18c0b890e199a27574921
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu May 4 18:42:50 2017 -0700

    apps/snmpusm: Only provide a DH_get0_pqg() replacement if openssl is available

commit 185539c4360fddf7f569dda79e21d0fedef042d4
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu May 4 18:13:04 2017 -0700

    snmplib, asprintf(): Make behavior conformant with glibc and FreeBSD
    
    Use malloc() internally instead of realloc(). Clear the pointer
    to the output string if memory allocation fails. See also
    https://www.freebsd.org/cgi/man.cgi?query=asprintf

commit f1b6e016e2fd76770dd1ecbc2f9d7bbbf7052ce1
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue May 2 18:02:49 2017 -0700

    apps/snmppcap.c: Fix a compiler warning
    
    Change the type of the 'reqid' argument from unsigned int into int.

commit 673f81051d58b7045eb9a38201eeaba878eebf3d
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Apr 17 18:56:00 2017 -0700

    snmplib, SNMPv3: Fix two memory leaks in netsnmp_parse_args()
    
    These were detected by Valgrind.

commit 9b9c0e287b4dd4619da3e3ca80e1832dc1c81699
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Apr 16 19:19:51 2017 +0200

    MIBs: Use asprintf() instead of snprintf() to prevent truncation
    
    This patch addresses most gcc 7 warnings about output buffer truncation.

commit 6168fbae0c80d82f664864335206820091cec2b0
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Apr 16 18:42:49 2017 +0200

    DISMAN-MIB, traceroute: Allocate error string dynamically

commit 63ee31079d838b4ffc60cfadab124612b83e945b
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Apr 16 18:40:11 2017 +0200

    MIB-II, sendmail: Allocate paths dynamically
    
    This patch avoids path truncation.

commit 632acaf38228f795e37e2d3e5edaedae4d8b3356
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Apr 16 18:21:25 2017 +0200

    snmplib: Fix the code for generating a parser error string
    
    Avoid that the error string gets truncated to the number of
    characters that corresponds to the size of a pointer. This patch
    fixes a bug introduced through commit 56064b8a53da and that was
    detected by gcc 7.

commit ad50133f2c5a83e3d821b5a11c42b1114367500e
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Apr 16 09:03:20 2017 -0700

    snmplib: Add asprintf()
    
    Add an asprintf() implementation for the platforms that do not provide
    asprintf() through their C library.

commit 44f91ac3982b17854d567287375b6df4e344025b
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Apr 16 18:24:32 2017 +0200

    snmplib: Annotate fallthroughs such that gcc 7 can recognize these

commit 7cf96da14c179e26768eeb73aaa81de1fa5d966f
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Apr 16 17:37:59 2017 +0200

    DISMAN-MIB: Initialize 'name' properly
    
    Initialize all elements of name[] instead of only MAX_OID_LEN / sizeof(oid)
    elements. This was detected by gcc 7.

commit 0b85614310a966dfce97c9a63b7f6b5ae22f1d0b
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Apr 16 18:28:32 2017 +0200

    snmplib: Avoid that gcc warns about a variable being set but not used

commit 739a768d3e898ce83c2b06a3b772783510166583
Author: Bill Fenner <fenner@gmail.com>
Date:   Tue May 2 10:59:27 2017 -0700

    Rearchitect snmppcap so that it uses public APIs
    
    Use a funny series of callbacks and a fake file descriptor
    to allow snmppcap to read from the pcap "transport".

commit ac6683caae8110ccf668eb704a0448660447d33d
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Fri Sep 25 18:50:54 2015 +0200

    Add a fourth value to the oid list, the raw data of the value.
    
    The point of this is to provide the value directly, avoiding having to force
    clients to guess what the value was.
    The type of the parameter depends on the type tag in [2], according to the
    following:
      INTEGER
        Signed integer
      OCTET STRING, Opaque, BITS, IpAddress, Counter64, I64, U64, C64
        String
      Counter, Gauge, TimeTicks, UInteger
        Unsigned integer
      OBJECT IDENTIFIER
        NetSNMP::OID
      NULL, anything else
        undef

commit c8ba362f9e2b3d57de7942d7c7f11c12a9184fc0
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Fri Sep 25 18:39:30 2015 +0200

    Factor out the construction of OID objects to a separate function.

commit 0b5fe83e17eed871fd6e812012df57eed48b7a5a
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Apr 18 19:32:06 2017 +0200

    RFC 8096 updates to deprecate IPV6 mibs.

commit 014a706642d8f44f9ef00f561141fdf7e5c6f476
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Apr 18 19:30:56 2017 +0200

    Update to current version of IANAifType-MIB.

commit c3fb39cfe7f3ef9333cf9f107719af7f03af584a
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Apr 13 12:08:10 2017 +0200

    Fix snmpd -v to exit after displaying version info.

commit 5adf9eeac9b18269a4af302e0ca1884e83507306
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Apr 13 11:42:34 2017 +0200

    Patch 1340, thanks to John Baldwin.
    
    Always pass a valid flag to getfsstat on *BSD.

commit 33de26829121dfa64aa4ddff6ff7977030b57691
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Apr 13 11:26:48 2017 +0200

    Patch 1327, Thanks to Elan RuusamÃ¤e.
    
    Improvements to HOST-RESOURCES-MIB::hrSWInstalled on debian systems
    
    - add Install Date information instead of bogus 0-1-1
    - include Arch in package names, like rpm output does
    - use debian native separators `_` for package components, not rpm ones: `-`
    
    to test:
    snmpbulkwalk localhost HOST-RESOURCES-MIB::hrSWInstalled

commit d072d7f84f11c4c798c26f5d2b50d4082ec9049c
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Apr 13 11:23:09 2017 +0200

    swinst_apt.c: Fix indexing of hrSWInstalledTable to start from 1.
    
    Fixes bug 2770. Thanks to Edward Hu for reporting.

commit 6d4988075ef12b327d32b34b7888d7c7deeb69e8
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Apr 12 14:28:27 2017 +0200

    Re-enable implicit-fallthrugh warning for gcc7.

commit 91046bab5a8916610e23c4b829945cdfdd49c203
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Apr 12 14:27:21 2017 +0200

    Fix up FALL THRU annotations for gcc7

commit fdea26d1057bd67f0d6cdca65cd5761006fc777a
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Apr 9 21:05:18 2017 -0700

    gcc 7: Add -Wno-implicit-fallthrough
    
    Apparently gcc 7 does not recognize the fallthrough annotations in
    the Net-SNMP source code. Hence disable compiler warnings about
    implicit fallthrough.

commit 0657b90b7181fd95970d14949b3486e0290b87db
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 26 21:01:15 2017 -0700

    Cygwin, scapi.h: Fix build
    
    Recent versions of the Cygwin openssl header files and <windows.h>
    are incompatible because both define X509_NAME unless OPENSSL_SYS_WIN32
    is defined. Hence avoid including openssl header files in source files
    that include <windows.h>.

commit 9641b472ef01208f92631016e91b0a4a518163f0
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Apr 9 19:52:20 2017 -0700

    openssl 1.1.0: Fix several build errors
    
    Autodetect DH_get0_pqg() and DH_get0_key() to unbreak the MinGW build.
    
    In recent versions of openssl several data structures have been made
    opaque that were not opaque before. Avoid that attempts to access
    members of these opaque data structures cause the build to fail.

commit e3bd88398c8744b6761f09bc7722e2faddadc361
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Apr 9 16:14:30 2017 -0700

    MinGW: Fix build
    
    The Microsoft header files define PMIB_IPFORWARDROW as a pointer to
    struct _MIB_IPFORWARDROW. Recent MinGW header files define the same
    type as a pointer to struct MIB_IPFORWARDROW. Avoid that this
    difference causes the build to fail.

commit b27c12660585e48d7cad7356f3c04e6210ff40b7
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Apr 9 19:36:37 2017 -0700

    Win32, MSVC: Provide a definition of NETSNMP_ATTRIBUTE_DEPRECATED
    
    See also commit 06bfd94bc005.

commit d44dc93940bdcfd0ef6c0ae0bbc0eaa6685d255c
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Apr 3 07:37:49 2017 -0700

    python, test.py: Split unit tests
    
    Additionally, automate checking of the test results.

commit 975699d4d13f7476fa41f57522241e43a8114c9a
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri Mar 31 20:18:07 2017 -0700

    python, test.py: Make snmpd port configurable
    
    Send SNMP requests to localhost:${SNMP_SNMPD_PORT:-161}.

commit a3d28340ff7db9876ef38176eeddcea423a06a35
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri Mar 31 20:25:28 2017 -0700

    python, test.py: Avoid that pylint complains about lines that are too long

commit af48afd40c8592310aa5550c2b42266896eff949
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri Mar 31 20:24:44 2017 -0700

    python, test.py: Add class and method docstrings

commit f62913a91261c1c205a08ffe676f660d5c3c2998
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri Mar 31 20:22:25 2017 -0700

    python, test.py: Avoid using the keyword "vars" as a variable name

commit 6a227a06215a57d755f7a479d34a13e91eb98f2c
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri Mar 31 20:20:17 2017 -0700

    python, test.py: Remove unused imports

commit 1f2c92d3b67dd57a1ec0adf19012946cf22d8688
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri Mar 31 19:42:37 2017 -0700

    python, test.py: Fix pylint warnings about the use of whitespace

commit da6836234d6fde353d5a2cc6427f3172a416771e
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Apr 1 19:38:50 2017 -0700

    python, client.py: Add __str__() methods
    
    This makes the output of str() more meaningful for the classes defined
    in client.py.

commit b2ce7bedd92c77923a686113af66a87b60e97f94
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Apr 1 19:48:26 2017 -0700

    python, client.py: Remove superfluous semicolons

commit 9133c091647ad8acd059afaa00d6fa3ccb1317cf
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Apr 1 19:47:50 2017 -0700

    python, client.py: Avoid using keywords as variable names

commit a0720d44c709c6fee1de71da764d82c672651a9c
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Apr 1 19:46:30 2017 -0700

    python, client.py: Use the recommended style for comparing against None

commit 6da39c460f621b6e8ba1ff343db5355a0ceaa97a
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Apr 1 19:44:42 2017 -0700

    python, client.py: Fix pylint warnings about import statements

commit b6d6d81a794d7c4a1d1d8dfc832a59fa24c75786
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Apr 1 19:42:37 2017 -0700

    python, client.py: Fix pylint warnings about whitespace

commit ef1572659652335e4d5da925a85d70eb7a306f3c
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Apr 2 09:20:33 2017 -0700

    snmplib: Remove snmp_session.remote_port assignments

commit 06bfd94bc00509146e84752065bd2669fc3bc828
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Apr 2 09:03:40 2017 -0700

    snmplib: Mark snmp_session.remote_port as deprecated
    
    Ensure that the compiler issues a warning if a value is assigned to
    remote_port. This member has been deprecated a long time ago.

commit 0336d11e91e345e65fe6101ae6242568984b479a
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Apr 2 09:37:20 2017 -0700

    Fix a recently introduced init_usmDHParameters() crash
    
    The pointer of which the address is passed to BN_hex2bn() must be
    initialized. See also commit 14bb72fd12bf.

commit 14bb72fd12bf5b68662893f7d8afbc4a8d52a6c8
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Sat Apr 1 07:55:47 2017 +0200

    OpenSSL 1.1 fixes for SNMP-USM-DH-OBJECTS-MIB implementation.

commit 17b6ff76e8bb51d55a73993de7e0560b94f85f8d
Author: Robert Minsk <robert.minsk@hulu.com>
Date:   Thu Feb 9 16:00:04 2017 -0800

    Python getnext method was allocating the return value twice

commit 1cea00031cf964eee735888c81c00138bf3c807d
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Mar 26 14:43:44 2017 -0700

    apps/snmpusm: Fix recently introduced compiler warnings
    
    Avoid that the compiler warns about passing BIGNUM ** to a function
    that accepts const BIGNUM **. See also commit bbed6b86e70b5.

commit 53002bc8e1eba1c7c92530586481f980a07617af
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Wed Dec 10 09:37:31 2014 +0100

    Fix C language preprocessor directives
    
    The directive '#warn' is not a valid gcc preprocessor directive but
    '#warning' is. Hence change '#warn' into '#warning'. See also
    https://gcc.gnu.org/onlinedocs/cpp/Diagnostics.html.

commit 142c4239771c6282d66a553d5692037c251a2f90
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu Mar 23 21:09:55 2017 -0400

    MIB-II: Fix /proc/net/snmp parser
    
    This commit fixes bug 2764 (https://sourceforge.net/p/net-snmp/bugs/2764/).

commit bbed6b86e70b5a3c54f14992696f2308a8d79511
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Mar 22 14:49:06 2017 +0100

    Initial support for OpenSSL 1.1 API changes. A slightly modified version from
    patch 1336, updated to work if you have LibreSSL.
    
    There is more work needed to handle TLSTCP and DTLSUDP transports.
    
    Thanks to Sharmila Podury.

commit d5b10831e7153fe7e030e60a025058e46cb40439
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 18 16:09:16 2017 -0700

    ucd-snmp: Include <sys/sysmacros.h> if available
    
    Avoid that the following warning is reported:
    
    ucd-snmp/diskio.c:445:13: warning: In the GNU C Library, "major" is defined
     by <sys/sysmacros.h>. For historical compatibility, it is
     currently defined by <sys/types.h> as well, but we plan to
     remove this soon. To use "major", include <sys/sysmacros.h>
     directly. If you did not intend to use a system-defined macro
     "major", you should undefine it after including <sys/types.h>.

commit 8c98bab640d047660e6a5d325a735d538748b56e
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 18 15:53:06 2017 -0700

    unit test T008asn1: Add more test cases for decoding unsigned integers

commit 639d172c31c8fa9ce7f8ed52a484599a9e23cd7b
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 18 15:59:55 2017 -0700

    CHANGES: snmplib: BUG: 2768: Fix decoding of unsigned integers
    
    See also https://sourceforge.net/p/net-snmp/bugs/2768/.

commit c22a25f34472d49f156760a006118e620aa44514
Author: Wes Hardaker <opensource@hardakers.net>
Date:   Thu Feb 23 06:51:11 2017 -0800

    CHANGES: python: patch from David Hankins to fix python binding error codes

commit ba253b629620bca4bbcc686d2388dda49962bdcb
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri Jan 27 20:10:46 2017 -0800

    testing/check_for_pskill: Change shell from bash into sh
    
    /bin/sh is always available on Unix but /bin/bash not.

commit d4527b786e3e42f18be4e7ededa89a2ff71e04be
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu Dec 15 10:33:58 2016 +0100

    apps/sshtosnmp: Avoid that the compiler warns about an empty body in an if-statement

commit 359b795ca57829c139eaf6e84ea9256c460bc48b
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Fri Jan 27 22:31:50 2017 +0100

    swinst:pkginfo: memory leak fix from bug 2760.

commit ae23f05669560a565ef6cb9734586163da0fb97b
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Fri Jan 27 22:28:45 2017 +0100

    ipaddress_solaris.c: memory leak fix from bug 2760.

commit 024faf415a4474a67a05638f34f6257e4e918746
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Fri Jan 27 22:11:13 2017 +0100

    Remove superfluous prototype from ip-mib/data_access/ipaddress.h
    (causing troubleson BSD)

commit a77b1edecc512197eecedda385c2073be91cadde
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Thu Jan 5 17:47:32 2017 +0100

    Reduce stack usage
    
    Extract the outsized variable 'buffer' from the recursive _get_realloc_symbol
    function into a separate function in order to save stack space

commit 962a38f4dffb9ae52843e1ac18e74b65e5fb3486
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Thu Jan 5 17:31:53 2017 +0100

    Do not presume that srcdir equals the current working directory.

commit 479c0b9edeae47dfe713c585f75d04428f5e84c3
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Dec 13 23:06:03 2016 +0100

    Fix reference to interface-private.h from ipaddress_sysctl.c

commit 6650697f7b8ddd86ffa6849dc63ee5f088896714
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Dec 13 17:28:43 2016 +0100

    apps/snmpps: Use ncurses header file when linking with ncurses library
    
    This avoids that e.g. on an AIX system the compiler warns that no
    prototype is available for clear().

commit fd41dd00c977015f825a1c4445ceab36dc35fa77
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Dec 13 07:25:37 2016 +0100

    snmplib/Makefile.in: Add netsnmp-attribute-format.h to INCLUDESUBDIRHEADERS

commit 273fda3251e9a0fdfb1dad30344ea58ba68864e8
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Dec 13 07:24:15 2016 +0100

    snmplib/Makefile.in: Sort filenames alphabetically

commit 58816e051882ef852754901cd294b52f281cdc38
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Dec 3 21:06:54 2016 -0800

    snmplib: Remove redundant NETSNMP_IMPORT
    
    Specifying NETSNMP_IMPORT is only necessary in header files but not
    in .c files.

commit a31eaccdda704c309564ff2df81ab1ef1401b7a1
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri Dec 2 21:31:33 2016 -0800

    Move more declarations of global functions and variables from .c to .h

commit 0161ba65e2e7573dd9d46a8e40c8c7044215ea28
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Dec 3 20:37:26 2016 -0800

    Convert to ANSI C syntax

commit 81b65f4d23a976d2106bbfc2262694c1c90f457c
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri Dec 2 21:31:33 2016 -0800

    Move declarations of global functions and variables from .c to .h
    
    This allows the compiler to verify consistency of variable and function
    declarations for variables and functions that are used in more than one
    file.

commit 09a42c954593f70a09cc1b1925dde40891b0ac0b
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Dec 10 12:10:46 2016 -0800

    HOST-RESOURCES-MIB: Provide Mark_HRSW_token() and Release_HRSW_token() as functions
    
    This patch does not change any functionality.

commit 8faa636e683c0bdcf3ad79b13ee04b3c130fc189
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Dec 3 20:12:21 2016 -0800

    Comment out unused functions
    
    'grep' shows that these functions are not called from the Net-SNMP
    code base.

commit f765ebd62045e337becef857c8d766a19ab1d132
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu Dec 8 20:35:35 2016 -0800

    Add -Wno-sign-compare to developer flags

commit 87caf2bd7725fc8ae222c5b1d21730a15bbc6cea
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu Dec 8 20:53:34 2016 -0800

    DISMAN-EVENT-MIB: Add missing parentheses
    
    Detected by sparse.

commit 98c76567bc3f03c9913e50d1012e4223416a5b17
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu Dec 8 20:56:04 2016 -0800

    DISMAN-EVENT-MIB: Fix a syntax error
    
    See also commit 20ea4ec72672.

commit 29e1d97403004adab0d9daec6c7aa59696367c3f
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Dec 4 20:28:45 2016 -0800

    agent/mibgroup/disman/traceroute/traceRouteCtlTable.h: Remove an unused declaration

commit 6257dce9d5ca327265031b5d300370cd23d2ab17
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Dec 3 20:37:26 2016 -0800

    Convert to ANSI C syntax

commit ac918c1a98c5954f8089d28b3020874e77d94d9b
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Dec 3 20:09:33 2016 -0800

    pingCtlTable: Move two global variable definitions from .h to .c

commit 38ab13fe1780f1fa24e9af23250c477074d421dc
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Nov 8 22:37:53 2016 -0800

    Remove unused variables

commit de71e73e8aafeed3e98f84828b486360a5f38eba
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri Nov 11 18:47:53 2016 -0800

    snmplib: Change the type of the second arg of se_read_conf() into const char *
    
    This allows to remove two NETSNMP_REMOVE_CONST() casts.

commit dfd4493517431b4a0323199a65bb472e2afa5eac
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Nov 8 22:39:54 2016 -0800

    snmplib: Use logical or for booleans

commit ae05eb5ad3bcdbff132665fcc556d858feb5937b
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Nov 8 22:34:45 2016 -0800

    Use NULL instead of 0 to represent a pointer

commit c28ed52d23cd784cadbacbacff8230d1a2255962
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Dec 4 09:40:47 2016 -0800

    Remove Emacs local variables
    
    Anyone who is using emacs should use dir-locals-set-class-variables
    and dir-locals-set-directory-class in the emacs startup file instead
    of adding local variables to every source file.

commit d89ec41819909b2bb80d78abeae748ae8d62bebf
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Dec 4 10:00:30 2016 -0800

    SNMP-NOTIFICATION-MIB: Remove extraneous whitespace

commit ffeaee67b287e034727c8aa828ed36092662a169
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Dec 8 22:45:58 2016 -0500

    version update for 5.4.5.pre2

commit 03984951b674e74687fff6f3df1b9978f4041794
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Dec 8 22:42:53 2016 -0500

    version update for 5.4.5.pre2

commit 24ab33a0a0798748957669cde374907ce5f37984
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Dec 8 22:41:09 2016 -0500

    make depend for 5.4.5.pre2

commit 78d42b4e3b9eac40759da601327a053eaaf3b967
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Dec 8 22:28:11 2016 -0500

    documentation update for 5.4.5.pre2

commit 0c32eea3e292a948d6973d4cb8df57e338fe3362
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Dec 8 22:27:06 2016 -0500

    Version number update: 5.4.5.pre2

commit 75e89633833446f48bbe016c155febcf3edaa72f
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Dec 8 22:23:18 2016 -0500

    configure option to disable U64 typedef

commit 0a0c5d02332023a212590e7d890b71d9fdcfbdbc
Author: Robert Story <rstory@freesnmp.com>
Date:   Sat Dec 3 22:30:30 2016 -0500

    fix more printf format errors

commit b153106a68f8ca28b961da1961ce7b4e50aa297e
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Dec 8 06:58:53 2016 +0100

    Add diskIOBusyTime to the UCD-DISKIO-MIB.

commit 932645e8137a0ce4c8300303f4277ccdf809ffa6
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Dec 8 06:57:28 2016 +0100

    Fix speling error in man page.

commit 52a73dee0452559e2f6608dbeb343c661b7b5efa
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Dec 8 06:55:36 2016 +0100

    Fix the ifdefs around IP_RECVDSTADDR that some earlier patch broke.

commit 09292500ae82331242da585fc748fdff5490a5ae
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Dec 7 14:43:42 2016 +0100

    Not all current OSes have compilers that support all developer flags. Validate them!

commit 666920125cd261db9e5ae58f46fbb66ae7461e8c
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Nov 5 18:09:29 2016 -0700

    ETHERLIKE-MIB: Avoid that the compiler warns about freeing a const pointer
    
    See also commit ed4e48b5fab1.

commit 1ae6ffa01c459cb82b63f2cd0b0a96f077091553
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 17 10:46:56 2015 +0200

    new DISMAN EXPRESSION MIB: Fix two compiler warnings

commit 74dad55e7fcb50508af88bb6a68367d4ed42453f
Author: Robert Story <rstory@freesnmp.com>
Date:   Tue Nov 8 13:40:11 2016 -0500

    fix compiler warnings

commit e905cd373e784b03fbc4e6311fa2cd93705980bb
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 11:40:50 2015 +0200

    snmplib, snmp_openssl: Add missing braces
    
    Detected by Coverity.

commit 74cc95c317474ff14bbc6222b8fc8b537d3c312a
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Dec 4 21:49:41 2016 -0800

    deliverByNotify: Fix a compiler warning

commit 31613e8b1eb7515ddc7cb89d72755a671c9c41f5
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Dec 5 18:29:18 2016 -0800

    Do not define U64 typedef while building Net-SNMP
    
    The U64 typedef conflicts with a typedef in a Perl header file. Hence
    disable the U64 typedef from the Net-SNMP header files. This patch
    neither changes the Net-SNMP ABI nor the Net-SNMP API.

commit 3df26802b258d93023f05ac0f1af889361b40fcd
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Dec 5 19:10:59 2016 -0800

    Avoid that linking fails with a C99 compliant compiler and optimization disabled
    
    The semantics of the C99 inline keyword differs slightly of that of
    the C++ inline keyword. See also
    http://stackoverflow.com/questions/16245521/c99-inline-function-in-c-file/16245669.

commit 0fd0962d32b47ffa2f418cf31226c94541a5c2a5
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Dec 5 18:46:22 2016 -0800

    configure: Display result of 'static inline' test

commit a7b6cb4d1a55962e553f2f9ae465d6aab4709ff2
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Dec 5 20:28:14 2016 -0800

    configure: Display rtentry structure type once

commit 6d3ac9bf1e971d97daf154e978c74d9ef67b18db
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Dec 4 21:49:41 2016 -0800

    deliverByNotify: Fix a compiler warning

commit e1409530f917f2608a19bcbb5dece279a16c11c2
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Dec 3 04:42:47 2016 +0100

    configure: Add -Wno-unused-result to the developer flags

commit 59eb61cdc3ffaf5980bde4193111b6f6d3fe61ef
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Dec 3 04:32:34 2016 +0100

    DISMAN-TRACEROUTE-MIB: Fix an error path
    
    Avoid that free(outip) can get called before outip is initialized.
    Detected by gcc.

commit 3f758abeb91ccb4e57b795330e3f8c969956d6bc
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Fri Dec 2 19:53:47 2016 -0800

    agent/mibgroup/examples/example.c: Make the code consistent with the v5.5 branch

commit 7b505a457b6f4d8e748803728f0051e8e6765358
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri Dec 2 17:24:01 2016 -0500

    fix printf without format string and compiler warning

commit 933084b217b144ba302da9a410203919d9290186
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Nov 19 20:39:25 2016 +0100

    CHANGES: BUG: 2701: Fix Perl module build on Fedora 23/24/25
    
    Avoid that building the Perl modules fails as follows:
    
    cc1: error: -Wformat-security ignored without -Wformat [-Werror=format-security]

commit b898c729ec4df1ce6585deef68cc7db7d38f2749
Author: Robert Story <rstory@freesnmp.com>
Date:   Wed Nov 30 21:46:35 2016 -0500

    search for autoconf-$version too

commit d23474c85b64500788545edf031b0a2168d3ddd5
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Nov 26 21:25:23 2016 -0800

    win32/netsnmpmibs/Makefile.in: Add missing source files

commit 475ad71b1bb96c4f7b1928e9006d3b95f2148876
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Nov 26 20:44:18 2016 -0800

    Win32: Add a missing NETSNMP_IMPORT declaration

commit 09f4350e95f28ece0bbc6205256e6dcd5b7ff40d
Author: Bart Van Assche <bart.vanassche@sandisk.com>
Date:   Sun Nov 27 04:24:31 2016 -0800

    Win32, snmp_debug.c: Fix Windows build
    
    MSVC does not have a <sys/syslog.h> header file. See also commit
    5145942b7569.

commit ee4effd7d2cceb950629c0066c15257093ecbfe1
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Nov 26 20:20:39 2016 -0800

    Win32, snmp-lib: Fix sc_get_openssl_hashfn() declaration
    
    On Unix systems EVP_MD is an alias for struct env_md_st. On Windows
    systems EVP_MD is an alias for evp_md_st (Shining Light Productions
    OpenSSL v1.1.0c). Hence use EVP_MD in the scapi.h header file.

commit 4040bf80ec19ebcebddddc5f8e14090d0540013d
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Nov 27 09:09:45 2016 -0800

    snmp_debug: Constify priority name array

commit a98fe2204cbe43b2ec2f6863c4cfd68e6c5c15f8
Author: Bart Van Assche <bart.vanassche@sandisk.com>
Date:   Sun Nov 27 06:48:01 2016 -0800

    snmplib, agent: Fix format strings
    
    Use % NETSNMP_PRIz instead of %l for size_t. Use %u instead of
    % NETSNMP_PRIz for int. Fixes e.g. commit e207b8113260.

commit 413eb441c2f71298cd07ff0c480505ba62cad8bb
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Nov 27 19:18:09 2016 -0800

    MinGW: Ensure that pskill / pslist test is run before tests

commit 27be45f22fc620ee0edf779550aa9c13039ca427
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Nov 27 13:16:01 2016 -0800

    Win32: Make strcasecmp() declaration available to the compiler

commit 1794aedb192a99b9f6871fa711fa76eb1187f919
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Nov 27 13:10:16 2016 -0800

    Win32: Enable _WINSOCK_DEPRECATED_NO_WARNINGS

commit fda421625d20d8f8201479fa7f33c257fdc72015
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Nov 27 11:25:40 2016 -0800

    Cygwin: getnetent() / getnetbyaddr() build fix
    
    Recent versions of Cygwin have prototypes but no implementation for
    these functions. Hence avoid that the Cygwin prototypes conflict
    with the implementation.

commit 77624ea7b9d44c7816d253750e201a23929141a6
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Nov 28 18:22:57 2016 -0800

    UCD-SNMP MIB: Fix a link failure on systems without regex support
    
    Avoid that building with MSVC or MinGW triggers fails due to a
    missing init_logmatch() implementation.

commit 79243158a5cb81731280f30abdbc3375e1061f5e
Author: Bart Van Assche <bart.vanassche@sandisk.com>
Date:   Sun Nov 27 11:35:32 2016 -0800

    UCD-SNMP MIB: Avoid integer overflows
    
    Certain 32-bit compilers, e.g. Cygwin-x86 gcc, use a 32-bit data type
    for unsigned long. Since 'val' must be 64 bits wide, change its data
    type from unsigned long into unsigned long long.

commit 8b6f376a71d1745ffa85fa2490637dbb3c4d0012
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Nov 27 11:01:02 2016 -0800

    snmpd: Rename VIEWSTATUS into VACMVIEWSTATUS
    
    The Cygwin <w32api/ocidl.h> header declares VIEWSTATUS as a typedef.
    Avoid that the Windows build fails by renaming the Net-SNMP VIEWSTATUS
    symbol.

commit 87bae0e0241f353c7d8cd7a3f2847e760efb3712
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Nov 20 16:03:29 2016 -0800

    CHANGES: BUG: 2737: Quote service executable path
    
    See also:
    * http://isc.sans.edu/diary.html?storyid=14464
    * http://cwe.mitre.org/data/definitions/428.html
    * http://www.commonexploits.com/?p=658

commit 657b62eeca0968fdbd4e75b946bbaef5677d8b1b
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Nov 26 20:39:32 2016 -0800

    Win32: Add support for OpenSSL >= 1.1.0
    
    In OpenSSL version 1.1.0 the libeay32 library has been renamed into
    libcrypto32. Hence update the name of the OpenSSL library.
    
    See also https://git.openssl.org/gitweb/?p=openssl.git;h=6928b6171ada.

commit 2259a2331e3a191c721ff2a2583ad1263e1a0a60
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Nov 27 08:59:45 2016 -0800

    Win32: Add Visual Studio 2015 version number
    
    Additionally, make net-snmp-config.h.in and net-snmp-config.h again
    consistent. See also commit 1fa4da1c6cf9.

commit 9850be71ab9c8d228ea09fd11a22d6ef8ae496e2
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Nov 27 20:26:55 2016 -0800

    Win32: Synchronize win32/net-snmp/net-snmp-config.h and .in

commit cc700baaff3d81c72b82ac877f099e70591d5288
Author: Bart Van Assche <bart.vanassche@sandisk.com>
Date:   Sun Nov 27 20:24:05 2016 -0800

    snmplib/winservice.c: Suppress a compiler warning
    
    Avoid that gcc complains about 'static' not occurring first.

commit 9a66d1aad05e44aa118381f7bf055e87f646313e
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Nov 26 20:44:18 2016 -0800

    snmplib: Add missing NETSNMP_IMPORT declarations

commit f54f7af2be992f1667684f17cf5fd2d6f3850715
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Nov 27 09:18:17 2016 -0800

    snmplib: Fix asn_parse_nlength() prototype
    
    All callers pass an u_long pointer as third argument to this function.
    Hence change the type of the third argument from size_t into u_long.
    See also commit a9850f4445cf.

commit 829cc646955fe529f5ce9cf02ce1391a47325045
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Nov 26 20:52:47 2016 -0800

    snmplib: Unify printf format attribute definitions
    
    This change adds NETSNMP_ATTRIBUTE_FORMAT() to the global namespace
    and removes _LOG_ATTR() from that namespace.

commit 920f20b745da6c90c56a68d6d1ea782ca4fc074b
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Nov 19 20:39:25 2016 +0100

    CHANGES: BUG: 2701: Fix Perl module build on Fedora 23/24/25
    
    Avoid that building the Perl modules fails as follows:
    
    cc1: error: -Wformat-security ignored without -Wformat [-Werror=format-security]

commit d41eb3a765010792550706f48e04be0f0343555b
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Nov 5 18:09:29 2016 -0700

    ETHERLIKE-MIB: Avoid that the compiler warns about freeing a const pointer
    
    See also commit ed4e48b5fab1.

commit a3c9a3b0188280c7a68948f3e0f6b5ab9a658a46
Author: Robert Story <rstory@freesnmp.com>
Date:   Tue Nov 8 13:40:11 2016 -0500

    fix compiler warnings

commit 02de0a2bfcf49a8e1752a84f7977825a1df701a7
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Nov 15 18:17:06 2016 -0800

    configure: Enable more developer compiler warnings

commit cfe8da03ce1084e975f5560a86c85eaf50df0447
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Nov 15 18:15:55 2016 -0800

    mibII: Swap 'static' and 'const' to keep gcc happy

commit 32fa60a51fb52168d164d48d4461b6dc692e185f
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Nov 15 18:14:26 2016 -0800

    DISMAN-TRACEROUTE-MIB: Comment out dead assignments
    
    The value assigned to 'pmtu' is never used. Hence comment out the
    assignments to 'pmtu'. This avoids that gcc complains about these
    assignments.

commit 0b325487af00c1bf282acfb877faab86b34f29e4
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Nov 19 08:34:22 2016 -0800

    Make the code that handles msgMaxSize easier to read
    
    See also https://en.wikipedia.org/wiki/Yoda_conditions.

commit 26b38e58112dc0dba9fbb4fb54f7b26d531cf355
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Nov 19 09:54:40 2016 -0800

    Perl tests: Make test SNMP/t/session.t pass again
    
    The comment in perl/SNMP/t/session.t was not correct. Whether or
    not session creation succeeds does not depend on whether or not an
    SNMP agent is running at session destination address for the USM
    security model.
    
    See also commit f629d1224e22.

commit 56287c139e5635e1bbafd2792fcfc7cbd59c9b57
Author: Robert Story <rstory@freesnmp.com>
Date:   Wed Nov 16 23:12:03 2016 -0500

    Perl: Initialize session objects correctly
    
    This is a fix for commit f629d1224e22.

commit f629d1224e2272cb6f86dbe9bea4c88aec7e8f92
Author: Robert Story <rstory@freesnmp.com>
Date:   Tue Nov 15 12:58:11 2016 -0500

    better handling of pdu max message size; now per packet, not per session
    
    - add msgMaxSize to snmp_pdu struct
    - defaults to SNMP_MAX_MESSAGE_LEN, then shrunk as needed for transport
    max, incoming pdu max and user configured max
    - new netsnmp_max_send_msg_size() should be used to query user
    configured max. returns SNMP_MAX_PACKET_LEN if not set, and
    SNMP_MIN_MAX_LEN if configured value is less that required min (484)
    - add some missing snmp_sess_init calls
    - snmp_sess_add_ex now returns an error if session rcvMsgMaxSize and
    sndMsgMaxSize are not set.

commit 4494781070001b37d03236b73479f43cab6e3e7b
Author: Robert Story <rstory@freesnmp.com>
Date:   Mon Nov 14 17:36:40 2016 -0500

    only use one 'max packet size' constant (SNMP_MAX_PACKET_LEN)

commit a7d3d54136c88a1d2eb335d3f7a2a2080f3c0142
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Jan 7 09:42:10 2015 -0500

    CHANGES: BUG: 2387: fixed memory leak when request id is 0
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 734f85551926234633a28cc6bc857e9fe2f509eb
Author: Robert Story <rstory@freesnmp.com>
Date:   Wed Nov 9 16:22:30 2016 -0500

    add missing prefix macro

commit c006781f769b1e1f22c33d0354cf4b24d963c4b6
Author: Robert Story <rstory@freesnmp.com>
Date:   Wed Nov 9 16:21:50 2016 -0500

    fix a few cleanup cases; remove redundant checks

commit e73ca98000273e1fd62ed60d72b7d153355c93ab
Author: Robert Story <rstory@freesnmp.com>
Date:   Wed Nov 9 16:13:01 2016 -0500

    fix some missed HAVE_X conversions

commit cf543e97aafd98bdfc828ca2fea6829aeb7caf10
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Nov 3 12:38:05 2016 -0400

    fix return type
    
    fix some usm code that didn't merge properly with VMware patches

commit afbd7b71d83dc7c59765466fdf69472f81c96fb1
Author: Robert Story <rstory@freesnmp.com>
Date:   Tue Nov 8 13:40:11 2016 -0500

    fix compiler warnings

commit 7302c4da707920bbb327f4d23b0f9170fae76013
Author: Robert Story <rstory@freesnmp.com>
Date:   Mon Nov 7 23:41:19 2016 -0500

    use callback to unregister notifications
    
    - so apps linking to agent lib don't need mib libs

commit 37c1bd0b9812ef7b71a09b5310a12b39bb4bdb8d
Author: Robert Story <rstory@freesnmp.com>
Date:   Mon Nov 7 23:12:14 2016 -0500

    align function name with other public functions

commit 72f1693ef41f4fba4dfdba28023a292cb28fb70a
Author: Robert Story <rstory@localhost>
Date:   Tue Oct 25 23:36:36 2016 -0400

    more generic unregister function

commit b549b4f064ba3123025050d3a0caf0553701df90
Author: Robert Story <rstory@freesnmp.com>
Date:   Mon Nov 7 18:01:24 2016 -0500

    fix byte order for ports
    
    - UDP got whacked by recent code rework (merged from an older release)
    - SSH was missed in the original fix

commit f90d891c8f98b41cc46345dd27ae73e99afd5258
Author: Robert Story <rstory@freesnmp.com>
Date:   Mon Nov 7 17:17:38 2016 -0500

    Revert "T070com2sec_simple: Fix this test"
    
    This reverts commit 9b617e7b25a6119b20059db941f18f9ef7158bc6.
    
    - DNS resolution does work:
    
     - dig +short onea.net-snmp.org 8.8.8.8
     127.0.0.1
    
     - dig +short twoa.net-snmp.org 75.75.75.75
     127.0.0.2
     127.0.0.3
    
    - old record (not under our control) can/did chance number of records:
    
      - dig +short www.google.com (as of today) returns 6 A records, not 1

commit 2a36c5763cd26c347439253f5035966d0d1c732d
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Nov 5 19:37:37 2016 -0700

    AgentX: Fix a use-after-free in subagent_shutdown()
    
    Avoid that Valgrind reports the following:
    
    Invalid read of size 8
       at 0x55F48B4: remove_trap_session (agent_trap.c:310)
       by 0x560F871: subagent_shutdown (subagent.c:749)
       by 0x630D7F7: snmp_call_callbacks (callback.c:363)
       by 0x62C76B7: snmp_shutdown (snmp_api.c:944)
       by 0x4057D2: main (snmptrapd.c:1356)
     Address 0xa3c4130 is 0 bytes inside a block of size 488 free'd
       at 0x4C2C26A: free (vg_replace_malloc.c:530)
       by 0x62C992B: snmp_free_session (snmp_api.c:1904)
       by 0x62C9BFE: snmp_sess_close (snmp_api.c:1989)
       by 0x62C9CDD: snmp_close (snmp_api.c:2019)
       by 0x560F850: subagent_shutdown (subagent.c:747)
       by 0x630D7F7: snmp_call_callbacks (callback.c:363)
       by 0x62C76B7: snmp_shutdown (snmp_api.c:944)
       by 0x4057D2: main (snmptrapd.c:1356)
     Block was alloc'd at
       at 0x4C2B0BD: malloc (vg_replace_malloc.c:299)
       by 0x62C78FF: _sess_copy (snmp_api.c:1081)
       by 0x62C8061: snmp_sess_copy (snmp_api.c:1294)
       by 0x62C9367: snmp_sess_add_ex (snmp_api.c:1796)
       by 0x62C91B9: snmp_add_full (snmp_api.c:1731)
       by 0x560FEE3: subagent_open_master_session (subagent.c:869)
       by 0x5610350: agentx_reopen_session (subagent.c:951)
       by 0x560D351: subagent_startup (subagent.c:107)
       by 0x630D7F7: snmp_call_callbacks (callback.c:363)
       by 0x62F2B7D: read_configs (read_config.c:1072)
       by 0x62C743B: init_snmp (snmp_api.c:896)
       by 0x40509B: main (snmptrapd.c:1141)

commit bcdc51b3f70f857b18f9dc356297b00a6026c0f2
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Nov 5 18:13:58 2016 -0700

    Python: Avoid that the compiler complains about redefined symbols

commit 579b23a35b02bc5f1e6cf8dc15c4e1a514f5e535
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Nov 5 18:13:44 2016 -0700

    Perl, SNMP.xs: Avoid that the compiler complains about redefined symbols

commit 9b617e7b25a6119b20059db941f18f9ef7158bc6
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Nov 5 18:09:50 2016 -0700

    T070com2sec_simple: Fix this test
    
    Use existing DNS names instead of names that do not exist. This patch
    fixes commit c6cc9a1fd013.

commit d3f834a9ca81365e28c69d09499973b124f3394d
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Nov 5 18:09:29 2016 -0700

    ETHERLIKE-MIB: Avoid that the compiler warns about freeing a const pointer
    
    See also commit ed4e48b5fab1.

commit 24e52a0e66883eee34c7edb500a90352b86b6aff
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Nov 5 17:18:47 2016 -0700

    snmpSTDDomain: Initialize t->sock to -1 in netsnmp_std_transport()
    
    To improve consistency with other transport modules, initialize
    t->sock to -1 (invalid socket) instead of 0 (stdin). This patch
    does not change the behavior of netsnmp_std_transport() because
    either t->sock is overwritten or t is freed before this function
    returns.

commit af63a7e218ef26eeec6b417d67e5b4e37d97fc80
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Nov 5 17:16:57 2016 -0700

    snmpSTDDomain: Use symbolic names instead of 0 / 1
    
    Use symbolic names instead of 0 / 1 to represent stdin / stdout.
    Use dup2() instead of dup().

commit 57bf213262ce2e4c65a6d3878ee2a428146d2170
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Oct 23 09:00:15 2016 -0700

    snmpCallbackDomain: Remove redundant code
    
    Assigning -1 to t->sock just before either freeing t or overwriting
    t->sock is superfluous. Hence remove the statement "t->sock = -1".
    Since comparing t->sock with -1 after rc has been tested is redundant,
    remove that comparison too.
    
    See also commit ae744544ca49 ("minor tranport cleanup").

commit 93d1099c8fb6015b105ea6ae4926dab2b8f4a6a1
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Oct 23 08:06:20 2016 -0700

    Rerun autoconf

commit 15b66acde89563469997001968bbddd089feb70a
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun Oct 23 08:11:20 2016 -0700

    configure.d/config_os_libs2: Fix a comment

commit a4c5c7674cc9a1ba2fba76e63e07d399cbc4bbf5
Author: Robert Story <rstory@freesnmp.com>
Date:   Wed Nov 2 13:35:45 2016 -0400

    use 'goto fail' for cleanup instead of repeating code 24 times

commit e3d525e46a3f75cba6371857e1bce362aae9d0fd
Author: Robert Story <rstory@freesnmp.com>
Date:   Wed Nov 2 13:33:25 2016 -0400

    rework some code in usm_create_usmuser

commit 9bb701626da99ee80cdf3ae6542ccefe3c1dc196
Author: Robert Story <rstory@freesnmp.com>
Date:   Wed Nov 2 13:31:06 2016 -0400

    fix some usm code that didn't merge properly with VMware patches

commit 4e0467a9d5dfad244c36f4bf2020471c9d825077
Author: Robert Story <rstory@freesnmp.com>
Date:   Tue Nov 1 14:49:45 2016 -0400

    check malloc returns

commit b05b16fa22f91de00c46150a96b3c75bdecedd75
Author: Robert Story <rstory@freesnmp.com>
Date:   Tue Nov 1 13:48:59 2016 -0400

    add missing set of log parameter

commit 05a9ee73350e9d04662c83a90bc782f7b617cb87
Author: Robert Story <rstory@freesnmp.com>
Date:   Tue Nov 1 10:31:17 2016 -0400

    fix potential deref of freed ptr
    
    introduced in commit 9bce2c951

commit 82d768b7de27c99df107739211f3d91bdcdda561
Author: Robert Story <rstory@freesnmp.com>
Date:   Sun Oct 23 22:37:24 2016 -0400

    initialize stack var

commit 3533da310f4c108894cef00b9f2dce4f5f4c511a
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Oct 17 22:24:13 2016 +0200

    Remove redundant extern declaration.

commit 8e3174999fd956c66f334ee2a2f4a5283799c2af
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Oct 17 20:33:35 2016 +0200

    Don't mix code and data.

commit 009017e2a2167379b24df7f5e444fdfae4bd0a9d
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Oct 17 20:32:40 2016 +0200

    stdout could be a macro. Don't use it in a parameter list.

commit fd242c01476749e009b3e64f399e91595c08820b
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Oct 17 20:31:47 2016 +0200

    Fix a duplicated semicolon.

commit 39b8cf55d4cc82c64f0051aa04e64022c9062da0
Author: Robert Story <rstory@freesnmp.com>
Date:   Mon Oct 17 11:21:17 2016 -0400

    fix typo

commit f217412fae322b6da6ea8c43f638b40be0e5cb98
Author: Robert Story <rstory@freesnmp.com>
Date:   Sat Oct 15 14:55:58 2016 -0400

    Bump LIBCURRENT for 5.8 release
    
    - Not that 5.8 is due anytime soon, but leaving it at 5.7 value could
      caues issues for systems with multiple releases installed

commit 581df320d4407b1546f4b893c79db2be24de7794
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Jun 22 17:20:12 2016 -0400

    update net-snmp-create-v3-user.in for new SHA-2 algorithms
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 96e4749ecbc056c68f72bbfe2857f8073a1cbd12
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Jun 22 17:15:09 2016 -0400

    fix more compiler warnings
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit ad15bd15ec65c34cd370b3fb51368baafc3e8a94
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Jun 22 15:35:21 2016 -0400

    fix sha-2 auth types to match help text; update man pages
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 114d8426600f931dc70f87438a3c7b87b8cf24c9
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Oct 13 21:04:24 2016 -0400

    add VMware copyrights

commit 30384f032e1829a50e28cf81282893a4b7544f85
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Sat Jun 4 17:40:26 2016 -0400

    delete duplicated var decl
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 0ea7638e5cbcfa10b9fc7dc34245671b030cb9cd
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Sat Jun 4 17:33:05 2016 -0400

    ifdefs for code/variables only needed in certain cases
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 94edfbf2b7064f473b615d1c67742c1dfdb10eee
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Tue Apr 14 14:24:16 2015 -0400

    cleanup transport filters on shutdown
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 2d69a5c09c20bb6af54d3a6eda585b7b1080d836
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Apr 16 11:37:48 2015 -0400

    fix more compiler warnings, typos
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 1f80a2f5b0adc68268c3d1487efcd548fcb86cdb
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Apr 3 22:19:15 2015 -0400

    various fixes noticed while reviewing Fortify issues
    
    - typos
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit cfe8828ed0570634e738b5ef6fd2b6da191b857c
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Apr 3 18:26:42 2015 -0400

    address Fortify memory leaks
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 700c0030ec7384fef2ba26114281ad657fe1b705
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Mar 23 13:47:58 2015 -0400

    fix fortify issues
    
    - null deref
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 304edcc6858801384591f57f88794653f8813cef
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Apr 3 22:20:06 2015 -0400

    new snmp_session_insert to insert sessions with lock
    
    - reducing duplicated code
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 78c8f410ab61ee52adbd8eab2f7159980729bc92
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Oct 13 13:43:42 2016 -0400

    add range check; init vars to keep compiler happy

commit c912c8f62bd4cc2a5f2f0787c79e9253dae920b0
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Oct 13 13:41:34 2016 -0400

    fix some compiler warnings

commit 7954590aee91ab48edb2bc1ee7c6c610518a49a0
Author: Robert Story <rstory@freesnmp.com>
Date:   Wed Oct 12 17:51:48 2016 -0400

    restore unnecessary var init to keep compiler happy

commit 9a8509f35c3828c6c0ba15721e81220546cbf7ef
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Oct 13 13:46:31 2016 -0400

    add VMware copyrights

commit a5661f32308447da7a4bdfb836d5b215bc5e8b93
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Jun 25 16:53:00 2015 -0400

    pdu stats tweaks
    
    - move pdu stats dump to function
    - move pdu stats shutdown inside pdustats ifdef
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 3295f4d7fb9bfede1f95bae7060f6bb0a62e0a14
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Jun 25 12:20:03 2015 -0400

    change debug token to stats:notif
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit cd5174ac69f9bc9f321f5b02de9502744f6a3f01
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Jun 22 22:26:31 2015 -0400

    track trap/inform stats per session
    
    - new snmp_sess_lookup_by_name to find trap/inform session by name
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit b7b50bbac7f21a924149d03da26ff0a44b25ec60
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Jun 22 22:20:43 2015 -0400

    snmp_send callback updates
    
    - add new NETSNMP_CALLBACK_OP_RESEND
    - add missing calls for NETSNMP_CALLBACK_OP_SEND_FAILED
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 775709de52a106783e625772c2ef7ccb0a173e6e
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Jun 17 17:41:24 2015 -0400

    stats to track pdu processing times
    
    - keep the last N pdus with longest processing time
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit c3e92d6ca7cc080cda70b4f0dd51ef3eaf445327
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Jun 18 14:13:54 2015 -0400

    binary array container code redux
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 220f3107e32abe277befc0039002849def8c3cd9
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Jun 18 14:13:23 2015 -0400

    immediately sort binary array when unsorted flag cleared
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 734914361f6962a0a24b4902cfea9d7b94cfc380
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Jun 17 17:37:32 2015 -0400

    implement direct access methods for binary arrays
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 871610a0dad503f9ce1d1f2db7817a05d6798de2
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Jun 17 17:37:00 2015 -0400

    add direct access methods to container
    
    - CONTAINER_INSERT_BEFORE(), CONTAINER_GET_AT(),
      CONTAINER_REMOVE_AT()
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 6c61442b3a0704ffaa71d216ea565021ee102701
Author: Bill Fenner <fenner@gmail.com>
Date:   Thu Oct 6 17:11:56 2016 -0700

    only bind if an address is given
    
    The equivalent commit for v4 was
    9d2c6f44e2bdc3fee8a090f64d936f035f3f42aa but it was missed for
    v6, meaning v6 clients were broken.

commit c7c7610a39790aa67664ba8f05fd1e3924040dff
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Mar 23 13:49:46 2015 -0400

    fix inverted logic in conditional
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 5426f71503df6f0ef6abcf3d1a52483444217262
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Mar 6 10:27:30 2015 -0500

    simplify some filter code
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit fff5f7c9ce464cf50c33c69292d8ce916347e153
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Sat Feb 14 16:13:01 2015 -0500

    add missing protocol check
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 46da28b63fe6ad02c23dcc8d62639aa934ba2b04
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Feb 2 10:38:37 2015 -0500

    new netsnmp_vacm_simple_usm_*
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 76917bd12616eeb6ac1f1462b341273463bf309b
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Mar 23 16:26:50 2015 -0400

    fix rc check for new function
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit a6fa419be4155e08fe8ec1e2f7c4b32c309536f9
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Mar 23 12:43:04 2015 -0400

    new netsnmp_agent_listen_on to open agent port
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 7ffb8e25a0db851953155de91f0170e9bf8c457d
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Oct 6 10:43:10 2016 -0400

    CHANGES: BUG: 2743: snmpd crashes when receiving a GetNext PDU with multiple Varbinds
    
    skip out-of-range varbinds when calling next handler

commit 17d5591889a2fda665b1891f6f496bfa06e58c70
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Oct 6 07:49:10 2016 -0400

    add VMware copyright

commit 0ab749ad34831f403861494b9c981c5f7ac92feb
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Tue Apr 14 14:15:33 2015 -0400

    set_exact_engineID: return length error instead of truncating
    
    - do truncation in exactEngineID_conf for backwards compatability
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 85ca9164418c3e993a8a3f63994bf5149e723c67
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Tue Feb 10 17:25:52 2015 -0500

    add set_exact_engineID()
    
    - also fixes a potential silent truncation of an exact id
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 7f05103fcc67b1d36337e5b39b813541979e51aa
Author: Robert Story <rstory@freesnmp.com>
Date:   Wed Oct 5 21:21:44 2016 -0400

    add debugLogLevel to snmp.conf man page

commit b3ee47b3966834fb138c97f152ffdb7e56032171
Author: Robert Story <rstory@freesnmp.com>
Date:   Wed Oct 5 21:10:30 2016 -0400

    debug tweaks
    
    - validate value in range when setting level
    - use our own table if no prioritynames (no numeric levels)
      - case-insensitive compare

commit ed41f787b1229814dc23a0d6ad30889d0e93924a
Author: Robert Story <rstory@freesnmp.com>
Date:   Wed Oct 5 21:02:55 2016 -0400

    re-run autoconf

commit 3eb4b473fed816108d1843dadee1ce877415b96b
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Tue Apr 14 14:21:36 2015 -0400

    add debug_enable_token_logs debug_disable_token_logs to output_api.h
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 5a98a96f6181bfe906d602dfbfe0b57abf5f7d35
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Mar 27 12:36:40 2015 -0400

    debug indent tweaks
    
     - add prototype for debug_indent_reset
     - assert on negative indent
     - fix typo
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 5145942b75697f4cea9656041af2fcc877ac9bf5
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Feb 4 13:45:37 2015 -0500

    syslog facility parsing, using prioritynames if available
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 3088f6a246efa042c2c887cd73d81ee740dd161e
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Feb 4 13:45:14 2015 -0500

    configure tests for sys/syslog.h and prioritnames
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 53e11928ee128a459ceb99aeb89ac7a5afcbde9d
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Jan 7 23:17:55 2015 -0500

    use dynamic debug log level in xdump()
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 16f034eff89b28f3b685cb2a622c32941d2eccb5
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Jan 7 23:03:00 2015 -0500

    new api/config token for dynamic debug log level
    
    - e.g. debug messages can be logged at LOG_NOTICE instead of LOG_DEBUG
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 7cfec0d6a9fb7846e81f2edb4315b6f9c200eec9
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Jan 7 10:07:38 2015 -0500

    new netsnmp_register_filelog_handler
    
    some code reuse and moves implementation details out of argument
    processing.
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 106c2e64626c0301230062779f92e0dc470f20c3
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Jan 7 10:04:40 2015 -0500

    new netsnmp_register_stdio_loghandler for both stderr and stdout
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 72065914a684d763933ea0dbe89ebb563699838d
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Dec 1 13:56:09 2014 -0500

    configure option enable-daemons-syslog-as-default
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 9db9d1b3c625b5efa9e0cd0a8ff6ae8f535821b7
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Jan 7 10:02:02 2015 -0500

    move transport filter token registration later
    
    - fixes segfault in apps
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit f0bdaf03c69b053c807c212e2102c2b355e21e33
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Nov 26 11:19:21 2014 -0500

    make source address filter configureable: whitelist or blacklist
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 9d28612ac03b1bd16ccaf12627e9e1eff0ce8cef
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Tue Nov 25 23:32:10 2014 -0500

    add packet filtering by source ip
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit ae744544ca4925869384da312f9629c0fc431115
Author: Robert Story <rstory@freesnmp.com>
Date:   Wed Oct 5 00:03:24 2016 -0400

    minor tranport cleanup
    
    - use netsnmp_transport_free() instead of SNMP_FREE
    - add some missing netsnmp_transport_free() calls

commit fc6a91a8602f6c256c013afe741f31c7db5286d8
Author: Robert Story <rstory@freesnmp.com>
Date:   Tue Oct 4 23:54:35 2016 -0400

    fix systemd integration in UDPIP v4/v6 reorg

commit 58e472b488264ca5ed07dfb7a24cc2469f99b8f0
Author: Robert Story <rstory@freesnmp.com>
Date:   Tue Oct 4 23:52:58 2016 -0400

    tweak netsnmp_sd_find_*_socket return
    
    - use -1 as 'not found', since 0 can be a valid socket (even if systemd
    would never use it.

commit 9bbb0c54ce372a4bd0201f32d9ba8386b31d11b9
Author: Robert Story <rstory@freesnmp.com>
Date:   Tue Oct 4 22:31:07 2016 -0400

    free the right pointer

commit e207b8113260fd7d84df0ebdb66925ab70da29b2
Author: Robert Story <rstory@freesnmp.com>
Date:   Tue Oct 4 22:22:29 2016 -0400

    tweak sndMsgMaxSize handling
    
    - account for oversized oid on 64 bit systems

commit 614f21e12394e5c8a103816014f8f76267e56913
Author: Robert Story <rstory@freesnmp.com>
Date:   Tue Oct 4 18:02:24 2016 -0400

    Add VMware copyright
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit bb4f9f92a70eade9155137282df47d6d3e282c42
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu May 14 17:44:50 2015 -0400

    move v3 engineID probe into initial packet build
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 390986d4868f5db7f0fe73e329f8cd8b525b9a4e
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Apr 27 00:24:42 2015 -0400

    getbulk enhancements: response size + fallback to forward encoding
    
    - only check reverse encode default store flag once per packet, setting
    pdu msg flag for forward encoding if reverse encoding is not
    configured.
    - track rough response sizes as we go, so we can stop gathering response
    varbinds we probably won't be able to send
    - if initial reverse encoding results in a packet that is too big, set
    pdu flags to retry with forward encoding and drop varbinds so that
    response fits in packet size
    - new private asn type to indicate encoding processing should stop
    - move duplicated packet building code to new netsnmp_build_packet()
    - new buffer ptr/len in agent isp struct for outgoing packet
    - new _build_initial_pdu_packet() to build a response packet (saving
    result in new isp struct ptr/len). this function is called by the
    agent to build the response *before* snmp_send is called, so we can
    a) detect tooBig errors and b) so we can fix getbulk processing by
    detecting bulk responses that exceed max snd msg size and switching
    to forward encoding with varbind truncation.
    - add ':intermediate' to intermediate results debug tokens
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 9fe3ae172dcf2950db764394728cdbe26dfe4855
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Sun Apr 26 23:20:22 2015 -0400

    reduce session msg max sizes to transport max
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit cc1c1f93e2566276ce7353e4ee49b466be8a2793
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Sun Apr 26 23:16:54 2015 -0400

    getbulk enhancements: limit responses gathered
    
    - new avgBulkVarbindSize default store integer
    - use session sndMsgMaxSize & avgBulkVarbindSize to reduce maxresponses
    - tweak some debug tokens, adding ':bulk'
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 1a0dbe19bf2787bb5bea913f210a9a5eb4c0c80c
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Apr 17 12:01:16 2015 -0400

    new snmp token sendMessageMaxSize
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit b3bbde9b47b4aa5ef69e4116b2b5314ef0b4f209
Author: Robert Story <rstory@freesnmp.com>
Date:   Tue Oct 4 13:11:51 2016 -0400

    Add VMware copyrights

commit 7d82f92240055a9eb1a8a53bb081e90e6abe182c
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Tue Apr 14 14:22:11 2015 -0400

    add runtime checks for disabled protocols to _snmp_build
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 9fe699a1b7dd63c3644011f08584aabbfa5ed60f
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Mar 23 12:52:47 2015 -0400

    no informsink if v2c & v3 disabled
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 4b62edbdb32016b845e5dd14582f403f1659300f
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Tue Mar 10 13:33:51 2015 -0400

    log protocol version in hex
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 32a321ff71db8b3cea472e2a5f08d56af7ae10e1
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Tue Mar 10 13:03:50 2015 -0400

    fix runtime protocol check macros
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 918d6a2d89e9a68729eb474e3e720829bdbc1a04
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Tue Feb 10 11:24:45 2015 -0500

    update man pages
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 4ec103c7dbbd165f8e41373dfc1057181d3d3414
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Tue Feb 10 11:02:06 2015 -0500

    add debug, warn at startup if all protocols disabled
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 96554150efccece58a3265cdfe1b21abd9f73603
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Feb 9 18:55:59 2015 -0500

    more runtime protocol version checks
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit e422fbfb09cd7a7927d02deb35f890a84f351691
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Jan 2 00:26:08 2015 -0500

    more checks for disabling protocol versions at runtime
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 79aa24844b00c2922d19843b05ea1521f2b9b956
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Tue Nov 25 20:06:50 2014 -0500

    add runtime support for disabling individual protocols
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 3a7e096473b1576f4cce50945e1b28658f8909ba
Author: Robert Story <rstory@freesnmp.com>
Date:   Mon Oct 3 20:18:37 2016 -0400

    Add VMware copyrights

commit 3fb946129cb6a041c08971796f31363b4016fe70
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Oct 3 18:31:45 2016 -0400

    finish data/mib separation for snmpNotifyFilterProfileTable
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 58ae9e6b11d8586528249c3a5b62ad221e91f67b
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Oct 3 16:53:22 2016 -0400

    update all notification tables to handle embedded nulls in names
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 3c6b768d34194c5f2eafe2cac5ed9d65c9ea5b0f
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Sep 29 15:01:24 2016 -0400

    new netsnmp_memdup_nt (allocs extra byte for null termination)
    
    - very similar to netsnmp_strdup_and_null, but ...
    - always adds extra byte/null
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 1c133c80ec0f69ff89f1925b65ad1ce06bfd0e2e
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Sep 26 13:31:48 2016 -0400

    fix missed structure member renames
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 8964bafcd6d6b7ffe115980d4f13c0946a32a53c
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Sep 26 13:30:42 2016 -0400

    fix config_requires for notification data changes
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 62a454fe7c138e6d252321057fd988a309a7ea15
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Sep 26 13:30:11 2016 -0400

    notification fixes
    
    - move store functions into data handlers
    - fix code for write support
    - skip duplicate init calls
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit cbef1e426e8be5564c2edf7565e8e0105c47d8b7
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Sat Jun 4 17:34:20 2016 -0400

    more fixes for snmpTargetAddreEntry merge
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 4a4bf1d2f8346d0c1cf33fe67bc515905245ad61
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Sat Jun 4 17:33:05 2016 -0400

    import a bunch of non-cmake fixes from cmake branch
    
    - ifdefs for code/variables only needed in certain cases
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 3aa4abeb737b97d02ec3a67327aa16dae3c152b0
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Jun 2 12:54:03 2016 -0400

    remove duplicated code/defines form snmpTargetAddrEntry
    
    bad merge?
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit c54d4a140c49f4e5f337893a93d469f793c55335
Author: VMwareDev Will <snmp-maintainers@vmware.com>
Date:   Thu Mar 19 22:15:49 2015 -0700

    change a struct name so it doesn't conflict with another identical name
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 61ac63fa6ee668cb873c633b84bdd873d9baab1d
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Tue Apr 14 14:20:48 2015 -0400

    add missing error handling in notifyTable
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit cd66a37276aa4e736947e0629b296f2ca5fff3c4
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Tue Apr 14 14:13:22 2015 -0400

    use constant for max notification name len
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 6b4ce3ecc1f16de90e8c13d4b49f42736d670535
Author: VMwareDev Will <snmp-maintainers@vmware.com>
Date:   Wed Mar 23 23:19:45 2016 -0700

    remove C++ comments
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 8b8e73942cfffeb82c0e328c4d0e975f399e0a77
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Apr 3 18:26:42 2015 -0400

    address Fortify memory leaks
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit b899c804eed3eb4024e70c241904d39b0a14075a
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Sat Feb 14 15:44:52 2015 -0500

    fix whitespace, typos; remove old warning
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 966d9dbe85ebc2ff1ae6f13d6b69ed2385bb51ca
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Sat Feb 14 15:44:08 2015 -0500

    fix compiler warnings
    
    - unused var/functions
    - add const where possible
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 0bc5e42d48533f179cf6eef4a086b9bca45488f5
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Feb 9 10:38:05 2015 -0500

    add-trap callback tweaks
    
    - add rc to callback args struct so callers knows success/failure
    - change netsnmp_create_notification_session to return session, and
    rename it to netsnmp_create_v1v2_notification_session and make public
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit a16b1327659e064d6c21ba1fe40b7f186f662c6a
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Feb 9 10:22:24 2015 -0500

    add cleanup on shutdown, fix feature stuff, misc code cleanup
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit e2f86edfca88b3f68ddf5512f49132f6c9637d0b
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Sat Jan 24 10:42:03 2015 -0500

    allow trap sinks to set name, tag, profile
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit f770e0f7493204f184c468a7c4dba31f0cd6fc5d
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Jan 23 13:47:43 2015 -0500

    skip send_trap callbacks if no sessions for version
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit de8bc3c2d4acf9d276a2060f627fbc5ea0824415
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Jan 23 08:58:10 2015 -0500

    separate notification storage from MIB implementation
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit cdbfb179b223c4bd76951ffad773206c82922941
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Jan 23 13:46:03 2015 -0500

    new netsnmp_build_trap_oid() to build v2 snmpTrapOID for v1 traps
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit b7a910c08d7fef13b554555b1e19bd9a7974e557
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Sep 21 20:49:59 2016 +0200

    Correct check for IP_PKTINFO to make it work for Solaris and NetBSD 7.

commit a0d5c8a1010aeb74f47ee74a4efa6b61b053b161
Author: Robert Story <rstory@freesnmp.com>
Date:   Wed Sep 21 09:53:42 2016 -0400

    remove transport deprecated warning

commit 7a956be442f1b27143f1abb5c9e68756ef1bed3a
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Sep 21 07:37:46 2016 +0200

    Fix IPv6 transport after recent updates.

commit bf27cfca01580950c5e0642d60aff490f95f3791
Author: Bill Fenner <fenner@gmail.com>
Date:   Mon Sep 19 07:07:36 2016 -0700

    The struct is actually netsnmp_container_s.
    
    change 60f97905 introduced a forward declaration of
    "struct netsnmp_container", but the struct in
    container.h is "struct netsnmp_container_s", and
    "netsnmp_container" is a typedef.  This means
    that code that includes both snmp_transport.h
    and container.h won't compile.

commit fd3cf7ca6ae9a8052a76d93401ce2640e67f43e5
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Sun Sep 18 23:04:01 2016 +0200

    Remove empty statements.

commit 9e873b1a465c26623478bf9f3cb4ea661ba1b999
Author: Magnus Fromreide <magfr@lysator.liu.se>
Date:   Sun Sep 18 00:56:04 2016 +0200

    Remove a spurious semicolon among the variable declarations as that empty statement ends the variable declaration part of the function in c89.

commit 25c0b8660b62b2cc0b6f0492e2284c1d0c792ca7
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri Sep 16 12:34:57 2016 -0400

    add VMware copyright notices

commit c49d43ed8bdbf454821322a45a52b5ccd97a7f4d
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri Sep 16 11:28:47 2016 -0400

    add missing test for sha2 support

commit 39fe4f07df7d3a0a696fec43ce57896fd7c2249f
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu May 14 17:42:38 2015 -0400

    common parsing for snmpv3 options
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit c00b662b21c104b47bf730068c1e271878d4278e
Author: VMwareDev Will <snmp-maintainers@vmware.com>
Date:   Wed Mar 25 15:40:41 2015 -0700

    fix typo in new usm/Ku code
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 6cad7a4385678a2f4a3a3e1894a8ceaf3990e9b7
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Sun Mar 22 22:09:36 2015 -0400

    check user flag for saving kukey
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit ef1e2bf427a86feada4849f1f409a6b2cbcb3810
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Sep 15 22:26:25 2016 -0400

    add src to v3 notif sess, save engineID in sessions
    
    - use tspec for transport creation
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit cce5bba0062a8dbf1335a4c04280ebf2bb8bda00
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Sep 15 22:54:01 2016 -0400

    add usmUser flags field
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit cebd7ba90ccaa97ddf23e0667d5a6f1336d26a83
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Sep 14 16:44:39 2016 -0400

    tweak usm error handling
    
    - use more specific message if available
    - free user on any error
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 8687db38672f8088b919798a3adb25478c04199d
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Sep 15 23:06:21 2016 -0400

    use saved master key instead of localized key
    
    - also copy, not dup
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 41dc4896fb3ffbb4726f5e8bcdb3b79d8fd66ed6
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Sep 14 17:02:55 2016 -0400

    keep master keys in usm structure
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 18c43633249fa3bde6bd96ae7e95fdec875c176b
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Mar 18 09:15:17 2015 -0400

    add engineId to netsnmp_create_v3user_notification_session
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 4641464b4ec21a39c5d1a9b5976434b192a4bf2c
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Sep 15 22:13:27 2016 -0400

    netsnmp_create_v3user_notification_session
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit df26f8f2d51409827a3ce131c1b9de67d01ee6e5
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Sep 15 23:16:53 2016 -0400

    add source addr/port option to trapsink/trap2sink/informsink
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 6b7350749490dc38709053331f3c83799d03ca6a
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Sep 15 23:21:37 2016 -0400

    allow trap sinks to set name, tag, profile
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 24d3e8714d73e0f914e823943f147038d896602a
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu May 14 17:43:45 2015 -0400

    case-insensitive searching in list/slist
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit ae62b6f72e707f854d4a7cafb6e754a2744440a7
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Jun 3 19:57:42 2016 -0400

    add missing space in usmUser creation
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 2e6196582086075107d218f13add0cb407ec75c9
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Tue Apr 14 14:19:49 2015 -0400

    usm user fixes
    
    - fix cut-n-paste error in default priv protocol
    - add usm_remove_usmUser & usm_remove_usmUser_from_list
    - use new usm_remove_usmUser_from_list in usm_remove_user_from_list
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 5ba5b846be7b03e0afb25a7357e229a593b9a583
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed May 11 20:43:18 2016 -0400

    update SHA-2 auth OIDs from RFC 7860
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit bc41f96f3f2046e977b58b4b568954e2576f8ca0
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon May 25 15:07:46 2015 -0400

    add missing SHA define
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit f2f86778a0eeebcbe829deecf8d5edfd855dbb3e
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed May 6 18:36:45 2015 -0400

    add support for SHA-224 SHA-256 SHA-384 SHA-512 args
    
    - also use SNMP_DEFAULT_*_PROTO defines instead of hardcoding
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit bd1070d6e38c0c7be42168199b42d515cc21ceed
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Sep 15 23:26:46 2016 -0400

    configure: move SHA2 tests from DTLS to OpenSSL section
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 09ac3f2f68b2cf4bc3ff98d41a7e945c5eabffbb
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu May 14 17:40:47 2015 -0400

    more sha2 support changes
    
    - bump max usm authsize to support sha512; bump KU_LEN too
    - new sc_get_auth_maclen, sc_get_openssl_hashfn, usm_get_auth_oid
    - add some missing ifdefs, fix others
    - add slist with authtype mappings
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit d6a9d9db449b8114a315b27697d91c4a1242879d
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Tue May 5 17:21:17 2015 -0400

    update code to use sc_get_authtype()
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 469c23efb01489e065f970bf8672f9879839f758
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Tue May 5 17:17:59 2015 -0400

    new sc_get_authtype() to get type from OID
    
    - new sc_get_proper_auth_length() get length for type (instead of OID)
    - add lengths for new sha2 types
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 8c89cd63b1416960afeba6f91741152d8592703e
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Tue May 5 17:13:35 2015 -0400

    add new sha2 auth protocols
    
    - new NETSNMP_USMAUTH_* integer type macros, using last subid of OID
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit e4c19527ec18f401cd6d9ce1e26032cc3249714c
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Mar 23 10:04:22 2015 -0400

    fix compile when system-auth not configured
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 12342576a437e862258dbc411ad19ebb15152e6e
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Sun Mar 22 23:11:15 2015 -0400

    fix merge
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 9015732b5c731d57c2f6e937665180330f7c52e8
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Sun Mar 22 22:56:34 2015 -0400

    handle missing priv protocol for system authpriv
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 298cea2ae8094f65b11349d97aaad9755fcd0660
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Sun Mar 22 20:15:51 2015 -0400

    always require auth/priv type
    
    - new 'default' to use system default
    - check that specified value matches system default
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 00eca550a816becd392fdae706ad7d17c526e672
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Mar 20 22:01:12 2015 -0400

    move usmUser key length check/truncation outside ifdef
    
    Conflicts:
            snmplib/snmpusm.c
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit d426a5c2fd74806c21cd055ec82807c3151aeaba
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Mar 12 01:09:05 2015 -0400

    add --enable-usmUser-uses-default-auth-priv
    
    Conflicts:
            configure.d/config_project_with_enable
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 62e30bdb509e08a91c01ad12c6da3cfdb2f07baa
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Mar 12 01:20:01 2015 -0400

    set errorMsg for short priv passphrase
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit c97a99647cad83e3c2f58c69eb2a2f3677799d07
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Feb 2 10:38:37 2015 -0500

    new usm_create_usmUser*
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit c2ec4f1e283209350094400be0cfcdad8ad4ddca
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Jun 2 12:53:01 2016 -0400

    move ipv6 test inside ipv6 ifdef
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit c6cc9a1fd013dbab179abf159e0eb117bd847f07
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Jun 2 12:52:37 2016 -0400

    fix com2sec[6] parse code and test cases
    
    - fix lengths for context/secName/community tests
    - fix ipv6 hostnames for 1/2 AAAA record tests
    - fix error code for context too long
    - fix network/mask in debug output
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 0a2a73bf7a155840ec857981a330ad5aefd8524b
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Tue Apr 14 14:13:47 2015 -0400

    fix swapped max length checks
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 18d4bb9e07a5d893a97662d2494957ab955fee8b
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Apr 6 12:09:37 2015 -0400

    address Fortify issue: check data length before using data ptr
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 6773bbfd1643073640114b55b5d7465764be3d69
Author: VMwareDev Will <snmp-maintainers@vmware.com>
Date:   Fri Mar 20 13:56:11 2015 -0700

    Werror fixes
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 9d2c6f44e2bdc3fee8a090f64d936f035f3f42aa
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Mar 19 23:17:03 2015 -0400

    only bind if have addr
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 6906ba1c59b9996b075c99654bbf11321bb31f52
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Mar 19 23:15:20 2015 -0400

    copy max msg size from base transport
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit f82dd2276688534fd7d46178e68692cedd70a03c
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Mar 19 22:54:41 2015 -0400

    fix uninitialize variable, length checks, string offsets
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 99b4c51c46bf94b0392cc589d97983ed2e1f2a17
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Mar 13 13:41:13 2015 -0400

    call correct base transport function
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit f71f38e5fd1b7d23b441f54b773329adf3cca3c5
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Mar 13 12:13:02 2015 -0400

    return UNKNOWN if we cant format addr
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit a9ce31c4b8187aea07a648cf115e956159ac072e
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Mar 4 20:02:32 2015 -0500

    refactor receive api, handle shared transports
    
    - break _sess_process_packet into _sess_process_packet_parse_pdu and
    _sess_process_packet_handle_pdu
    - extract _sess_read_accept and _sess_read_dgram from _sess_read
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 5d8372341594b5a7e0ba1b6ec76463bf6d926bbe
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Sep 8 22:13:17 2016 -0400

    shared transport + udp shared domain
    
    - refactor udp ipv4/6 base; break into smaller functions & export them
    - add transport cache
    - add tspec create for UDPDomain
    - update tspec struct to use generic flags instead of just 'local'
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 6c8ef76cd08a27eae8d92c314a65b9047807a02e
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Feb 13 18:09:01 2015 -0500

    fix missed pointer change, undo whitespace change
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit d5bfbf6de74d77ce047700c119a8b5b1f529d230
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Feb 11 17:54:04 2015 -0500

    new com2sec api
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 4ad277f8ba2c6a684be42b0660b6480eb15c19c1
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Tue Nov 25 18:43:12 2014 -0500

    add source addr/port option to trapsink/trap2sink/informsink
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 60f97905363b84e0187eeb3b3543c72977af611b
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Tue Nov 25 18:39:09 2014 -0500

    add support for specifying client addr/port for UPDv4 transport
    
    - adds a new transport domain function, create_from_tspec.
    - a new structure, netsnmp_tdomain_spec, hold parameters, so that
    additional parameters can be added in the future without having
    to change the whole API stack.
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 493e6e3928df91c9dd14d9cf1fb062284d1b1f8f
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Sep 13 18:19:54 2016 +0200

    RFC 7939 updated NHDP-MIB

commit 367c44eb60565d126a51b3e66b54bc4384e62c7e
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Sep 13 18:18:58 2016 +0200

    Support for OpenBSD 6.0

commit d6e7f8962b110a2cd65667b2c57a8a60ad3cd222
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Aug 31 21:43:36 2016 +0200

    at.c: properly check return status from realloc. Thanks to Daniel Eiland (bug 2678)

commit 7cdb389a2814c6fdc0e7d9c43248329bfc028e3b
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Aug 31 21:17:17 2016 +0200

    kernel_sunos5: fix a possible buffer overrun. Thanks to lvosh.

commit 0e6c1927d2ee2f4abaf18160016c10fd13712a95
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Aug 31 20:59:29 2016 +0200

    snmptrapd.c: First stringop after malloc must be strcpy, not strcat. Tankts to Jaap Keuter.

commit 7d3d56f07d3bd88d2583ee8832ec756af377215e
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Aug 30 07:59:12 2016 +0200

    Backport fix for MIB files with space in the name

commit 5d819c82a54589138fbe8ad7e5011f0e656b497c
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Aug 30 07:36:33 2016 +0200

    Fix failure to handle MIB files with space in names.

commit 85297cfadff81606d5a3b5ab162b39e5966ed963
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Aug 30 07:31:31 2016 +0200

    Document the "octet" varbind type for pass/pass_persist. Thanks to Sam Tannous.

commit 088622974007093fbb63f4a5964427f3c754e26d
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Jul 23 19:37:03 2016 -0700

    configure: Convert acconfig.h into AH_TOP() and AH_BOTTOM()
    
    This patch avoids that autoheader prints the following warning:
    
    autoheader: WARNING: Using auxiliary files such as `acconfig.h', `config.h.bot'
    autoheader: WARNING: and `config.h.top', to define templates for `config.h.in'
    autoheader: WARNING: is deprecated and discouraged.
    autoheader:
    autoheader: WARNING: Using the third argument of `AC_DEFINE' and
    autoheader: WARNING: `AC_DEFINE_UNQUOTED' allows to define a template without
    autoheader: WARNING: `acconfig.h':
    autoheader:
    autoheader: WARNING:   AC_DEFINE([NEED_FUNC_MAIN], 1,
    autoheader:             [Define if a function `main' is needed.])
    autoheader:
    autoheader: WARNING: More sophisticated templates can also be produced, see the
    autoheader: WARNING: documentation.

commit faa1af0e1f45b9533198beb693446699c683e969
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Jul 23 19:08:09 2016 -0700

    T011snmp_old_api_registration_cagentlib: Expect that duplicate registrations are refused

commit 4e793461e96a2b4fd81142ab312d074d5c8841fa
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Jul 23 18:41:10 2016 -0700

    CHANGES: BUG: 2712: Fix Perl module compilation
    
    Avoid that building the Net-SNMP Perl modules fails as follows:
    
    ERROR from evaluation of /sources/net-snmp-5.7.3/perl/ASN/Makefile.PL: Bizarre \ copy of HASH in list assignment at /usr/lib/perl5/site_perl/5.24.0/Carp.pm line\ 229.
    
    See also https://sourceforge.net/p/net-snmp/bugs/2712/.

commit 71e487212bd65839e7454df9701524d08cf0d74f
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Jul 21 21:45:26 2016 +0200

    fsys.h: put paranthesis around macros which are expressions

commit f6ffa6f131fd82068773fcebdcbf2cdf2412cc03
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Jul 21 21:41:28 2016 +0200

    Bug#2726: Fix memory leak from udpEndpointTable when attemptinmg to insert duplicate. Thanks to Marc Branchaud

commit e0ef511ce8c1b69fda79447eb9d790f409eb00f2
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Jul 21 16:32:51 2016 +0200

    gcc 2.95 does not grok cpp directive inside macro call.

commit 536bd305f8dbd8cb62b647e1ce768e4b369a8c1c
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Jul 21 16:28:58 2016 +0200

    OpenBSD: Fix a bad type causing crash with compiled in 32-bit mode.

commit d28eefcf4062091f6dd35a64c0fbae55ad04aaf3
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Wed Jul 20 19:21:20 2016 -0700

    configure: Handle CFLAGS=-Werror=format-security etc. correctly
    
    See also https://sourceforge.net/p/net-snmp/patches/1330/.

commit d8b12900629ed73a78b27535f08c4f0a721a93be
Author: Jeff Gehlbach <jeffg@opennms.org>
Date:   Wed Jul 30 17:51:55 2014 -0400

    CHANGES: snmpd: Add -cacheTime and -execType flags to "extend" config directive
    
    Add the following two flags to the "extend" config directive:
    -cacheTime specifies the cache timeout.
    -execType specifies the execution type (sh or exec).
    
    This enables non-volatile configuration of two aspects that
    so far have been configurable only temporarily via SETs.
    
    See also https://sourceforge.net/p/net-snmp/patches/1290/.

commit 32cc6c32f96f17a5a4ccab1ae3a3896894fb4b97
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Jul 19 20:17:15 2016 -0700

    configure: Do not discard CFLAGS added by the configure script
    
    This patch restores embedded perl support and fixes a regression
    introduced by commits 7c38dba0 / cd617c19.

commit a3187c4569431ebee321e2bb0d5330eb5ea1b839
Author: Robert Story <rstory@freesnmp.com>
Date:   Fri Jul 15 16:53:24 2016 -0400

    dont call upper_bound for unsorted container

commit 7c38dba0816eca9bd20378aab2313329502ed565
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Jul 7 13:16:52 2016 -0400

    run autoconf

commit ded9cb57273da5c9518a281521dc1227fe03e894
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Jul 7 13:14:12 2016 -0400

    add VMware copyright to patched files

commit 692c31cad01d3379713b86b6335419177f4e6281
Author: Robert Story <rstory@freesnmp.com>
Date:   Thu Jul 7 11:02:52 2016 -0400

    run autoconf

commit 3b11b216f95b49ff731dcfab72da768913a6dde3
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Jun 9 15:18:28 2016 -0400

    ifdef function when unused
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 85b869656562ab822837d128cfa3a251fefbe268
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Sat Jun 4 17:33:44 2016 -0400

    add numbers to make some error messages unique
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit bbf3c43497993a18631329acd08b7013ff7e10e3
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Tue Apr 14 14:23:38 2015 -0400

    limit loghandler priority levels
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit f6c78fbb7b16f86b5899370f8ffdb994ff6cac25
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Apr 30 13:41:38 2015 -0400

    missing endif
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 40cebbcfbe3d580422f05c2194ce8b40fbddd868
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Apr 16 20:41:59 2015 -0400

    pass handler return code up to caller on error
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 49235cd9f075dcb943355cf18d8da38420e1a99e
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Apr 16 11:37:48 2015 -0400

    fix more compiler warnings, typos
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 998df5d1ad58519f8358832db8a738099738aaad
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Apr 3 22:19:15 2015 -0400

    various fixes noticed while reviewing Fortify issues
    
    - null checks
    - typos
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 795d77c4f54b6dfd196634707a502c6cb6ec20b8
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Apr 3 22:14:31 2015 -0400

    address mib handler related Fortify leaks
    
    - don't create structures/memory inline in function calls
    - log messages on errors
    - follow convention that register functions free reginfo on errors
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 8a41289629fcd5940cde23bf8668caa79fc7f944
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Apr 3 18:26:42 2015 -0400

    address Fortify memory leaks
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 09679a2c47223b96930d388afac254bf001fc0c6
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Mar 23 13:47:58 2015 -0400

    fix fortify issues
    
    - type mismatch
    - null deref
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 6f7a5921b79b3e01479fca592892937e084503e0
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Mar 13 13:57:42 2015 -0400

    rework netsnmp_ipv6_fmtaddr
    
    - strlcat/strlcpy instead of snprintf
    - preallocate buffer instead of static size
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 0c1284d76b39cba4135e3ecdd7cfff72eb0b6a31
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Mar 13 12:11:01 2015 -0400

    increase viewSubtree size to account for length
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 742651004e142e0c6fb3abc5a0303cebba105f35
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Mar 27 12:52:00 2015 -0400

    add debug shutdown to free tokens
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit a9850f4445cf4bebf8f04f0d2168042a3726fed1
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Mar 30 21:03:34 2015 -0400

    asn parse: add NULL checks, check length lengths
    
    - that is, make sure we have enough data to parse length before
      parsing length.
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit cd617c192a95a3b5384895c6457c093e1869338e
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Mar 25 16:33:39 2015 -0400

    disable Werror for all configure tests
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit d321533c74b57279e63a38e56f4e7dfae731acde
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Mar 25 16:22:26 2015 -0400

    another Werror fix
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 235ed8ccbb872a0e9e47c3f70ad446b5a4ea716e
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Tue Mar 24 12:47:15 2015 -0400

    fix ptr math in memset
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 77679a0dde15d61bc5a17373442c46189978d327
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Mar 23 13:52:05 2015 -0400

    better logging for unknown addr size in netsnmp_udpbase_send
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 8a0243dc25b9ea32c195befe04e04b7a0807749b
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Mar 23 13:51:26 2015 -0400

    allow ipv6 in netsnmp_gethostbyname
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit ae6c81f1789e36af831727b08240bd4e2814f854
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Mar 20 16:44:16 2015 -0400

    tests T132 and T142 don't use DES, so don't require it
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit cea974008da30de8d39a1f8ede7189265d93d598
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Mar 13 12:11:44 2015 -0400

    clear stack variable before use
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 141c754461d51cf8573a9c81e2a4f9d35d382042
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Mar 11 23:59:36 2015 -0400

    no debug/len for failure case
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 2d2792d1b30ea88c558cc76e59ba49e1638e4664
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Thu Mar 5 18:45:58 2015 -0500

    handle netsnmp_indexed_addr_pair in ipv6 fmtaddr
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit fc5691d827a49fb36b078e4261d18a4a2bd63072
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Mar 4 22:54:25 2015 -0500

    use default free_item function
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit dd4c51a0b252c60062d5df0ba9f8e9dc0d6f27ee
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Mar 4 22:52:11 2015 -0500

    use unique reqid/msgid for each trap sent
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit e70434007a7174580c78e5f57eeb68fa89371ce7
Author: VMwareDev Will <snmp-maintainers@vmware.com>
Date:   Wed Feb 11 23:43:39 2015 -0800

    Use a ns_ prefix for function names that may conflict with math.h
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 6e08b089d692bfce3643624089ee0be0d4cf3d5c
Author: VMwareDev Will <snmp-maintainers@vmware.com>
Date:   Wed Feb 11 23:43:24 2015 -0800

    Fix a const char * warning
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 8d6f30c35f962d620eba141a3cf95965d74ba2ab
Author: VMwareDev Will <snmp-maintainers@vmware.com>
Date:   Wed Feb 11 23:43:04 2015 -0800

    Fix -Werrors regarding va_arg types
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit b3cfe3642d1210051979f667695fa2ae33fd7f45
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Tue Feb 3 20:57:17 2015 -0500

    ifdef unused variable
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 99a815f4f06ffc98ff6510f3a28d1fc4b39810fb
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Tue Feb 3 20:11:14 2015 -0500

    simplify ifndef block
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 7ac7f70b63419d14e26a136ce693b19da24716a5
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Jan 7 23:20:39 2015 -0500

    fix typo in comment
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 03b4d74db71168bdeb7c58b05a3241d243c1a39e
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Jan 7 10:13:35 2015 -0500

    CHANGES: snmplib: fix bug that could drop log destinations
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 8c91fd830c8ae180ca582893a2b74e1e7c56a79e
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Jan 2 02:14:24 2015 -0500

    fix v2 errors in v1 responses when no write support
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 777737d5a850ad54377d48d44f639fddbe80c752
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Jan 2 02:12:24 2015 -0500

    skip md5/des test if des is disabled
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 1423c883031a420f4005ed9e0836610c676519fa
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Fri Jan 2 02:11:52 2015 -0500

    more informative config errors for DISABLE_DES & !HAVE_AES
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 9bce2c9519a0551ee0c82ac4706fd9f3f875feab
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Jan 7 09:42:10 2015 -0500

    CHANGES: BUG: 2387: fixed memory leak when request id is 0
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit b12df261ae66dd8240a487f0c02b3d578276ee90
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Jan 7 09:10:24 2015 -0500

    clear to end of oid name to keep valgrind happy
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 22deb593986f29615ff7dd602c02c6544ccd564a
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Jan 7 09:09:56 2015 -0500

    tweaks for --disable-set-support
    
    - reject set before vacm checks
    - reject with noerror if no varbinds sent
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 26f18eee6d77c21537783bf235a1858fa1347ed6
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Mon Dec 15 11:00:10 2014 -0500

    remove unused variable
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 639f63b84e0479db4221fcdcf3975a708af0a077
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Wed Dec 17 15:43:20 2014 -0500

    vacm mib getnext fixes: dont bail on illegal values
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit c4f8f326e38085f96df40a5ca2d62991d1780acd
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Tue Dec 16 22:48:28 2014 -0500

    Fix Silvercreek 2.1.3.2
    
    use oid instead of int for suboid
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 9e4b85d67cf5fc1c119967738545d1f1fe2d3307
Author: VMwareDev Will <snmp-maintainers@vmware.com>
Date:   Tue Dec 9 12:22:51 2014 -0800

    fixed failed detection of functions when -Werror is specified
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 284ca60741be5050cb86fd83c357c8fa16225170
Author: VMwareDev Will <snmp-maintainers@vmware.com>
Date:   Fri Nov 21 15:41:34 2014 -0800

    warning fixes for unused functions and variables
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 20a70a7af5af206e5ed757b147a11ef2e6235b6b
Author: VMwareDev Will <snmp-maintainers@vmware.com>
Date:   Fri Nov 21 13:45:01 2014 -0800

    ifdef out function definitions that aren't used when no-mib-loading is on
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 3766ae13eb07946043d5dde94f6035c321792366
Author: VMwareDev Will <snmp-maintainers@vmware.com>
Date:   Fri Nov 21 13:02:07 2014 -0800

    get rid of unused variable warnings
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 19adffe3b11bc4b11e43760840a448072d7f9c32
Author: VMwareDev Randy <snmp-maintainers@vmware.com>
Date:   Sat Mar 8 00:27:26 2014 -0500

    slight tweak to configure autoconf check
    
    Signed-off-by: Robert Story <rstory@freesnmp.com>

commit 3850b172597835dc4c51b1a4226b6c9f929ce963
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Fri Jun 17 11:54:23 2016 +0200

    IANAifType-MIB: yet another update ...

commit f9e2427686e084f25b5ab40975084e88bac2f2f7
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Fri Jun 17 11:53:25 2016 +0200

    rfclist: add RFC 7870 DSLite-MIB

commit 0552e837a8171f143a62109f2b7ac614c652303f
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Jun 15 21:27:50 2016 +0200

    smistrip: do white space cleanup of rfc/iana mibs. Update mibs to cleaned versions.

commit 29ac917b7d903b5bd7a28dc834915ff17b763afb
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Jun 15 08:54:21 2016 +0200

    Update to current IANAifType-MIB

commit 0dc151a72ce495d3d94704efba609505e465292b
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Jun 13 16:50:08 2016 +0200

    UCD-SNMP-MIB: Add 64-bit memory objects for large servers.

commit ebdc84df87eee303d7f5cbb858d17d468f1ff551
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Jun 13 16:12:02 2016 +0200

    OpenBSD5.9: fixes to handle this OS.

commit 8f05c1afbbe60243879d51abb4e228f7770d5512
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Jun 13 16:10:33 2016 +0200

    udpTable: fix goind one over array when using kvm_getfiles.

commit 8bbd51fb4f846dfc112cb32caa788652056f7320
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu May 26 21:31:15 2016 +0200

    BUG#2714: properly restore NETSNMP_DS_LIB_CLIENT_ADDR in _sess_open. Thanks to Jeremiah Martell.

commit 2573c3d378c976cb9d54ad460f5f46218656f2b1
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu May 26 21:10:53 2016 +0200

    FreeBSD: Fix wrong masking of diskIONReadX/NWriteX to 32-bits.
    Thank to HJJakobsen for finding it.

commit 296bdf92bd9a8f4877b6e6de7d18daba6cc4253e
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu May 26 21:07:53 2016 +0200

    rfclist: Add RFC7856 SOFTWIRE-MESH-MIB

commit 8dabf9a43cca47f65c3e4ada4aac1c9eb7e414e9
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Apr 27 20:41:53 2016 +0200

    PATCH 1326/BUG 2503: Fix memory leak when walking ip forwarding tables.
    Thanks to Christian Krause/Sam Tannous

commit 313035a0bb204cf2b68b6d797916eeec4e2bbdef
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Apr 27 20:38:19 2016 +0200

    transports/snmpIPv6BaseDomain: respect NETSNMP_TRANSPORT_FLAG_HOSTNAME
    when formatting address just as done for IPv4.

commit cb268b66ee49a123ee36db18c1f4cdcf7bce477c
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Apr 27 20:36:32 2016 +0200

    Detect if mysql has my_load_defaults, and use it if so.
    Required for MySQL 5.7 on Ubuntu 16.04.

commit 5b07aa798e16918b762feb12e594a812ed790bab
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Apr 27 20:30:57 2016 +0200

    PATCH 1324: arp_netlink: Ignore messages not being AF_INET/AF_INET6
    Thanks to Sam Tannous.

commit 71e6ff6eb2ab4c63fe1dca70e66253d2e04b235b
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Wed Apr 27 20:27:05 2016 +0200

    IANA-RTPROTO-MIB: Update to current, fixing syntax error.

commit a861f93d0f0c9e420ce77d7c261a712729464461
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Fri Apr 15 17:35:22 2016 +0200

    testing: Fedora24/RHEL7 does not install netstat by default.
    Use /usr/sbin/ss as a replacement when testing.

commit 995794a0218b6bb7a43bf23d53d4efde2a6686df
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Fri Apr 15 17:34:34 2016 +0200

    IANA-RTPROTO-MIB: Update to current IANA version.

commit 63c3e1c2553fc1bea1c175fccd499c48b875445d
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Fri Apr 15 17:30:51 2016 +0200

    Update with rfc 7784

commit 678275783e3a2c4d7b34ef246b78447c7fe414a9
Author: Bill Fenner <fenner@gmail.com>
Date:   Sat Apr 2 18:41:24 2016 +0000

    If the status goes disabled after it starts, the probe is completed.
    
    As the comment said: if you are pinging something that does not
    respond at all, the responses will never increase, and we should
    be querying pingResultsSentProbes to make sure that the probe has
    started.  Now, if pingResultsSentProbes is nonzero and the status
    becomes disabled, we consider the test to be completed.

commit 74ffd19da3e4831f7d713d70125d760a71026a91
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Mar 5 15:38:17 2016 -0800

    Revert "Trim output of net-snmp-config --cflags."
    
    This reverts commit 127274f8f27fba264a4c0f91190fd6f8037cdf21. Robert Story
    explained as follows on the net-snmp-cvs mailing list why this patch is
    wrong and needs to be reverted:
    <quote>
    Actually, I --cflags is supposed to be everything used to compile
    the agent, so that subagents and modules for dlmod loading can be
    built exactly the same.
    
    In particular, removing other flags can remove options that will
    change structure sizes when parsing the headers, resulting in
    binary incompatibilities.
    
    If you only need the include directories for some reason, please
    add another option.
    </quote>

commit 127274f8f27fba264a4c0f91190fd6f8037cdf21
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Wed Feb 24 10:14:21 2016 +0100

    Trim output of net-snmp-config --cflags.
    
    We should report CFLAGS needed to import and use Net-SNMP headers, not
    CFLAGS used to compile actual Net-SNMP.
    
    E.g. we should not report various distro fortify-source options.

commit 477b4307ef12ddce3b6a9205e0bdddbfb2e0e9b6
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Feb 20 18:58:18 2016 -0800

    Remove U64 typedef
    
    The U64 typedef conflicts with a typedef in a Perl header file. Hence
    remove the U64 typedef from the Net-SNMP header files. This patch does
    not modify the Net-SNMP ABI.

commit ed4e48b5fab165d1ba4c431e31e543f808a2c25f
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Wed Feb 10 14:00:12 2016 +0100

    CHANGES: snmpd: fixed memory leak in ETHERLIKE-MIB.
    
    ke->name in stdup-ed at line 297:
        n->name = strdup(RTA_DATA(tb[IFLA_IFNAME]));

commit 3bbeec993754ab6fb3c23b3851479b8f714ac4db
Author: codarrenvelvindron <codarren@hackers.mu>
Date:   Sun Jan 17 05:20:12 2016 +0000

    Check for malloc failure

commit d27ccfba26840ef8446152c007557ca4daa45a8f
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Mon Jan 18 12:38:58 2016 +0100

    Fixed potential bad free.
    
    When a 'default_domain' starts with a comma ',', the first strtok()
    returns pointer somwehere to the 'default_domain' duplicate and not
    to the first character. When cleaning up, make sure we try to free
    the duplicate (i.e. tokenized_domain) and not the first found token
    (which may be different).

commit 8954ffd63ddd1e22b02473f0541b587013e146f4
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Dec 21 16:15:07 2015 +0100

    .gitignore: Add apps/snmpping

commit 0ac3c3d5ebe7db02505f60d763917b7d46715e22
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Dec 21 16:15:02 2015 +0100

    Win32, MinGW, snmpping: Fix MinGW build

commit e769fa1ddef4598e801fe3377d1a526976d07b2a
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Dec 21 16:13:58 2015 +0100

    Win32, MSVC, Perl modules: Give up if the Perl interpreter has been built with MSVC instead of gcc

commit 24fee3539a7dfcbdac701d5c63768487e1822d87
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Dec 21 16:13:04 2015 +0100

    Win32, MSVC, build.pl: Use File::Spec->catdir()

commit 2dcb0a4fb18d475a313f093bff484aae8f9e3854
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Dec 21 16:11:29 2015 +0100

    Win32: Micro-optimize perl/Makefile.PL
    
    Use Perl functions instead of invoking an external executable to
    determine the current directory.

commit 21be8d8c489a41594e6b73ea3ad788bc23450613
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Dec 21 16:11:25 2015 +0100

    perl/*/Makefile.PL: Strip trailing whitespace

commit 2b600693acc4947f3fdc3e64465485699e824a37
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Dec 21 16:11:21 2015 +0100

    perl/*/Makefile.PL: Regenerate makefiles

commit 224aee0d9915115502531b4af0dcf3bcfab9fd3f
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Dec 21 16:11:14 2015 +0100

    perl/make-perl-makefiles: Improve robustness
    
    Make it possible to run this script from another directory than the
    perl directory.

commit acddd4e69efc7653d49493c248a008e8d1676cec
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Dec 21 16:11:09 2015 +0100

    perl/Makefile.makefiles: Determine Makefile.PL list dynamically

commit 7ea671729781e4f7e7b25c77fcb8940f8b126c3b
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Dec 21 16:11:03 2015 +0100

    Win32: Fix large fdset implementation
    
    Reported-by: Andreas Rieke <andreas.rieke@isl.de>

commit f67f8f2b5d9779ecfb8f8f4bee32573e5b241afe
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Dec 21 16:10:16 2015 +0100

    .gitignore: Ignore Perl .json files

commit c09140c934eb9de6b861cab063cdad66a721ffb1
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Mon Nov 30 14:26:46 2015 +0100

    CHANGES: snmpd: Increase maximum AgentX packet size to 64kB.

commit 45f256f87c32f7e851c88393ac2b626aa1e8cd4b
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Nov 24 09:00:55 2015 +0100

    BUG#2681: Add dynamic allocation to proxy parser. Thanks to <lukasz Wrzesinski

commit 0258399904fb1b8911bce27410269e4c0da6912a
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Nov 24 08:59:16 2015 +0100

    Add RFCs 7577,7658,7659,7666

commit 85ac52cb0227bbda4cf0b3fbb506d25789e04446
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Nov 24 08:46:52 2015 +0100

    BUG#2674: Remember to free buffer for control blocks. Thanks to Laurent GOUHIER.

commit 40f9cb08787f41621fdaedccbe5793fad319bde2
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Nov 24 08:43:52 2015 +0100

    BUG#2675: fix a stray close of filedescriptor. Thanks to Vit Zikmund.

commit f561f6414a7a5b8be2be544f7b24fe6b529782b4
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Tue Nov 24 08:32:43 2015 +0100

    BUG#2675: fix a stray close of filedescriptor. Thanks to Vit Zikmund.

commit 941ad547f5bdc47faeb27280b6d3047b21d1a239
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Oct 6 19:41:36 2015 -0700

    CHANGES: MIB: Speed up reading /proc/net/tcp and /proc/net/tcp6
    
    The time needed to read Linux procfs files is proportional to the
    square of the quotient of the file size and the read buffer size.
    Increase the read buffer size to decrease the time needed to read
    large procfs files.

commit 2331a015dcd95d7f34aa28962d1a37b5e360c646
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Oct 5 21:42:58 2015 -0700

    BUG: 2671: container_binary_array takes O((n^2)*log(n)) time to insert n entries
    
    Change the complexity of netsnmp_binary_array_insert() from
    O((n^2)*log(n)) into O(log(n)).

commit 10a71e97f096ce3d0c284c8213da1b2107c32699
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon Oct 5 21:24:38 2015 -0700

    snmplib: binary_search(): Make source code more compact
    
    Additionally, remove two superfluous initializations.

commit 50e13c2244e110319e1112a2ed3e9ba174144794
Author: Bill Fenner <fenner@gmail.com>
Date:   Mon Oct 5 13:58:49 2015 -0700

    CHANGES: snmpd: PATCH: 737: fixed integer64 support in pass and pass_persist
    
    The integer64 support was using the wrong ASN_ type, resulting
    in an encoding error when trying to create the response.
    As usual, the testing is way more than the change being
    tested :-)

commit e684da65018039cc87c44eaf2fe184d052ba432c
Author: Peter Rosin <peda@lysator.liu.se>
Date:   Fri Aug 7 17:14:07 2015 +0200

    Allow external events in standalone agents.
    
    Signed-off-by: Bill Fenner <fenner@gmail.com>

commit a9e46754357a3852b788e0d3df27b1f432cd1b8f
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Sep 28 20:49:24 2015 +0200

    BUG a#2656: proper printing of index-oid for column not defined in MIB.

commit 7781fc92322ff2d47a7cd8c37a3dc6cb21985ab1
Author: Bill Fenner <fenner@gmail.com>
Date:   Fri Sep 11 11:20:47 2015 -0700

    Freebsd has type and pid fields.

commit d4519fb66d05cfc950b09726258069fc4e7de123
Author: Bill Fenner <fenner@gmail.com>
Date:   Fri Sep 11 11:20:47 2015 -0700

    Freebsd has type and pid fields.

commit 0c490ab4b8f3a7b3a226adc69b8f8a86cd864b04
Author: Bill Fenner <fenner@gmail.com>
Date:   Fri Sep 11 11:12:10 2015 -0700

    Don't attempt to write to utmp if the process appears dead
    
    net-snmp has no business writing to utmp; let the system
    handle that.  Simply skip counting processes that appear dead.

commit 87332ba1266414694c58e0fbca87ab9bcf02f76f
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Tue Aug 18 17:14:20 2015 +0200

    Fixed possible integer underrun.
    
    In theory, 'i' could be negative and close(-1) is not defined.
    This should never happen, this patch just makes Coverity happy.

commit aff1fb31dac236bb5f8e641c92e5651f00fa4f7d
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Thu Jul 30 11:25:48 2015 +0200

    CHANGES: snmpd: restore read-write flag in hrFSTable when a device becomes writable

commit d87d2687e1d11d12c52f2bdbec4a52f5290c4e39
Author: Bill Fenner <fenner@gmail.com>
Date:   Fri Jul 17 21:10:16 2015 +0200

    minor snmpping improvements
    
    Update snmpping based on using it against JunOS:
    - OperState can be disabled before it is enabled;
      wait for completed, or OperState disabled plus
      non-zero packets.
    - SumOfSquares, when RTT < 1.0, can be less than
      the number of pings; clamp the stddev to 0.0.
    Not JunOS-specific:
    - Retry on timeout.
    - Add some debugging to the response handler.

commit adaa69fc3c54f6907f8abb7fba7b62517385f6da
Author: Bill Fenner <fenner@gmail.com>
Date:   Thu Jul 16 08:11:35 2015 -0700

    CHANGES: snmplib: BUG: 2573: skip malformed mib_index files
    
    The code trying to remove the '\n', when given a file full
    of NULs, boils down to tmpbuf2[-1] = 0.  The workaround is
    to make sure that we have a "DIR ", to validate that the
    file looks valid.

commit 19ee9ccc2b32d03253e08717b92a09647d010f13
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Jul 13 21:12:25 2015 +0200

    snmptrapd: use forkall on Solaris, if available.

commit 109ef7fdf5402bf77f44e8d86f74deacd045d4b8
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Jul 13 16:33:43 2015 +0200

    diskio: 64-bit counters for NetBSD.

commit d774fe317160cb1dd7c839c1afb975dd4bb5ce41
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Jul 13 15:22:33 2015 +0200

    diskio.c for FreeBSD: mask values to 32 bit to avoid warning when encoding. Fixes #2647.

commit 77b80bd2011323e777ca1867ac730775f073896f
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Mon Jul 13 15:20:32 2015 +0200

    Minor fixes for DragonflyBSD 4.2

commit 19b49d4789027bfac1c4490a05dc02bdc0248d94
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Thu Jul 9 18:56:22 2015 -0700

    include/net-snmp/net-snmp-config.h.in: Regenerate

commit 7f00e801a134bb6f72d40368cc4931e2d051ae58
Author: Bill Fenner <fenner@gmail.com>
Date:   Wed Jul 8 13:37:25 2015 -0700

    CHANGES: BUG: 2602: Added return statement to example code for TrapReceiver

commit 0c70de45d07778e329cf8740a31e1ce943d0845e
Author: Bill Fenner <fenner@gmail.com>
Date:   Tue Jul 7 15:10:04 2015 -0700

    Regenerate

commit 4ea8373caf9c1e5720d92995e3748757fbb58970
Author: Bill Fenner <fenner@gmail.com>
Date:   Tue Jul 7 15:09:33 2015 -0700

    Regenerate

commit d6dabb0e14858bbb480b270ec6656e5f5fa9f0cc
Author: Bill Fenner <fenner@gmail.com>
Date:   Tue Jul 7 12:31:38 2015 -0700

    Conditionally compile snmppcap on finding libpcap
    
    (except, we haven't exposed snmp_parse() yet, so it
    still won't build.)

commit 1eb6629cef3d3d8de3232c7ae04c2ab521b8163f
Author: Bill Fenner <fenner@gmail.com>
Date:   Tue Jul 7 08:01:26 2015 -0700

    CHANGES: BUG: 2624: stop trying to use the deprecated perl uninstall
    
    Perl's ExtUtils::MakeMaker deprecated uninstall in 1997, and
    has not replaced it.  Stop trying to use it, and mention in
    the INSTALL document that you cannot uninstall the perl
    module this way.  See https://sourceforge.net/p/net-snmp/bugs/2624/
    for more discussion.

commit bf14d02f0948f2032951d271bb0d14d5ca318d80
Author: Bill Fenner <fenner@gmail.com>
Date:   Tue Jul 7 07:55:13 2015 -0700

    CHANGES: BUG: 2585: fix autoconf check in config_os_progs

commit 1ab4308396dc5acd5f4d3ba97fdef315a24ab057
Author: Bill Fenner <fenner@gmail.com>
Date:   Tue Jul 7 07:50:58 2015 -0700

    Introduce snmpping, a client for DISMAN-PING-MIB.

commit 9c66a12ad9c50ae52a89b1fbe8600d1813b6fc2b
Author: Alexander Heinlein <alexander.heinlein@web.de>
Date:   Mon May 11 13:33:01 2015 +0200

    Don't disable GET-requests with --disable-set-support (fixes #01c930e)

commit 74e03d37c7a805d476f71bc85d300915fe48e6cb
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Jul 6 23:39:50 2015 -0700

    fixes for the 5.4 release tree

commit 27ce6578f8cf4002324d7d04e07f04b0a5a9331a
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Jul 6 23:38:32 2015 -0700

    version update for 5.4.5.pre1

commit dd1e845918e6cb58f54aee52db4cc02d9b15157b
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Jul 6 23:36:42 2015 -0700

    version update for 5.4.5.pre1

commit d6abdcf1262d5908ac371e70f63c1c48b9aeeb88
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Jul 6 23:31:02 2015 -0700

    make depend for 5.4.5.pre1

commit 66a8561c10b69a284bf83c652e6656b6d2ca5008
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Jul 6 23:10:13 2015 -0700

    documentation update for 5.4.5.pre1

commit a188afbe66349ee15fb5a0428f206d0d03208c54
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Jul 6 22:15:40 2015 -0700

    Version number update: 5.4.5.pre1

commit 0b35a3e365e260e5d86e778b999954ea39092096
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Jul 6 22:15:21 2015 -0700

    version update for 5.4.5.pre1

commit c3ea313373e4139f6e391ffce4d8cf2b593de1a8
Author: Bill Fenner <fenner@gmail.com>
Date:   Mon Jul 6 15:03:55 2015 -0700

    Test script for https://sourceforge.net/p/net-snmp/bugs/2495/
    
    Try HUP'ing the agent with exec statements configured,
    and see if we get extra extNames.3 / extNames.4 configuration.

commit 5c03c35dc517c9acb7e1c6f733675c7808ed8a3e
Author: Wes Hardaker <hardaker@users.sourceforge.net>
Date:   Mon Jul 6 14:18:56 2015 -0700

    remove the 5.5 and 5.6 branches from the list of active branches

commit bec6243394ed78897c14e3fa46f934e0ea3d453e
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Fri Jun 26 13:30:07 2015 +0200

    snmpstatus: CHANGES: Fixed crash when receiving non-standard compliant responses.
    
    Some HW sends ifOperStatus as NULL instead of INTEGER type. We should not try to dereference this NULL.

commit 8f431d410b803603dc809d82e0893509615d9a11
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Jun 25 22:32:39 2015 +0200

    configure: fix check for --enable-perl-cc-checks

commit e2ce8bb37819c9ae24d482ac4108772f7b2c9b8c
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Jun 25 22:28:55 2015 +0200

    swrun_procfs_psinfo: Fix includes for Solaris 11.2

commit 09f339330b494728a98c74a5e21fa0a61cba211d
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat Jun 20 16:33:31 2015 -0700

    BUG: 2637: MSVC 14.0 build fix

commit 59f9f3387dab4238114804a0be9e4c15667d868c
Author: Jan Safranek <jsafranek@users.sourceforge.net>
Date:   Fri Jun 19 09:29:06 2015 +0200

    Fixed memory leak on realloc failure.
    
    Found by Coverity.

commit f9e6b8dd0e6ba75c712dee3cb2f41a8f46e25cd4
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Jun 18 21:41:56 2015 +0200

    route_sysctl.c: Ignore cloned route entries, to avoid duplicates.

commit 315a9dfeddbad9c611833c9625d6c1c6d7c38324
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Jun 18 21:33:31 2015 +0200

    nmp_transport.c: use strtok_r for strtok to avoid a race condition.

commit dbef63d8aad631ae58a9e23f267fa735ee63ff27
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Jun 18 21:29:34 2015 +0200

    Add missing -Ln together with the upper case option variants to the manual,
    together with some minor nits.

commit a58622bc39ebf0191bc2b2934da985a4d144be33
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Jun 18 21:27:17 2015 +0200

    Fix some nitpicks in man pages.

commit ed5386cd2f2fb50478b7e900e4c7da669977b4ef
Author: Niels Baggesen <nba@users.sourceforge.net>
Date:   Thu Jun 18 21:22:49 2015 +0200

    icmp.c: Fix missing initialization.

commit 309a48aa0618945ad5ab1eb6b7698e28580f08c2
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Tue Jun 16 19:40:58 2015 -0700

    BUG: 2638: Fix a recently introduced build error
    
    Revert "MIB-II, ICMP: Fix a memory leak in an error path"
    
    This reverts commit 8521f044e516a77e3455e4e4fd585da0bcdeca03.

commit 2c9e8b01f33b552f112897908a1b5f68a2a0d043
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 24 18:48:05 2015 +0200

    testing, T014gethostbyaddr_clib.c: Fix a use-after-free

commit 72f789674f18b6785d1a42c5d380844e41e84378
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 24 18:49:58 2015 +0200

    snmptrapd: Fix memory leaks in error paths

commit c816da4a2504f66a0555e9b046b2b7595b4cb574
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 13:48:49 2015 +0200

    snmptrapd: Fix gid check
    
    Detected by Coverity.

commit 6f71d0e51719061f1378cf8af4a107a0e021f817
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 13:53:35 2015 +0200

    snmptrapd: Avoid that Coverity complains about dup2() and close()

commit 3e6bf98e4a494d3f9ea44e7975864a7eedca0d51
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 11:03:28 2015 +0200

    snmptrapd: Fix a memory leak in an error path
    
    Detected by Coverity.

commit 78c0b2ba8820fdc728a04b4752bca75090798e52
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 24 18:32:09 2015 +0200

    snmpd: Comment out dead code

commit 131490da5a28e284fdd031651e1527963fdaa6fa
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 24 18:27:57 2015 +0200

    snmpd: Avoid dereferencing a NULL pointer

commit 16c199a01840ec6fd2c9fcab6af69d5a7a50423d
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 13:02:21 2015 +0200

    encode_keychange: Check setup_engineID() return value
    
    Detected by Coverity.

commit 99f836007fd823014b0efb037a6e707b56807ffb
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 13:36:17 2015 +0200

    python: Fix a potential buffer overflow
    
    Detected by Coverity.

commit cde325879630b6e63a5b6a0c2aaa3343fa356d48
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 24 18:45:21 2015 +0200

    perl: Avoid returning a pointer to an out-of-scope stack variable
    
    Detected by Coverity.

commit e009d0d05343f531cfc303c24b25e9f32f55233b
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 13:45:30 2015 +0200

    perl: Fix a potential buffer overflow

commit 675babcb94bb0ddbebbe06c089ef47ca480dbb45
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 11:56:22 2015 +0200

    perl: Fix snmp_return_err() argument order
    
    Detected by Coverity.

commit 0d5f487e0c09141172e723782b43eaf5275f4d83
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 09:17:24 2015 +0200

    MIB examples: Fix memory leak in an error path

commit 87cadb0b1d6a476d2297cdddca60483006ba25f8
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 08:55:00 2015 +0200

    MIB examples: Fix a resource leak in an error path
    
    Detected by Coverity.

commit bad4e22eb0a002936792821baa5d92c15b1376fe
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 09:05:18 2015 +0200

    UCD-SNMP proxy: Fix memory leaks in error paths
    
    Detected by Coverity.

commit aec75aab09550603b7d2e339d62b410405a8cc3e
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 12:06:37 2015 +0200

    UCD-SNMP-logmatch: Prevent array overflow
    
    Detected by Coverity.

commit 2c6fd84fa069d742ae330a9ef1e79227973bbe35
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 12:04:56 2015 +0200

    UCD-SNMP-DISKIO: Prevent array overflow
    
    Detected by Coverity.

commit eefd830090be3933f5a31a4afbaaad0ba79dc7ee
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 12:34:50 2015 +0200

    TUNNEL-MIB: Use strlcpy() instead of strcpy()
    
    Suggested by Coverity.

commit 6b4d1e183f31a2a05a4f68fc72629ba655d61c2f
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 24 12:27:06 2015 +0200

    SNMP-USER-BASED-SM-MIB: Avoid dereferencing a NULL pointer

commit e7595c13a32260b738342f706e17521e9a3bf5b6
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 24 12:56:14 2015 +0200

    SMUX: Check asn_parse_header() return value consistently

commit 117a3c1ad42d74cc2678436a5cf50fd4e07cef7a
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 24 12:46:41 2015 +0200

    SMUX: Remove superfluous checks
    
    Checking whether a pointer is NULL after having dereferenced that
    pointer does not make sense. Hence remove these checks. Detected
    by Coverity.

commit 3ec2de5a76fc444b5b17bad536d0ac8dbe67b0dd
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 08:53:30 2015 +0200

    SMUX: Fix a resoure leak in an error path
    
    Was the "close(sd)" statement a typo ? Detected by Coverity.

commit 13ce35f50f0c37e96e779d9c86ddeebbc5bc59f2
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 08:46:13 2015 +0200

    SMUX: Fix memory leaks in error paths
    
    Detected by Coverity.

commit 15d0a26b8404e129f15d216342a80280f5aa7249
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 24 09:52:19 2015 +0200

    RMON-MIB: Fix a memory leak in an error path

commit 4dbe86ded0b688377eef773db25340db54d4dcdc
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 12:31:15 2015 +0200

    NET-SNMP-SYSTEM-MIB: Use strlcat() instead of strcat()
    
    Suggested by Coverity.

commit 08e5b6d40f2a289a3d9e56dfda600c983ae10201
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 24 09:37:50 2015 +0200

    NET-SNMP-SYSTEM-MIB: Initialize a buffer in an error path

commit 90610e89892b7fd7a2c026736477d7328943891d
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 11:45:48 2015 +0200

    MIB-II, IPv6: Avoid integer overflow
    
    Detected by Coverity.

commit 8404ef684664afaa2ace1f8faf4667ba71dd763f
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 12:07:51 2015 +0200

    MIB-II, IPv6: Prevent array overflow
    
    Detected by Coverity.

commit 7990c9d77c65ff864bc016332a36f5bd2dabe747
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 08:33:20 2015 +0200

    MIB-II, route_write: Initialize dst.sin_port and gateway.sin_port
    
    Detected by Coverity.

commit f7138f2a73f622892f178da571373e30ee1bdb1d
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 07:44:16 2015 +0200

    MIB-II, TCP table: Initialize pcb.inp_next
    
    Detected by Coverity.

commit 8521f044e516a77e3455e4e4fd585da0bcdeca03
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 08:48:33 2015 +0200

    MIB-II, ICMP: Fix a memory leak in an error path
    
    Detected by Coverity.

commit ed482d19f83ba19e73cf91f9ee7bdb1bbc58f312
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 13:25:05 2015 +0200

    IP-FORWARD-MIB: Fix a size check
    
    Use multiplication instead of division when testing
    inetCidrRoutePolicy_val_ptr_len. Detected by Coverity.

commit 05590fc804bdc8967559f18c7a2cf34104aefe56
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 07:35:21 2015 +0200

    IP-FORWARD-MIB: Initialize gateway.sin_port
    
    Detected by Coverity.

commit 1fd0de48751ab9b86b17633e95b665d51b1cdd45
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 24 12:29:02 2015 +0200

    IF-MIB: Avoid dereferencing a NULL pointer

commit 59f5b8cc73b2b3589acd1456f166a3c68038990b
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 08:07:08 2015 +0200

    EtherLike-MIB: Fix a memory leak in an error path
    
    Detected by Coverity.

commit 766ac18693efa958c2f3b5d816ab799e826a4851
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 17:05:03 2015 +0200

    DISMAN-TRACEROUTE-MIB: Fix more memory and resource leaks

commit 843ac67881f6a68e35868ed67e4e78c9ab155666
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 16:53:42 2015 +0200

    DISMAN-TRACEROUTE-MIB: Fix more use-after-free issues

commit 28822a97b17c839f67d25d0df18b105428e58ae0
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 15:03:23 2015 +0200

    DISMAN-TRACEROUTE-MIB: Split two functions

commit f91c62e0a1c37fba6c1e816c18160fe1e22e84cc
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 14:48:20 2015 +0200

    DISMAN-TRACEROUTE-MIB: Remove register declarations
    
    A modern compiler doesn't need these.

commit 400729e3459c7952ae7ed40b741e6ad23c08f015
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 08:31:36 2015 +0200

    DISMAN-TRACEROUTE-MIB: Fix several use-after-free issues
    
    Detected by Coverity.

commit 6ffb0a32f55210d6c6842bad1bc91ec690846170
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 07:46:34 2015 +0200

    DISMAN-TRACEROUTE-MIB: Fix several memory and resource leaks
    
    Detected by Coverity.

commit f30429749a043d556cdfa8cd3abcf4737c93a8a9
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 24 09:46:05 2015 +0200

    DISMAN-PING-MIB: Fix use-after-free issues

commit 1866a2580f83abc7c1c227404162ab06ea5c8bfd
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 11:04:45 2015 +0200

    DISMAN-PING-MIB: Fix memory leaks in error paths
    
    Detected by Coverity.

commit 309e0af8308cd2d55d971091ef7d84b3037a2308
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 08:09:01 2015 +0200

    DISMAN-PING-MIB: Initialize msg_flags
    
    Detected by Coverity.

commit 6fd1a5873cfd098f810009ba0d6c01e9d7b94d68
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 24 09:45:24 2015 +0200

    DISMAN-NSLOOKUP-MIB: Fix use-after-free issues

commit 82b482e26bb0295e2d9c517ca1229530eeb5edbb
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sat May 23 11:37:28 2015 +0200

    DISMAN-EXPRESSION-MIB: Fix a flag test
    
    Detected by Coverity.

commit 007b5c1588c8fe2c7d846a4ccc0b0bcc12ec2564
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Mon May 25 09:21:43 2015 +0200

    snmpd: Make netsnmp_unregister_handler(NULL) safe

commit b8d0ee82dd98fc00624c8b036ea3bb429723e26c
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 24 09:13:56 2015 +0200

    snmplib, parse_imports(): Avoid reading an uninitialized modid variable for MIBs with invalid syntax
    
    Detected by Coverity.

commit 55fbb6d933a75ed7c0ca201f90adcfc33707f1b8
Author: Bart Van Assche <bvanassche@acm.org>
Date:   Sun May 24 08:46:32 2015 +0200

    snmplib, _daemon_prep(): Add error checking and switch to dup2()
    
    These changes reduce the number of resource leaks reported by Coverity.

commit 3229e8a3d276ebcc57f2ddc55086cfce16efc07d
Author: Bart Van Assche <bvanassche@acm.org>
